Welcome

 Top Next

The Intelligent Surveillance Solution

NUUO Crystal™

User Manual

v.3.9.0


Table of Contents

 Top Previous Next

1. Introduction
2. Installation
2.1. Hardware setup
2.2. LED Status Definitions
2.3. Installation Wizard
3. Web Client
3.1. Login
3.2. Web Server (Hardware Settings Page)
3.2.1. RAID & File System
3.2.2. RAID Management
3.2.2.1. RAID Status
3.2.2.1.1. Create
3.2.2.1.2. Modify
3.2.2.1.3. Delete
3.2.2.1.4. Format
3.2.2.2. iSCSI Initiator
3.2.3. Network Setup
3.2.3.1. Network Setup
3.2.3.1.1. Information
3.2.3.1.2. Setup
3.2.3.1.3. DDNS Setup
3.2.3.2. Network Service
3.2.3.2.1. Management Service
3.2.3.2.2. Recording Service
3.2.3.2.3. Metadata Service
3.2.3.2.4. Web Service
3.2.4. Management
3.2.4.1. Change Password
3.2.4.2. Log System
3.2.4.3. Load Configuration
3.2.5. System
3.2.5.1. System Information
3.2.5.2. System Settings
3.2.5.2.1. Fan Control
3.2.5.2.2. APC UPS
3.2.5.3. Upgrade
3.2.5.4. Date / Time
3.2.5.5. Reboot / Shut down
3.2.6. Management Server
4. Application Installation
4.1. Client
4.1.1. Install on Windows OS
4.1.1.1. Proceed to Install
4.1.1.2. Launch Client in Windows OS
4.1.2. Install on MAC OSX
4.1.2.1. Proceed to Install
4.1.2.2. Launch Client in MAC OSX
5. Application Basics
5.1. Version Information
5.2. Exit Client Application
5.3. Log out Client Application
5.4. Log in Client Application
6. Interface Overview
6.1. Menu - The Global
6.2. Live View
6.3. Playback
6.4. Config
6.4.1. Graphic Icon on Tree List
6.5. System Overview
6.5.1. Graphic Icon on Tree List
6.6. Status Bar
7. Configuration
7.1. Physical Configuration
7.1.1. Configure Management Server
7.1.1.1. Properties
7.1.1.2. Hardware Setting
7.1.1.3. License
7.1.1.3.1. Online License Activate
7.1.1.3.2. Offline License Activate
7.1.1.3.3. Online License Transfer
7.1.1.3.4. Offline License Transfer
7.1.1.4. Server Overview
7.1.1.5. Recording Failover Group
7.1.1.6. Client Overview
7.1.1.7. SMTP
7.1.1.8. Address Book
7.1.1.9. Event Action
7.1.1.10. Report
7.1.2. Configure Recording Server
7.1.2.1. Properties
7.1.2.2. Hardware Setting
7.1.2.3. Device Overview
7.1.2.4. Volume Group
7.1.2.5. Recording Schedule
7.1.2.6. Auto Backup
7.1.2.7. Event Action
7.1.2.7.1. Video Popup
7.1.2.7.1.1. Video Popup Management
7.1.2.8. Local Display
7.1.2.9. Add Video Device / IO Device
7.1.2.10. Delete Video Device / IO Device
7.1.2.11. Configure Video Device
7.1.2.11.1. Properties
7.1.2.11.2. Camera
7.1.2.11.3. Configure Camera
7.1.2.11.3.1. Properties
7.1.2.11.3.2. Stream
7.1.2.11.3.3. Recording Schedule
7.1.2.11.3.3.1. Add Recording Schedule to Camera
7.1.2.11.3.4. Event Action
7.1.2.11.3.5. Fisheye Dewarp Calibration
7.1.2.11.3.6. Configure DI / DO of Camera
7.1.2.11.3.6.1. DI / DO Overview
7.1.2.11.3.6.2. Event Action
7.1.2.12. Configure IO Device
7.1.2.12.1. Properties
7.1.2.12.2. DI / DO Overview
7.1.2.12.3. Event Action
7.1.3. Configure Recording Failover Server
7.1.3.1. Properties
7.1.3.2. Hardware Setting
7.1.3.3. Volume Group
7.1.3.4. Auto Backup
7.1.3.5. Event Action
7.1.4. Configure Metadata Server
7.1.4.1. Properties
7.1.4.2. Hardware Setting
7.1.4.3. Plugin Overview
7.1.4.4. Source Overview
7.1.4.5. Event Action
7.1.4.6. Add Metadata Source
7.1.4.7. Delete Metadata Source
7.1.4.8. Configure Metadata Source
7.1.4.8.1. Properties
7.1.4.8.2. Filter
7.1.4.8.3. Metadata Display
7.1.4.8.4. Event Action
7.1.4.8.4.1. User Defined Configuration Settings
7.1.5. Configure Matrix
7.1.5.1. Properties
7.1.5.2. Information Display
7.1.5.3. Add Matrix
7.1.5.4. Delete Matrix
7.2. System Configuration
7.2.1. User Group
7.2.1.1. The User Interface
7.2.1.2. Access User Group Settings
7.2.1.3. Create User Group
7.2.1.4. Delete User Group
7.2.1.5. Configure User Group
7.2.1.6. Add User to User Group
7.2.2. Role
7.2.2.1. The User Interface
7.2.2.2. Access Role Settings
7.2.2.3. Create Role
7.2.2.4. Delete Role
7.2.2.5. Configure Role
7.2.2.5.1. Properties
7.2.2.5.2. Privilege
7.2.2.5.3. Permission
7.2.2.5.4. Priority
7.2.2.5.5. Matrix
7.2.3. Schedule
7.2.3.1. The User Interface
7.2.3.2. Access Schedule Settings
7.2.3.3. Create Schedule
7.2.3.4. Delete Schedule
7.2.3.5. Configure Schedule
7.2.3.5.1. Properties
7.2.3.5.1.1. Daily Settings
7.2.3.5.1.2. Weekly Settings
7.2.3.5.1.3. Monthly Settings
7.2.3.5.1.4. Yearly Settings
7.2.3.5.1.5. Special Day Settings
7.2.4. Layout
7.2.4.1. The User Interface
7.2.4.2. Access Layout Settings
7.2.4.3. Create Layout
7.2.4.4. Delete Layout
7.2.4.5. Configure Layout
8. System Overview
8.1. System Overview
8.1.1. Server Overview
8.1.2. Client Overview
8.2. Recording Server
8.2.1. Camera Overview
8.2.2. IO Pin Overview
8.2.3. Hardware Setting
8.3. Metadata Server
8.3.1. Metadata Channel Overview
8.3.2. Hardware Setting
9. Application Configuration
9.1. Image Fusion
9.1.1. Create Image Fusion
9.1.2. Delete Image Fusion
9.2. E-Map
9.2.1. Create E-Map
9.2.2. Delete E-Map
9.3. Web Bookmark
9.3.1. Web Bookmark Editor
9.4. APP Launcher
9.4.1. APP Launcher Editor
9.5. View
9.5.1. Add View
9.5.2. Add Camera to View
9.5.3. Delete Camera from View
9.5.4. Add View Group
9.5.5. Add View Tour
9.5.6. Duplicate View
9.5.7. Search View
9.5.8. Delete View
9.5.9. Assign Stream Profile
9.6. Client Configuration
9.6.1. The General Menu
9.6.2. The User Interface Menu
9.6.2.1. The General Tabbed Page
9.6.2.2. The Workspace Tabbed Page
9.6.3. The Function Menu
9.6.3.1. Live View Tabbed Page
9.6.3.2. Playback Tabbed Page
10. Live View
10.1. Content List
10.1.1. Watch Live Video
10.1.2. Toolbar Content
10.1.2.1. Instant Playback
10.1.2.2. Snapshot One Channel
10.1.2.3. Snapshot Whole View Area
10.1.2.4. PTZ
10.1.2.5. Manually Record Video
10.1.2.6. Audio
10.1.2.7. Connection
10.1.2.8. Content Settings
10.2. View List
10.3. PTZ Panel
10.3.1. PTZ
10.3.1.1. Optical PTZ
10.3.1.2. Digital PTZ
10.3.1.2.1. Draw Rectangle
10.3.1.2.2. User Mouse Wheel
10.3.1.2.3. User On-Screen Buttons
10.4. Fisheye Dewarp
10.4.1. Fisheye Dewarp Mode
10.4.1.1. Original Mode
10.4.1.2. PTZ Mode
10.4.1.3. Quad Mode
10.4.1.4. Perimeter Mode
10.4.2. GPU Acceleration
10.4.3. Adjust Quality
10.5. I/O Control Panel
10.6. Content Properties Panel
10.7. Event List
11. Playback
11.1. Content List
11.1.1. Watch Recorded Video
11.1.2. Toolbar Content
11.2. View List
11.3. PTZ Panel
11.3.1. PTZ
11.3.1.1. Digital PTZ
11.3.1.1.1. Draw Rectangle
11.3.1.1.2. Use Mouse Wheel
11.3.1.1.3. Use On-Screen Buttons
11.4. Fisheye Dewarp
11.5. Content Properties Panel
11.6. Event List
11.7. Toolbar
11.8. Motion Search
11.9. Timeline
11.9.1. Search in Timeline
11.10. Time Navigation
11.10.1. The Playback Control
11.10.2. The Date / Time Display
11.10.3. Event Browsing Control
11.11. Export Video
11.12. Backup Video
12. Video Wall
12.1. Matrix Application
12.2. Matrix Console
12.2.1. Add Camera to Matrix
12.2.2. Add View to Matrix
12.3. Matrix Profile List
13. Maintenance
13.1. Export Log
13.2. Export Config
13.3. Import Config
14. IVS (Intelligent Video Surveillance)
14.1. License Type
14.2. Enable/Disable IVS service
14.3. Activate IVS License
14.4. Add IVS in camera setting
14.5. Add Camera in IVS server
14.6. IVS Device Configuration
14.7. IVS Zones and Rules
14.7.1. Zones and Rules
14.7.2. Detection Property
14.7.3. Counter
14.7.4. Abandoned/Removed object
14.8. Calibration
14.9. Tamper Detection
14.10. Advanced Setting
14.11. Classification
14.12. IVS Event and Action
15. NuClient in NuStation
16. Help
16.1. Diagnostic Service
16.1.1. Info Collector
16.1.2. Remote Access


Introduction

Table of Contents

NUUO Crystal™ is a Linux-based enterprise solution. It is designed for the management of large projects with multiple servers, or single server with high throughput megapixel recording.

NUUO Crystal™ provides centralized management for unlimited devices, servers, users, with the unlimited channels of video wall display for centralized viewing(Ultimate level only), to help users manage a big system efficiently.

There are two levels of the camera channel license—Ultimate and Enterprise. Ultimate level support full function of Crystal, and Enterprise level support full functions except for the NuMatrix video wall application and Recording Failover.

The following is the system structure.

The whole NUUO Crystal™ system contains the following components:

Component | Description
Management Server | The Management Server controls and configures the Recording Server, Recording Failover Server, and the Metadata Server.
Recording Server | One of two type of Recording Service. The Recording Server controls the video devices(cameras), and IO devices.
Recording Failover Server (Ultimate Level) | One of two type of Recording Service. The Recording Failover Server will fail over Recording Server when Recording Server is disconnected with Management Server.
Metadata Server | The Metadata Server controls third-party device such as a POS server, Access Control server, IVS server, and so on.
NuClient | The software that login Management Server for Live View (instant video playback), Playback (recorded video playback), Config (system configuration), and System Overivew. * Titan is supported to login NuClient, without Config(system configuration), and System Overivew.
NuMatrix (Ultimate Level) | The software that control by NuClient and display unlimited number of live viewing videos. * NuMatrix is not supported by Titan.


Installation

Table of Content

* For VM installation, please refer to Crystal VM Quick Installation Guide.


Hardware setup

Installation | Table of Content

Step 1: Unpack the Unit

This package contains the following items:

§ The unit
§ Quick Start Guide
§ Screws for disk drives
§ Key
§ Power cord
§ Warranty card
§ CD with Installation Wizard, NuClient, NuMatrix, Backup Player, Verification Tool, and Offline License Tool application, user manual, and quick start guide

The electronic components within the unit can be damaged by Electrostatic Discharge (ESD). Please take precautions at all times when handling the unit or its sub-assemblies.

Unit front/rear view

CT-4000: Tower

Number | Description
1 | Key Lock
2 | LED Indicators: HDD1-4
3 | USB x2
4 | LED Indicators: LAN1-2
5 | LED Indicators: Power
6 | Power Button
7 | PSU Cooling Fan
8 | Power Connector
9 | VGA
10 | System Cooling Fan
11 | Gigabit LAN x 2
12 | USB x 4
13 | eSATA Connector

CT-4000R: 4 bay rackmount

Number | Description
1 | Key Lock
2 | LED Indicators: LAN2
3 | LED Indicators: LAN1
4 | Power LED
5 | Power Button
6 | HDD Power LED
7 | HDD Access LED
8 | Power Connector
9 | PSU Cooling Fan
10 | VGA
11 | USB x 4
12 | Gigabit LAN x 2 (LAN2 / LAN1)
13 | eSATA Connector
14 | System Cooling Fan

CT-8000R:8 bay rackmount

Number | Description
1 | Key Lock
2 | LED Indicators: LAN2
3 | LED Indicators: LAN1
4 | Power LED
5 | Reset Button
6 | Power Button
7 | HDD Power LED
8 | HDD Access LED
9 | Power Supply Switch
10 | COM port
11 | DVI
12 | USB 2.0 x 2
13 | USE 3.0 x 2
14 | Microphone in
15 | eSATA Connector
16 | VGA
17 | LAN 2
18 | LAN 1
19 | Line-in
20 | Line-out

CT-8000RP: 8 bay rackmount with redundant power

Setting | Description
1 | Key Lock
2 | Power Fail LED
3 | LED Indicators: LAN2
4 | LED Indicators: LAN1
5 | Power LED
6 | Reset Button
7 | Power Button
8 | HDD Power LED
9 | HDD Access LED
10 | Power Supply Mute Button
11 | COM port
12 | DVI
13 | USB 2.0 x 2
14 | USE 3.0 x 2
15 | Microphone in
16 | eSATA Connector
17 | VGA
18 | LAN 2
19 | LAN 1
20 | Line-in
21 | Line-out
22 | LED Indicators: PSU1
23 | PSU 2
24 | LED Indicators: PSU2
25 | PSU1

Step 2: Install Hard Drives

Refer to compatibility list and install HDDs. For optimal performance consideration, install disks with the same model and storage capacity. The available RAID level depends on the amount of disks installed.

1. Open the lid on the front of the unit enclosure.
2. Pull a HDD tray from the enclosure. See the front view figure.
3. Carefully lock the disks into the HDD tray with screws and 3 screws for each disk. We recommend locking the screws on the bottom of the disk, instead of the side of tray. Put the HDD tray back once you finished.

Step 3: Connect to the Network

1. Attach one end of the network cable to the RJ45 network connection. See the rear view figure.
2. Attach the other end of the network cable to your Ethernet hub or switch.

If there are multiple networks at your facility, note the network to which you connect the unit. You will need this information during the setup process. Please also enable the DHCP function within the network, as the unit will retrieve an IP address through DHCP by default.

Step 4: Connect the Power

1. Attach the power cord to the power source.
2. Connect the power cord to the back of the unit enclosure. See the rear view figure.
3. On the front of the unit, press the power button. See the front view figure.

It takes about a minute for the unit to fully power up. Once it is powered up, the Power Status LED turns blue. See the front view figure.

Step 5: Install the Software

1. Insert the CD into your CDROM.
2. Double-click Setup.exe to begin installation.
3. Follow the instruction of Setup.exe, and click the Finish button to close the installer.

Step 6: Set up the Unit

The software Installation Wizard performs the setup procedures on the unit.


LED Status Definitions

Installation | Table of Content

CT-4000

Function

LED Status

Power Status
Ø Power-on: blue
Ø Power-off: dark

HDD Power Status (top)
Ø Power-on: blue
Ø Power-off: dark

HDD Activity Status (bottom)
Ø Accessing(Read/Write files): blue with blinking
Ø Not accessing: dark

Ethernet Status
Ø Linking: blue
Ø Accessing: blue with blinking
Ø No linking: dark

CT-4000R

Function

LED Status

Power Status
Ø Power-on: blue
Ø Power-off: dark

HDD Status (top)
Ø Power-on: green
Ø Power-off: dark

HDD Activity Status (bottom)
Ø Accessing(Read/Write files): blue with blinking
Ø Not accessing: dark

Ethernet Status
Ø Linking: blue
Ø Accessing: blue with blinking
Ø No linking: dark

CT-8000R

Function

LED Status

Remark

Power Status

(front)
Ø Power-on: blue
Ø Power-off: dark

HDD Status (Front, HDD tray, top)
Ø Power-on: green
Ø Power-off: dark

HDD Activity Status (Front, HDD tray, bottom)
Ø Accessing(Read/Write files): blue with blinking
Ø Not accessing: dark

Ethernet Status x2

(front)
Ø Connected: blue
Ø Accessing: blue with blinking
· Two LED, one for LAN1 status and the other one for LAN2 status

Ethernet Activity x2

(rear)
Ø Link Rate indicator (Left side)
Setting | Description
Green | =1000Mbps
Orange | =100Mbps
Dark | =10Mbps or no link

Ø Link status indicator(Right side)
1) Accessing: Green with blinking
· Two LEDs for each Ethernet port

CT-8000RP

Function

LED Status

Remark

Power Status

(front)
Ø Power-on: blue
Ø Power-off: dark

Power Fail
Ø Power-fail: red
Ø Normal: dark

HDD Status (Front, HDD tray, top)
Ø Power-on: green
Ø Power-off: dark

HDD Activity Status (Front, HDD tray, bottom)
Ø Accessing(Read/Write files): blue with blinking
Ø Not accessing: dark

Ethernet Status x2

(front)
Ø Connected: blue
Ø Accessing: blue with blinking
· Two LED, one for LAN1 status and the other one for LAN2 status

Ethernet Activity x2

(rear)
Ø Link Rate indicator (Left side)
Setting | Description
Green | =1000Mbps
Orange | =100Mbps
Dark | =10Mbps or no link

Ø Link status indicator(Right side)
1) Accessing: Green with blinking
· Two LEDs for each Ethernet port


Installation Wizard

Installation | Table of Content

Once a hardware for the Management Server is set up and connects to the network, proceed to set up the management service. Launch the Installation Wizard to set up the management service for your surveillance network.

To set up the management service:

1. Go to Start and select NUUO Crystal Series

2. Run the executable file Installation Wizard.

The NUUO Crystal™ Installation Wizard opens and automatically search the available Crystal Titan servers.

3. Choose the server, click next, input username/password in order to setup the server setting.

4. Clicking "Upgrade" button can allow users to upgrade server firmware and device pack in bulk. (NVRsolo/ NVRsolo Plus/ NVRmini2 Series are all supported)

Group | Setting | Description | Default
Upgrade Tool | Classification | To filter server type by predefined group or model name. Servers sharing the same server firmware file will be sorted into the same type under the predefined group. | All
 | Number of simultaneous upgrade servers | To upgrade defined quantity of servers at a time and the other servers which exceeds the maximum number of defined quantity will be in the queue. | 3
 | Select File | To select .bin file for upgrade | --
Start button |  | To start upgrading. | --
Exit button |  | To leave this dialog. | --

To multiple select and input the account and password by holding the Ctrl or Shift key.

Firewall and anti-virus application might block search function of installation/search tool; if search tool could not find existing Crystal servers, please turn off firewall and anti-virus.


Network

Installation | Table of Content

The first step in Installation wizard is Network Setting

The server name and Web port should be modified here.

If there is DHCP server in the network environment, it is recommended to click on Obtain network setting from DHCP server.

Manually assign IP address is acceptable in the page.

Once setup, click NEXT.


Hardware Password

Installation | Table of Content

The 2nd step in Installation wizard is Password Setting

The Hardware Password is the password to log in to hardware via Installation Wizard or via Web Client.

Once setup, click NEXT.

ry


Service Enabling

Installation | Table of Content

The 3rd step in Installation wizard is Service Setup

There are 3 services could be enabled in this page: management service, recording service & metadata service.

The Default port of Management Service is 5250.

The Default port of Recording Service is 5251.

The Default port of Metadata Service is 5252.

All the service port should be larger than 1000.


Date Time

Installation | Table of Content

The last page in Installation wizard is DateTime setup.

Click the bottom-left question mark icon ? to see the tips.

Select Synchronize with NTP server to synchronize date/time with the Internet time server, or deselect Synchronize with NTP server to enables manual date/time settings.

Please use LAN1 in order to connect the NTP server via internet

NTP server default port: 123(UDP).


Web Client

Table of Content

Through Web Client, logging Web Server for hardware settings, or logging Management Server for live viewing, playback, or system configuration.


Login

Web Client | Table of Content

1. Open the NUUO Crystal™ Network Video Recorder Login page by entering the IP address on the browser.

2. If the browser is IE 10, or IE 11, it is must to enable the compatibility mode.

Go to tool bar on the browser, choosing Tools| Compatibility View settings, and then add the server IP to compatibility mode.

3. It is suggested to add the server to trusted site.

Go to tool bar on the browser, choosing Tools| Internet Options| Trusted sites| Sites, and then add the server IP to trusted site.

4. Select a language and select the login type.

Web server will lead to Crystal hardware settings page and Management Server will lead to login Management Server to Live View, Playback, and system Config.

5. Enter the username and password.

6. Click the [image] button to log in.

7. The web settings page open.


Web Server (Hardware Settings Page)

Web Client | Table of Content

The web server page enables users to set up hardware or enable services through the web-based interface.

It includes RAID, iSCSI and File System settings, Network settings, changing hardware password, loading Crystal to factory default value, date/ time settings, firmware upgrading, and reboot/shut down Crystal.

The features settings are: RAID & File System, Network Setup, Management and System, which will be explicated in the following sections.

The log in username and password is Crystal hardware’s username and password.


RAID & File System

Web Client | Table of Content

Use the RAID & File System menu to configure the system’s RAID features and file settings.

To access the RAID & File System menu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System. The RAID & File System menu unfolds the RAID Management and iSCSI Initiator submenus.

The features submenus are: RAID Management and iSCSI Initiator, which will be explicated in the following sections.


RAID Management

Web Client | Table of Content

As the name suggest, the RAID Management tabbed page manages the system’s RAID (Redundant Array of Independent Disks), a storage that combines multiple disk drives into a logical unit.

To access the RAID Management submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login.

2. The web settings open.

3. From the Config Catalog, click the RAID & File System | RAID Management. The RAID Management submenu displays in the Configuration pane.

The RAID Management menu features five tabbed pages, RAID Status, Modify, Create, Delete and Format, which will be explicated in the following sections.


RAID Status

Web Client | Table of Content

The Status tabbed page delivers the status of RAID “volume”, which means one or more disk drives working together as a logical drive. Video recording requires a volume to be created first.

To access the Status tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System | RAID Management | RAID Status tab. The RAID Status tabbed page opens and shows the created volume(s) in the system.

The RAID status info delivered is:

Group

Description

Disk

Delivers the present volume(s) in the system.

Ø Click Volume # or Disk# to switches the status info between the present volume(s) and disk(s).
Ø If there hasn’t been any volume created yet, “No Volume” is displayed here. The status info delivered for a present disk is:
Info | Description
Vendor | Delivers the manufacturer of the disk.
Model | Delivers the model number of the disk.
Capacity | Delivers the total capacity of the disk.
Firmware | Delivers the firmware version of the disk.
Serial No. | Delivers the serial number of the disk.
Smart Support | Delivers the smart support of the disk.
Smart Enabled | Delivers the disk’s support of S.M.A.R.T. (Self-Monitoring, Analysis and Reporting Technology), which enables a hard disk drive to detect and report on various indicators of reliability, in order to anticipate failures.
RAID Status | Delivers the status of the RAID that the disk belongs to.

Volume

Shows the status of the selected volume:

Info

Description

RAID Name

Delivers the name of the volume, which is auto-assigned when the volume is created.

RAID Level

Delivers the RAID level, which is defined when the volume is created.

Ø The selectable levels depend on the number of drives present in the system.
Ø See Create to know how to define the RAID level.

RAID Status

Delivers the following statuses of the volume:

Message | Description
Functional | The volume is normally operating.
Critical | There are some problems with the volume, but video recording is normal.
Offline | The volume cannot be found. Hence video recording is stopped and the storage cannot be accessed.
File system error | Volume is found but isn’t mounted so video recording is stopped and storage cannot be accessed.

Free Capacity

Delivers the free space on the volume.

Used Capacity

Delivers the used space on the volume.

Usage

Delivers the percentage of the volume’s usage.

Update Time

Delivers the time when the volume is created /updated.

Total Devices

Delivers the total number of the disk(s) covered by the volume and also the number of the disk(s) that is active, failed or spare.

Active Devices

Delivers the number of the active disk(s) covered by the volume at the moment.

Failed Devices

Delivers the number of the failed disk(s) covered by the volume at the moment.

Spare Devices

Delivers the number of the spare disk(s) covered by the volume at the moment.

Format Progress

Delivers the formatting progress if the volume is being formatted at the moment.

Recovery Progress

Delivers the recovery progress if the volume is being recovered at the moment.


Create

Web Client | Table of Content

It relies on the Create tabbed page to create one or more volumes in the system.

To access the Create tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System | RAID Management | Create tab. The Create tabbed page opens and shows the created volume(s) in the system.

On the Create tabbed page, the featured settings are:

Setting |  | Description | Default
RAID Level |  | Defines the RAID level. | It depends on the number of drives present in the system
Assigned Disk(s) | Disk # | Selects a disk to assign it to the volume to be created. | Deselected
Create button |  | Creates the configured volume. | --
Reset button |  | Reset the configured volume. | --

3. Click Create button and a confirmation dialog pops up.

4. Check the Yes, I want to create volume with those disk(s) box, and click the Yes, create it button.

5. Finish the setup of Create.

The RAID Volume will be functional on another unit if all disks of this volume are moved to the unit.

After setting RAID level, you are not allowed to change neither the RAID level nor the number of disks containing in this volume.


Modify

Web Client | Table of Content

It relies on the Modify tabbed page to replace a broken hard drive with a new one, instead of modifying the RAID level.

In the case of “Critical” RAID status, a warning message will notice that one of the volume’s disks may be damaged. Although the video recording won’t be impacted, an immediate replacement is recommended to protect the volume from data loss.

To access the Modify tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System | RAID Management | Modify tab. The Modify tabbed page opens and shows the created volume(s) in the system.

3. Modify a volume:

(1) Select the damaged disk to remove.

(2) Click Remove button to remove the selected disk.

(3) After the system remove the disk successfully, replace it with a new disk, and back to the Modify tabbed page to add this new free disk.

This function isn’t applicable to RAID 0, which has no data protection

mechanism by nature.

This function is recommended for any unexpected disk damage. Use this

function to safely unplug the running HDD.


Delete

Web Client | Table of Content

It relies on the Delete tabbed page to delete one or more volumes.

To access the Delete tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System | RAID Management | Delete tab. The Delete tabbed page opens and shows the created volume(s) in the system.

3. Delete a volume:

(1) Select a volume.

(2) Click the Delete button to delete the selected volume.

OR

Click the Reset button to clear the selection.


Format

Web Client | Table of Content

It relies on the Format tabbed page to format the volumes functioning in the system.

To access the Format tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System | RAID Management | Format tab. The Format tabbed page opens and shows the created volume(s) in the system.

(1) Select a volume.

(2) Click the Format button. The formatting starts and progresses.


iSCSI Initiator

Web Client | Table of Content

It relies on the iSCSI Initiator tabbed page to create an external storage on iSCSI, which means “Internet Small Computer System Interface”, an IP-based protocol for transmitting data and linking data storage facilities.

To access the iSCSI Initiator submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the RAID & File System | iSCSI Initiator. The iSCSI Initiator submenu displays in the Configuration Pane.

3. Create an external storage on iSCSI.

4. Fill in the IP address and the port number (default 3260) for iSCSI

5. Click the Discover button. The discovered iSCSI will show.

6. Log on each disk on Target. If you have set password on iSCSI, choose CHAP to log on. If not, choose “None”.

7. Open the RAID Status tabbed page as described in RAID Status, the iSCSI disk will show under the Free Disks.

8. Creates a volume for it as described in Create. You can only create a volume with purely iSCSI disk.

We suggest that you use more than one HD to create one volume. DO NOT use only one HD to divide to more than 2 volumes.

If you log off the disk that has been created as a RAID, the current recording file may be destroyed.


Network Storage

Web Client | Table of Content

Network Storage Page allows users to mount network storage via NFS protocol.

Copy the network path of network storage, click Add.

The mounted volumes will show on the page.


Network Setup

Web Client | Table of Content

It relies on the Network Setup menu to configure the systems’ networking so the system can connect and communicate with associated devices within the network.

To access the Network Setup menu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the Network Setup. The Network Setup menu unfolds the Network Setup and Network Service submenus.

The features submenus are Network Setup and Network Service, which will be explicated in the following sections.


Network Setup

The Network Setup submenu features the network settings including IP address, subnet mask, default gateway and primary/secondary DNS.

To access the RAID Management submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the Network Setup | Network Setup. The Network Setup submenu displays in the Configuration Pane.

The Network Setup menu features three tabbed pages, Information, Setup and DDNS Setup, which will be explicated in the following sections.


Network Information

Information

Web Client | Table of Content

The Information tabbed page allows users to view the system’s Ethernet networking settings.

To access the Information tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the Network Setup | Network Setup | Information tab. The Information tabbed page opens and shows the network configuration of the system’s LAN ports.

On the Information tabbed page, the info delivered is:

Group | Item | Description
Connection Information | Server Name | Delivers the hardware’s server name.
Ethernet Adapter 1 / 2 Information | IP Address | Delivers the IP address assigned to this adapter.
 | Subnet Mask | Delivers the subnet mask assigned to the IP address used on the adapter.
 | Default Gateway IP Address | Delivers the IP address assigned to the adapter as gateway.
 | Primary DNS | Delivers the IP address assigned to the adapter as the primary DNS (Domain Name System).
 | Secondary DNS | Delivers the IP address assigned to the adapter as the secondary DNS (Domain Name System).

To access the settings, see Setup tabbed page.

When an adapter isn’t in use, the network information isn’t available.

For web default Port is 80(TCP).


Setup

Web Client | Table of Content

It relies on the Setup tabbed page to configure the system’s networking.

To access the Setup tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the Network Setup | Network Setup | Setup tab. The Setup tabbed page opens and shows the system’s Ethernet adapters in use and the settings.

The featured settings on the Setup tabbed page are:

Group

Setting

Description

Default

Common Setting

Server Name

Sets the hardware’s server name.

--

Ethernet Adapter 1 / 2 Setting

Internet Protocol

Sets whether to automatically obtain an IP address (DHCP) or manually specify one (static) for the adapter.

--

IP Address

Assigns an IP address for the adapter.

Ø This setting is only available when the Internet Protocol is set to Specify an IP address.

192.168.1.100

Subnet Mask

Assigns the subnet mask for the adapter’s IP address.

Ø This setting is only available when the Internet Protocol is set to Specify an IP address.

255.255.255.0

Default Gateway

Assigns the IP address for adapter’s the gateway.

Ø This setting is only available when the Internet Protocol is set to Specify an IP address.

192.168.1.1

Primary DNS

Assigns the IP address for the primary DNS (Domain Naming System).

Ø This setting is only available when the Internet Protocol is set to Specify an IP address.

192.168.1.1

Secondary DNS

Assigns the IP address for the secondary DNS (Domain Naming System).

Ø This setting is only available when the Internet Protocol is set to Specify an IP address.

--

OK button

Applies the change(s)

--

Cancel button

Recovers the defaults.

--

There are two Ethernet adapters per Crystal unit. We recommend that you use them under the scenario of two subnets, one for the cameras/devices, and the other for the remote access. If you deploy two Ethernet adapters within the same subnet, it’s likely to cause parts of the cameras disconnected as either one of the adapters disconnected.


DDNS Setup

Web Client | Table of Content

The DDNS Setup tabbed page enables/disables DDNS, which allows the system to use dynamic IP address. This page also sets the DDNS profile.

To access the DDNS Setup tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the Network Setup | Network Setup | DDNS Setup tab. The DDNS Setup tabbed page opens.

The featured settings on the DDNS Setup tabbed page are:

Setting

Description

Default

DDNS

Enables/disables DDNS for the system

Deselected

(Disabled)

Ethernet Interface

LAN 1 and LAN 2

LAN 1

Provider

Sets the provider of the DDNS service.

Ø Options available are DynDns and DtDNS.

DynDns

Username

Sets the username to login to the DDNS service.

--

Password

Sets the password to login to the DDNS service.

--

Host Name

Enters the sub domain name.

--

Update Period

Since the IP is dynamic, sets how often to refresh the DNS to point to the server’s changing IP address.

16 minutes


Network Service

Web Client | Table of Content

The Network Service submenu controls the remote accesses to the system for live view streaming, playback and management.

To access the Network Service submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Config Catalog, click the Network Setup | Network Service. The Network Service submenu displays in the Configuration Pane.

The Network Service menu features three tabbed pages, Management Service, Recording Service, Metadata Service and Web Service which will be explicated in the following sections.


Management Service

Web Client | Table of Content

It relies on the Management Service tabbed page to enable the Crystal for the Management Server.

To access the Management Service tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the Network Setup | Network Service | Management Service tab. The Management Service tabbed page opens.

The featured settings on the Management Service tabbed page are:

Setting | Description | Default
Management Service | Enables/disables the Crystal for the Management Server. | Selected (Enabled)
command port | Sets the management port. | 5250
Save button | Applies the change. | --

For Management Server default Port is 5250(TCP) and the server port should be larger than 1000. Also the command port cannot be the same.


Recording Service

Web Client | Table of Content

It relies on the Recording Service tabbed page to enable the Crystal for the Recording Server.

To access the Recording Service tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the Network Setup | Network Service | Recording Service tab. The Recording Service tabbed page opens.

The featured settings on the Recording Service tabbed page are:

Group

Setting / Info

Description

Default

Recording service

Recording service

Enables/disables the Crystal for the Recording Server.

Selected

(Enabled)

Login Management Server

IP address

Enters the IP address of the Management Server.

--

command port

Enters the Management Server port.

5250

username

Enters the username to login the Management Server.

admin

password

Enters the password to login the Management Server.

admin

LAN Settings

LAN 1 Port

Enters the LAN port for the Recording Server.

5251

WAN Settings

IP Address

Enters the IP address of the WAN for the Recording Server.

Ø This setting can only work when port forwarding is done.
Ø To use WAN settings, the Management Server, Recording Server and Metadata Server all require port forwarding.

--

Port

Enters the WAN port for the Recording Server.

Ø This setting can only work when port forwarding is done.
Ø To use WAN settings, the Management Server, Recording Server and Metadata Server all require port forwarding.

--

Save button

Applies the change.

--

To use WAN settings, the Management Server, Recording Server and Metadata Server all require port forwarding.

For Recording Server default Port is 5251(TCP) and the server port should be larger than 1000. Also the command port cannot be the same.


Metadata Service

Web Client | Table of Content

It relies on the Metadata Service tabbed page to enable the Crystal for Metadata Server.

To access the Metadata Service tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Tool bar, click the Network Setup | Network Service | Metadata Service tab. The Metadata Service tabbed page opens.

The featured settings on the Metadata Service tabbed page are:

Group

Setting / Info

Description

Default

Metadata service

Metadata service

Enables/disables the Crystal for Metadata Server.

Selected

(Enabled)

Login Management Server

IP address

Enters the IP address of the Management Server.

--

command port

Enters the Management Server port.

5250

username

Enters the username to login the Management Server.

admin

password

Enters the password to login the Management Server.

admin

LAN Settings

LAN 1 Port

Enters the LAN port for the Metadata Server.

5252

WAN Settings

IP Address

Enters the IP address of the WAN for the Metadata Server.

Ø This setting can only work when port forwarding is done.
Ø To use WAN settings, the Management Server, Recording Server and Metadata Server all require port forwarding.

--

Port

Sets the WAN port for the Metadata Server.

Ø This setting can only work when port forwarding is done.
Ø To use WAN settings, the Management Server, Recording Server and Metadata Server all require port forwarding.

--

Save button

Applies the change.

--

To use WAN settings, the Management Server, Recording Server and Metadata Server all require port forwarding.

For Metadata Server default Port is 5252(TCP) and the server port should be larger than 1000. Also the command port cannot be the same.


Storage Service

Web Client | Table of Content

Crystal Titan Server is capable to act as Network storage server.

To access the Storage Service tab:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Tool bar, click the Network Setup | Network Service | Storage Service tab.

The featured settings on the Storage Service tabbed page are:

Group | Setting / Info | Description | Default
Storage service | Storage service | Enables/disables the Crystal for the Storage service. | (disabled)
Volume list | Shared Status | Indicates if the volume is open to share or not | unshared
Network Path | Path 1 | Once Volume been shared; a network path will be generated automatically based on NIC 1 info | --
 | Path 2 | Once Volume been shared; a network path will be generated automatically based on NIC 2 info | --
White List |  | Only one IP address is allowed in the filed; regular expression is acceptable. | *

If storage service is enabled, all other services(management/recording/metadata) will be disabled.

NUUO Network Storage supports NFS protocol only and LAN environment is recommended.


Web Service

Web Client | Table of Content

It relies on the Web Service tabbed page to setup the Crystal web server port.

To access the Web Service tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Tool bar, click the Network Setup | Network Service | Web Service tab. The Web Service tabbed page opens.

The featured settings on the Management Service tabbed page are:

Setting | Description | Default
command port | Sets the web port. | 80
Save button | Applies the change. | --

For Web Server default Port is 80. Also the command port cannot be the same. If utilizing Firefox, it's suggested not to modify the web service port due to Firefox limitation.


Management

Web Client | Table of Content

It relies on the Management menu to change the password to the system, to view the system’s hardware logs, and to recover factory defaults.

To access the Management menu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the Management. The Management menu unfolds the Change Password, Log System and Load Configuration submenus.

The features submenus are Change Password, Log System and Load Configuration which will be explicated in the following sections.


Change Password

Web Client | Table of Content

Use the Change Password to change the password to login the Crystal hardware.]

To access the Change Password submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the Management | Change Password. The Change Password tabbed page displays in the Configuration Panel.


Log System

Web Client | Table of Content

The Log System submenu allows users to view the Management Server’s hardware logs including power-on, shutdown, storage activity and so on.

To access the Log System submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the Management | Log System. The Hardware Log tabbed page opens in the Configuration Pane showing a list of the Management Server’s hardware logs.


Load Configuration

Web Client | Table of Content

The Load Configuration submenu allows users to restore the system settings to factory defaults.

To access the Load Configuration submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the Management | Load Configuration. The Load Configuration tabbed page opens in the Configuration Pane.

Group | Setting / Info | Description | Default
Load Default Settings | Network Settings | Enables/disables the restoration of the network settings. | Selected (Enabled)
Load button |  | Runs the restoration of system settings. | --


System

Web Client | Table of Content

Use the System menu to view system information, configure system settings and manage system upgrade. This menu also enables re-opening the Installation Wizard which launches during the system’s very first power-on.

To access the System menu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the System. The System menu unfolds the System Information, System Settings, Upgrade, Date/ Time and Reboot / Shut down submenus.

The features submenus are System Information, System Settings, Upgrade, Date / Time and Reboot / Shut down which will be explicated in the following sections.


System Information

Web Client | Table of Content

The Information submenu enables viewing some important system information including the hardware information and firmware information.

To access the System Information submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the System | System Information. The System Information tabbed page displays in the Configuration Pane.


System Settings

Web Client | Table of Content

Use the System Settings submenu to configure and optimize the system for your applications.

To access the System Settings submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the System | System Settings. The System Settings submenu opens in the Configuration Pane and shows the Fan Control tabbed page by default.

The featured tabbed pages are Fan Control and APC UPS which will be explicated in the following sections.


Fan Control

Web Client | Table of Content

The Fan Control tab page enables viewing some important system information including system temperature, system fan speed and setting information.

To access the Fan Control tabbed page:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the System | System Settings |Fan Control tabbed page. The Fan Control tabbed page opens.

The featured settings and delivered info are:

Group | Setting | Description | Default
Fan Control | System Temperature | Delivers the system temperature. | --
 | System Fan Speed | Delivers the system fan speed. | --
 | Setting | Delivery the setting status | disable
OK button |  | Applies the change. | --
Cancel button |  | Clears the change. | --


APC UPS

Web Client | Table of Content

If the Crystal is used with an UPS module, it is able to deal with accidental power failure or unstable power supply. The APC UPS tabbed page configures how the system reacts to such scenario by defining the timing for auto shutdown with APC Uninterruptable Power Supply (UPS) battery power. This tabbed page also delivers the info about the APC UPS module used.

To access the APC UPS setting:

1. Attach the APC UPS to one of the unit’s USB ports.

2. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

3. From the Left Toolbar, click the System | System Settings |APC UPS tabbed page. The APC UPS tabbed page opens.

The featured settings and delivered info are:

Group | Setting | Description | Default
Information | Manufacturer | Delivers the manufacturer of the UPS module. | --
 | Product Name | Delivers the model name of the UPS module. | --
 | Serial Number | Delivers the serial number of the UPS module. | --
 | Services Status | Delivers if the UPS module is servicing. | --
Power Failure Action | Disable | Enables/disables the operating system’s actions to deal with power failure. | Selected (Disabled)
 | Shutdown as power of the UPS remains _ % | Sets how low does the UPS battery power drain down to before the operating system shuts down. | --
 | Shutdown as power of the UPS remains _min | Sets how long should the unit run on UPS battery power before the operating system shuts down. | --
OK button |  | Applies the change. | --
Exit button |  | Clears the change. | --

For Power Failure Action, an USB connection is needed between the unit and the UPS to check the status of UPS.


Heartbeat Agent

Users can only see this page when using CrystalTM VM.

Pasted image at 2017_09_12 09_03 AM

This function is supported by VMware and it is a software product that protects vCenter Server against outages–from application, operating system, hardware and network failures to external events–regardless of whether vCenter Server is deployed on a physical or virtual machine. VMware vCenter Server Heartbeat monitors server availability, applications and application performance, network and server performance, and data protection.

The featured settings and delivered info are:

Group | Setting | Description | Default
Heartbeat Agent | Enable Heartbeat Agent | Enable to notify host if the application is still alive. If the application is not alive, the host will force it to reboot. | disable
 | Heart-beating Period | Set a timer for application to notify the host at defined regular interval. (1~100000 Seconds) | 0
OK button |  | Applies the change. | --
Cancel button |  | Clears the change. | --


Upgrade

Web Client | Table of Content

Exactly as the title advertises, the Upgrade tabbed page enables firmware or Device Pack upgrade to bring the system to a newer version that promises better performance, new functions or camera support. Besides, this tabbed page also delivers the current firmware version and Device Pack version.

It is suggested to backup system configurations before upgrading system. Refer to Config Export for detailed process.

To access the Upgrade setting:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Toolbar, click the System | Upgrade.

3. Go to www.nuuo.com for firmware or device pack downloading. Browse the FW for upgrading and click the OK button.

4. A confirmation dialog pops up. Click the OK button to start upgrade process.

5. After upgrade, the system will restart. You need to re-access the unit again after this. The Firmware Upgrade tabbed page opens in the Configuration Pane.

The featured facility and delivered info are:

Info / Facility | Description
Current NVR Version | Delivers the server’s current firmware version.
Current Device Pack Version | Delivers the server’s current device pack version.
Select File (and the Browse button) | Browses for the firmware and runs the upgrade.

The FW upgrade includes Crystal server FW upgrade and device pack upgrade. You can upgrade camera device pack to add camera in device pack new version without upgrade Crystal FW.

The network bandwidth should be more than 4 mbps when upgrading firmware.


Date / Time

Web Client | Table of Content

Access the Date/Time submenu to configure the date, time, time zone of your locale and other time-related parameters for the server.

To access the Date/Time setting:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Tool bar, click the System | Date/Time.

3. Choose the time zone.

4. Configure the year, month, day and time manually, or enable Network Time to synchronize time automatically. When Network Time enabled, the date/time settings will be grayed out.

5. Assign time server and update interval if choosing to synchronize with internet time server. You can also click “Update Now” to update date/ time right away.

6. Check the Adjust clock for daylight saving changes option and select the time change of daylight saving time in your location. Choose the start time and end time of recurrence.

7. Click the OK button to restart the system. The Setup tabbed page opens in the Configuration Pane.

The featured settings are:

Time Zone

Time Zone

Sets the time zone of your locale.

GMT+08:00

NTP Setup

Network Time

Enable check box

Enables/disables network time.

Deselected

(Disabled)

Synchronize with internet time server

Enables/disables the synchronization with internet time server.

Ø This setting is only available when network time is enabled.
Ø When enabled, the Date/Time group box become unavailable.

Deselected

(Disabled)

Works as internet time server

Time Server

Sets the time server name or IP address.

Ø This setting is only available when network time is enabled.

--

Update Now button

Updates the system time immediately.

Ø This setting is available only when network time is enabled.
Ø Updating system time will cause the system to restart.

Weekly on Sunday, at 01:00 o’clock

Date / Time

Year

Sets system date and time.

Month

Day

Time

Daylight Saving Time

Daylight Saving Time

Adjust the clock for daylight saving changes

Enables/disables daylight saving time.

Deselected

(Disabled)

hours

drop box

Defines how much time should the system time be adjusted forward/backward for.

+ 2 hours

Start Time

Defines the date to start applying daylight saving time.

Ø This setting is available only when daylight saving time is enabled.

January the 1st, 1:00 AM

End Time

Defines the date to stop applying daytime saving time.

Ø This setting is available only when daylight saving time is enabled.

January the 2nd, 1:00 AM

Save button

Applies the change.

--

Exit button

Clears the change.

--


Reboot / Shut down

Web Client | Table of Content

Access this Reboot / Shutdown submenu to safely turn off or restart the system.

To access the Reboot / Shutdown submenu:

1. Login to NUUO Crystal™ Network Video Recorder web page as described in Login. The web settings open.

2. From the Left Tool bar, click the System | Reboot / Shutdown. The Options tabbed page displays in the Configuration Pane.

3. Select Reboot or Shutdown and click the OK button to restart or power off the system.


Management Server

Web Client | Table of Content

Log in Management Server to view live viewing video, playback, or configure the system through the web-based interface.

The feature settings are same with NuClient, please refer to Interface Overview.

The logging in username and password is Management Server’s username and password.

Install CrystalNuClientWeb.cab first to view the video on web client.


Application Installation

Table of Content

NuClient is the software that enables Management Server for Live View (instant video viewing), Playback (recorded video playback) and Config (system configuration). NuMatrix (Ultimate level only) is the software that enables video wall for Live View.

This section will walk you through the installations of the NuClient and NuMatrix, in both Windows O.S. and Mac O.S.

Only when have an "Ultimate level" license will you be able to see the

Matrix interface on NuClient.


Client

Application Installation | Table of Content


Install on Windows OS

Application Installation | Table of Content

This section will walk you through the installation of the NuClient in Windows operating system.


Proceed to Install

Application Installation | Table of Content

1. This section will walk you through the installation of the NuClient in Windows operating system.

2. Choose the language and click the Next button to proceed.

3. The License Agreement opens. Select I accept the terms of the license agreement.

4. A Customer Information window opens. Enter your name and the name of your company. Then click the Next button.

5. A Setup Type window then opens and presents two types of installation.

Select Complete and click the Next button to proceed.

OR

Select Custom and click the Next button to proceed.

§ Complete: To install all applications in this package. (Including NuClient, NuMatrix, Backup Player, Offline license tool, Installation Wizard, Verification tool)

§ Complete: To install all applications in this package. (Including NuClient, NuMatrix, Backup Player, Offline license tool, Installation Wizard, Verification tool)

6. Click the Next button to install the software to the default folder.

OR

Click the Change button and browse for some other folder to install the software to. Then click the Next button to proceed.

7. A Select Features window then opens. Select the application(s) to install and deselect the application (s) that you don’t want. Then click the Next button to proceed.

8. Then click the Install button.

The installation then starts, progresses and finishes.


Launch Client in Windows OS

Application Installation | Table of Content

As soon as the system is successfully installed, a shortcut to launch the software becomes available at the Start button | All Programs.


Install on MAC OSX

Application Installation | Table of Content

This section will walk you through the installation of the NuClient in MAC operating system.


Proceed to Install

Application Installation | Table of Content

We suggest that you avoid using on-board graphics card which will give you a poor performance. NuClient may pop up an error dialog saying “Videos cannot be displayed on the Client PC with on-board graphic card” for using an on-board graphics card.

We also recommend that the drivers of graphics cards be upgraded to the latest versions.

The system requires OpenGL 2.0 or higher versions to be installed. An error message will pop up if OpenGL 2.0 or higher versions are not found.

The minimum supported screen resolution 1024x768. NuClient will not run under the minimum resolution.

1. Insert the CD into your CD-ROM drive and double-click NUUO Crystal Series.mpkg to begin installation. The installer then opens.

2. Choose your language and click Continue button.

3. Click the Continue button and accept the License Agreement.

4. You can choose two types of installation, Install and Customize.

§ Install: Install everything in this package.

§ Customize: Install a custom selection of applications.

5. Select the applications you want to install.

The install destination only supports the system hard drive at this version.

6. Click on the Install button to start the installation.

7. The system is being installed.

8. Choose Close to finish installation.


Launch Client in MAC OSX

Application Installation | Table of Content

After the O.S. restarts, the installation is done. As soon as the system is successfully installed, a shortcut to launch the software becomes available in your Applications.


Application Basics

Table of Content


Version Information

Application Basics | Table of Content

To see the software version of NuClient:

1. Access NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image]. The menu opens.

3. Click About. An About NuClient window then opens and shows the software’s version, copyright information and the links to NUUO’s homepage and its technical support site.

Visit NUUO’s technical support site at http://www.nuuo.com/eHelpdesk.php. You may find all sorts of technical information including FAQs, product specifications, and technical contact information.


Exit Client Application

Application Basics | Table of Content

The NuClient still runs and stays in main memory after you log out from it. To close the software:

1. Access NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image]. The menu opens.

3. Click Exit. The NuClient is quit.


Log out Client Application

Application Basics | Table of Content

To log out from the system:

1. Access NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image]. The menu opens.

3. Click Logout. If you have made any change to the configuration, a dialogs will show and request for your confirmation whether to write the change(s) to the configuration when you log out. To write the change(s) to the server, click the Yes button in the dialog.

A progress bar will appear to show the writing status.

Once the update is through, the login dialog will re-appear and you are logged out from the system.

Both your primary monitor and secondary monitors will be closed when you log out.


Log in Client Application

Application Basics | Table of Content

To log in to the system:

1. Launch the NuClient as described in Launch NuClient in Window OS or Launch NuClient in Mac OS . NuClient launches and a login dialog opens.

2. Enter the server address you are going to connect to, the Username, and the password. Then click the OK button. Once you’re logged in, the main interface of the NuClient shows.

If too many clients are trying to connecting to a remote server, then an error message will pop up saying the number of maximum connections has been reached.

NuClient can only login Management Server, cannot login Recording Server(s), Metadata Server(s).

3. Only the username and password of the Management Server which configures System Navigator are needed to login.


Interface Overview

Table of Content

Understanding the NuClient’s user interface helps you navigate the software without any problem. Once you are familiar with the NuClient’s UI, you can jump seamlessly within the software.


Menu - The Global

Interface Overview | Table of Content

To access the NuClient’s menu:

1. From the Top Toolbar of the NuClient, click the “global” icon [image]. The menu opens.

2. On Config tab, the menu will have two additional icons and choices: Commit Config and Restore Config.

The featured commands are:

Command

Description

Commit Configuration

Applies the change(s).

Ø This command is efficacious as the commit config [image] on the Config tab, Top Toolbar.

Restore Configuration

Restores the change(s).

Ø Request Server provides the configuration which saved in Management Server.
Ø This command is efficacious as the restore config [image] on the Config tab, Top Toolbar.

E-Map Editor

Opens the E-Map Editor that inserts multiple maps that mark the locations of cameras and I/O.

Ø The “E-map” is a graphical way to present cameras and I/O devices to give the administrator an idea of where a camera is located, and the relationship among those devices. Cameras and I/O are overlaid on a street map, a floor plan, or any other custom image files.

Image Fusion Editor

Open the Image Fusion Editor to create a panoramic view by stitching multiple camera images together.

Device Group Editor

Open the Device Group Editor to create a customized device list.

Web Bookmark Editor

Open the Web Bookmark Editor to create a customized list of web pages.

APP Launch Editor

Open the APP Launch Editor to create a customized list of EXE files.

Backup Tool

Launches the Backup Tool to save the videos recorded in a desired period of time to a desired local storage.

Failover File Migration Tool

Open the Failover File Migration tool to replace one server to another.

Import System Configuration

Load system configuration file.

Export System Configuration

Save system configuration to a file.

Export Server Log

Opens a Log Viewer tool to export the server log of a desired period of time.

Client Configuration

Access the preference configuration for the software.

System Navigator Configuration

Setup multi-site viewing and management. See System Navigator for details.

Diagnostic Service

Retrieve important server/client logs for system troubleshooting and directly help by NUUO. See Diagnostic Service for details.

About

Views the developer and version of the software, NuClient.

Logout

Signs out from the current account. (NuClient will still be running.)

Exit

Quits the software, NuClient.


Live View

Interface Overview | Table of Content

When the system starts and users log in, it is the Live View that opens on screen. If it isn’t the Live View screen that shows at the moment, click the Live View tab from the NuClient’s Top Toolbar to open the Live View screen.

Exactly as its name communicates, the Live View is the screen where the instant videos are displayed. Most of the Live View screen is occupied by a predominant video area. See Live View to know more about the Live View screen.


Playback

Interface Overview | Table of Content

To open the NuClient’s Playback screen, click the Playback tab from the Top Toolbar.

The Playback is the screen to play the recorded videos. Same as the Live View screen, the Playback screen is occupied by a predominant video area as well. See Playback to know more about the Playback screen.


Config

Interface Overview | Table of Content

From the Top Toolbar of the NuClient, click the Config tab to open the NuClient’s “configuration” feature which includes “system configuration”, “physical configuration” and the help file of the NuClient.

See Settings for the “system configuration” and “physical configuration” featured by the NuClient.

Number

Title

Description

1

Top Toolbar

The Top Toolbar features the following onscreen facilities:

Facility

Title

Description

the “global”

Opens the menu of the NuClient.

Ø See NuClient Menu for more details.

apply button

Applies the change(s).

restore button

Refresh the change(s).

the tabs

Switch the NuClient between the Live View, Playback, Config, and System overview features.

2

Config Catalog

Switches the NuClient between System Config, Physical Config, and Help.

3

Tree Console
Ø Provides the tree menu.
Ø Features the following onscreen facilities:
Icon | Title | Description
 | add sign | Adds a user group/device.
 | delete sign | Deletes the selected user group/device.
 | ascending button | Sorts all the user group(s)/device in an ascending order.
 | search button | Searches for an user group/ a device.
 | Restore system/ physical button | Restore system/physical setting.

4

Status Bar

Deliver system date, system time, user ID, server address, CPU loading, memory usage, and download/upload speed.

5

Configuration Pane

Opens the settings featured by a subject of the menu tree when the subject is clicked.


Graphic Icon on Tree List

Interface Overview | Table of Content

The following icon will display on tree from Physical configuration.

Graphic icon

Description

Ø Management Server

Ø Recording Server

Ø Video Device

Ø Camera

Ø Camera DI/DO

Ø IO device

Ø Metadata Server

Ø Metadata Source

Ø Metadata channel

Ø Matrix

The following icon will display on tree from System configuration page.

Icon

Description

Ø User group

Ø User

Ø Role

Ø Schedule

Ø Layout

Special notification will overlay on icon from tree list include:

Graphic icon

Description

Ø Configuration is modified but haven’t commit to Management Server.
Ø Click the apply button [image] on the Top Toolbar to apply the change(s).

The device is disabled.

The device is disconnect

Can’t get device information.


System Overview

Interface Overview | Table of Content

From the Top Toolbar of the NuClient, click the System Overview tab to open the system overview feature which includes “real-time system information including all servers, cameras, 3rd party devices, and IO devices.

Number

Title

Description

1

Top Toolbar

The Top Toolbar features the following onscreen facilities:

Facility

Title

Description

the “global”

Opens the menu of the NuClient.

Ø See NuClient Menu for more details.

apply button

Applies the change(s).

restore button

Refresh the change(s).

the tabs

Switch the NuClient between the Live View, Playback, Config, and System Overview features.

2

Tree Console

Provides the tree menu.

Ø There are two layers. The first layer indicates system overview for all servers in the system. The second layer indicates the status of all devices which are connected to Recording Servers and Metadata Servers in the system.

3

Status Bar

Deliver system date, system time, user ID, server address, CPU loading, memory usage, and download/upload speed.

4

Status Pane

Display the status of servers and devices.


Graphic Icon on Tree List

Interface Overview | Table of Content

The following icon will display on tree.

Graphic icon

Description

Ø System Overview
Ø The Status Pane will display the status of all servers belongs the system

Ø Recording Server
Ø The Status Pane will display the status of all video devices and IO devices belongs to the Recording Server

Ø Metadata Server
Ø The Status Pane will display the status of all Metadata devices belongs to this Metadata Server


Status Bar

Interface Overview | Table of Content

In the status bar, you may see real-time system information including the current date/time, Username, the address of the server you connect to, CPU usage, memory usage, network download/upload bit-rates, and custom text.


Configuration

Table of Content

The Config tab features two types of configuration. One is the “system configuration”; the other is the “physical configuration”. The “system configuration” means to configure Management Server basic profile setting such as user group, role, schedule and layout while the “physical configuration” means to configure all the physical devices within the network such as Recording Server, Metadata Server, Matrix, video device, camera and I/O devices. Generally the “system configuration” should be done prior to the “physical configuration”.

To access the NuClient settings:

1. Launch the NuClient as described in Launch Client in Window OS or Launch Client in Mac OS.

The NuClient opens onscreen and shows the Live View tabbed page by default.

2. From the Top Toolbar, click the Config tab.

The Config tab opens.

3. If multiple Management Servers are connected by configuring System Navigator, choose a specified Management Server to configure:


Physical Configuration

Configuration | Table of Content

The Management Server runs the administrative software to control all the networked devices including the Recording Server, Metadata Server and Matrix. Hence, it relies on the Management Server to configure all the networked devices.

To access the Physical Config (“physical configuration”):

1. Open the NuClient settings as described in Settings.

The NuClient settings open.

2. Click the Physical Config icon [image] from the Config Catalog.

The physical configuration then opens onscreen and shows the Management Server settings by showing the Properties tabbed page in the Configuration Pane.

The physical configuration features the following settings:

Setting

Description

Recording Server

Configures the Recording Server to control one or more “video device(s)” that further controls one or more camera(s) or camera DI/DO.

Ø See Configure Recording Server for the settings.

Recording Failover Server

Configures the Recording Failover Server to fail over Recording Server when Recording Server is disconnected with Management Server.

Ø See Configure Recording Failover Server for the settings.

Metadata Server
1. Configures the Metadata Server to host the third-party device servers and archive their data.
2. Configures the Metadata Server to stream and archive the data from the third-party device servers (such as POS server, Access Control server, and LPR server) so the NuClient is able to combine the data with video images for more sophisticated application such as theft investigation.
Ø See Configure Metadata Server for the settings.

Matrix

Enables an unlimited number of video walls and video displays.

Ø SeeConfigure Matrix for the settings.

Please note that only when have an "Ultimate level" license will you be able to see the

Matrix interface on NuClient.


Configure Management Server

Configuration | Table of Content

To configure the Management Server:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the Physical Config icon [image] from the Config Catalog.

2. The Tree Console then shows three setting groups: Recording Server, Metadata Server and Matrix.

3. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane while the other six tabbed pages are hidden.

4. Access one of these tabbed pages to configure the Management Server.

A function overview of these tabbed pages:

Tab

Description

Properties

Enters the information about the Management Server including the name, description, RAID (disk) volume and so on.

Ø See Properties for the settings.

Hardware Setting

Complete and change hardware settings about RAID & File System, Network Setup, Management,and System.

Ø See Hardware Setting for the settings.

License

Activates/transfers the licenses (to use NUUO software) for the networked physical devices.

Ø See License for the settings.

Server Overview

Delivers a general view of all the servers under the control of the Management Server, including the Recording Server(s), Metadata Server(s) and Matrix(s).

Ø See Server Overview for the settings.

Recording Failover

Group Recording Servers and Recording Failover Servers to ensure Recording Failover Server mechanism.

See Recording Failover Server for the settings.

SMTP

Sets up the “Simple Mail Transfer Protocol” for the Management Server so it can send out emails.

Ø See SMTP for the settings.

Address Book

Sets up the emails to receive the Management Server‘s notifications for the configured camera events, input events and system events.

Ø See Address Book for the settings.

Event Action

Enables/disables the event(s) that will launch action(s) from the Management Server.

Ø See Event Action for the settings.

Report

Sets up the type of report that will be sent by system automatically.

Ø See Report for the settings.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to enter the information about the Management Server including the name, description, RAID (disk) volume and so on.

To access the Properties tabbed page that configures the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Name

Names the Management Server.

“Management Server”

Description

Provides a brief description for this Management Server for the easier identification of it.

--

Volume

Assigns a “volume” to the Management Server to store configuration.

Ø For volume create and setting, go to web setting first.
Ø If one volume has been assigned to Recording Server or Metadata Server, it can still be assigned as Management Server configuration volume.

Volume A

Choose configuration

If the volume chosen has existing configuration, there are two options.

1. Current system configuration
2. Apply target volume configuration


Hardware Setting

Configuration | Table of Content

It relies on the Hardware Setting tabbed page to enter the hardware setting, it includes RAID & File System, Network Setup, Hardware Management, and Hardware information.

To access the Hardware Setting tabbed page that configures hardware:

1. From the Tree Console, click the topic Management Server.

The Hardware Setting tabbed page then opens in the Configuration Pane.

2. Also, from the Tree Console, click the topic Recording Server, Recording Failover Server, Metadata Server, or IVS Server.

The Hardware Setting tabbed page then opens in the Configuration Pane.

3. Another, from the Tree Console of System Overview, click the topic Recording Server or Metadata Server.

Then opens the Hardware Setting tabbed page.

There are more details at Web Server(Hardware Settings Page), about RAID & File System, Network Setup, Management,and System.

Please log out manually, otherwise time-out message would pop out.

If your web port is NOT 80, please input your IP and web port manually.

If the username to log in NuClient is not admin, you have to log in manually. And If your password to log in NuClient is different from the password of hardware setting page, you have to log in manually.


License

Configuration | Table of Content

It relies on the License tabbed page to activates/transfer the licenses for the physical devices on the Management Server’s network.

To access the License tabbed page that configures the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the License tab.

The License tabbed page then opens at the Configuration Pane showing an overview of the networked devices’ current licensing status for NUUO software.

Take a look at the NUUO software license overview table:

Item

Description

License Type

Delivers what the user is permitted to use the software for.

Ø Three license types are available:

Video License | With Enterprise and Ultimate license, the user is able to connect cameras to this system.
Metadata License | With different types of metadata licenses, the user is able to access different type and brand of 3rd party devices, including POS, Access Control system...etc.

Total Quantity

Delivers the total quantity of the license(s) within the Management Server.

Available Quantity

Delivers the quantity of the available license(s) from the Management Server assign to Recording Server and Metadata Server.

Used Quantity

Delivers the quantity of the used license(s) from the Management Server assign to Recording Server and Metadata Server.

The featured settings on the License tabbed page are:

Item / Setting / Option

Description

Default

Select

Selects a license.

--

SN

Delivers a license’s serial number.

--

Type

Delivers the license type.

--

Channel

Delivers the total license quantity of SN.

--

Online/Offline

Sets how to active/transfer license, online or offline.

Ø Select Online to activate/transfer the license online, which requires the Management Server to connect to the Internet.
Ø Select Offline to activate/transfer the license if the Management Server is not connected to the Internet.

Online

Activate type

Sets what to do with the license, to activate or to transfer it.

Ø Select Activate to activate the license
Ø Select Transfer to transfer the license to other servers.

Activate

Input license

The license key should be manually entered here.

Ø This option is only available when you are “activating” the license “online” (, which means Online is selected for Online / Offline setting and Activate is selected for Activate type setting).

--

Import license file

Click the ellipsis (…) button to browse for the license file.

Ø This option is only available when you are “activating” the license “online” (, which means Online is selected for Online / Offline setting and Activate is selected for Activate type setting).

--

Step 1: Export offline pack folder

Exports the server information file to the local disk.

Ø Click the ellipsis (…) button to browse where to export the server information file.
Ø Click the Export button to export the server information file.
Ø This option is only available when you are “activating” the license “offline” (, which means Offline is selected for Online / Offline setting and Activate is selected for Activate type setting).

--

Step 2: Copy exported offline.req to a PC that is connected to the Internet

This is a line of guide rather than a setting. Please copy the offline.req that is exported in Step 1 to a computer that is connected to the Internet, and run the License Management Tool to activate the license and get the offline license file.

Ø This line of guide is only available when you are “activating” the license “offline” (, which means Offline is selected for Online / Offline setting and Activate is selected for Activate type setting).

--

Step 3: Import license file

Imports the offline license file that is obtained in Step 2.

Ø This option is only available when you are “activating” the license “offline” (, which means Offline is selected for Online / Offline setting and Activate is selected for Activate type setting).
Ø Click the Activate button to run the activation.

--

Activate button

Runs the activation.

--

Transfer button

Runs the transfer.

--

There are two level of video channel license types—Ultimate and Enterprise. On each system, only one level of licenses can be chosen. Therefore, if one user wants to activate Ultimate level license in a Management Server, please activate upgrade license for all Enterprise licenses, or transfer all Enterprise license before activating Ultimate licenses.

The maximum number of camera licenses in one system(Management Server) is unlimited, but the maximum number of camera enabled per Recording Server is 64CH. If there has

been 63 ch camera enabled, and then add 4 ch video servers, only one camera will be

enabled and the remaining 3ch will be disabled.


Online License Activate

Configuration | Table of Content

If the Management Server is “online” (, which means it is connected to the Internet), activate the license online by the following guide.

1. Open the License tabbed page for the Management Server as described in License.

2. Select Online for the Online/Offline setting.

3. Select Activate for the Activate type setting.

4. Select Activate for the Activate type setting.

OR

Select Import license file and click the ellipsis (…) button to browse for the license file to activate multiple licenses at once. (.txt file)

5. Click the Activate button.

The license will be activated on the server computer if the license key is effective.

Please activate your licenses under LAN 1!!!

If Management Server is under LAN, please operate “Offline activation” process even NuClient is connected to the Internet.


Offline License Activate

Configuration | Table of Content

If the Management Server is “offline” (, which means it isn’t connected to the Internet), activate the license offline by the following guide:

1. Open the License tabbed page for the Management Server as described as described in License.

2. Select Offline for the Online/Offline setting.

3. Select Activate for the Activate type setting.

4. Click the ellipsis (…) button besides the Step 1: Export offline pack folder field to browse for the directory to export the server information file to.

5. Click the Export button. The server information file is exported the directory assigned.

6. Copy the offline.req that is exported in step 6 to a computer that is connected to the Internet.

7. Run the OfflineTool.exe on that computer. Run the OfflineTool.exe on that computer.

8. Enter the serial number or import the serial number file.

9. Click the Activate button. The license is activated and an offline license file(.dll) is generated on that computer.

10. Copy the offline license file back to the server computer.

11. On the server computer, re-open the License tabbed page for the Management Server as described as described in License if it hasn’t been opened.

12. Select Offline for the Online/Offline setting, and select Activate for the Activate type setting if they haven’t been selected yet.

13. Click the ellipsis (…) button besides the Import license file field to browse for the offline license file on the server computer.

14. Click the Activate button. The license will be activated on the Management Server.


Online License Transfer

Configuration | Table of Content

If the Management Server is “online” (, which means it is connected to the Internet), transfer the license by an online manner by the following guide:

Before transferring licenses, please disable devices on device overview page to release license to available license type.

1. Launch Crystal NuClient and login Management Server.

2. Go to Recording Server -> Device Overview page.

3. Disable devices by unchecking the video devices.

4. Open the License tabbed page for the Management Server as described in License.

5. Select Online for the Online/Offline setting.

6. Select Transfer for the Activate type setting.

7. Click the Transfer button.

The license will be released and available for activation.

Please transfer your licenses under LAN 1!!!


Offline License Transfer

Configuration | Table of Content

If the Management Server is “offline” (, which means it isn’t connected to the Internet), transfer the license with an offline manner by the following guide:

Before transferring licenses, please disable devices on device overview page to release license to available license type.

1. Launch Crystal NuClient and login Management Server.

2. Go to Recording Server -> Device Overview page.

3. Disable devices by unchecking the video devices.

4. Open the License tabbed page for the Management Server as described in License.

5. Select Offline for the Online/Offline setting.

6. Select Transfer for the Activate type setting.

7. Click the Transfer button.

8. Save the request file that is generated.

9. Copy the request file generated in step 8 to some other computer that is connected to the internet.

10. Run the OfflineTool.exe on that computer.

11. The Offline Tool launches.

12. Click the serial number and click the Transfer button.

The license will be transferred.

If user only finish step 1 to 4 (only click “Export” on license manage page, but not take the “OffLineTool.reg” to another computer, then transfer online), this license will still be transferred from the original Crystal, but can’t be used by another Crystal.


Server Overview

Configuration | Table of Content

It relies on the Server Overview tabbed page to get a general view of all the Management Server’s networked servers, including Recording Server, Metadata Server and Matrix.

To access the Server Overview tabbed page that configures the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the Server Overview tab.

The Server Overview tabbed page then opens in the Configuration Pane showing an overview of all the Management Server’s networked servers, including Recording Server, Metadata Server and Matrix.

Take the closer look at the overview table. Each column delivers the following info:

Setting

Description

Failover/Link Status

Delivers the server’s failover or connection status:

Icon | Description
 | The server is connected with the Management Server.
 | The server is disconnected from the Management Server.

Name

Delivers the name of the server.

Service

Delivers the service that the server provides.

LAN Address 1

Delivers the server’s LAN port 1’s currently networked IP address.

Ø  If the LAN port isn’t in use, the networking status isn’t available.

LAN Address 2

Delivers the server’s LAN port 2’s currently networked IP address.

Ø  If the LAN port isn’t in use, the networking status isn’t available.

WAN Address

Delivers the server’s WAN address.

Ø  If the WAN isn’t in use, the networking status isn’t available.


Recording Failover Group

Configuration | Table of Content

It relies on the Recording Failover tabbed page to assign Recording Failover Servers to stand by and fail over Recording Servers in the system.

To access the Recording Failover tabbed page that configures the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the Recording Failover tab.

The Recording Failover tabbed page then opens at the Configuration Pane showing an overview of all the client(s) connected to the Management Server at the moment, including NuClient and mobile client(s), which streams videos with lower fps.

Take a closer look at the user interface. The Recording Failover tabbed page actually shows all the existing Recording Servers and Recording Failover Servers.

Take the closer look at the table. Each column delivers the following info:

Icon / Item

Name

Description

Failover Group

The group for Recording Servers and Recording Failover Servers. When Recording Server disconnect with Management Server, the Recording Failover Server in the same Failover Group will start fail over the Recording Server.

User can assign multiple Recording Server and Recording Failover Servers to one Failover Server group.

All Recording Server and Recording Failover Server will be displayed in Default Failover Group.

Recording Server - Normal

The Recording Server operates normally.

Recording Server - Simulation

The Recording Server is in simulation mode to simulate when it is disconnected with Management Server, if Recording Failover Server is set up properly to fail over.

Recording Server - Disable

The Recording Server is manually disabled.

Recording Server - Disconnect

The Recording Server is disconnected with Management Server.

Recording Server - Disconnect but failing over by Failover Server

The Recording Server is disconnected with Management Server but it is failing over by another Recording Failover Server.

Recording Failover Server- Standby

The Failover Sever is standby to fail over Recording Server.

Recording Failover Server- fail over

The Failover Sever is fail over Recording Server.

Not Simulate

Client to simulate when the Recording Server disconnect, if Recording Failover Server is set up properly to fail over.

After clicking this icon, the Recording Server will be disconnected until the icon is clicked again or 20 min time out.

Simulating

Click to stop simulate the situation of Recording Server disconnect.

Add

Add a Failover Group

Delete

Delete a Failover Group

Edit

Edit the name of a Failover Group

After all recording failover configuration, please operate Simulation Recording Failover Group to ensure all settings are correct.


SMTP

Configuration | Table of Content

It relies on the SMTP tabbed page to set up the “Simple Mail Transfer Protocol” for the Management Server to send out emails.

To access the SMTP tabbed page for the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the SMTP tab.

The SMTP tabbed page then opens at the Configuration Pane.

The featured settings on the SMTP tabbed page are:

Setting

Description

Default

SMTP server

Sets the SMTP server’s IP address or server name.

--

Port

Assigns the port number.

Ø Click the [image] icon to recover the default.

25

E-mail sender

Sets the sender’s Email address.

--

E-mail subject

Defines a subject for all the Emails sent.

--

E-mail content

Enters the Email content.

--

SMTP server authentication

Enables/disables the username/password authentication before an Email is sent.

Deselected

(Disabled)

User account

Sets up the username for SMTP authentication.

--

Password

Sets up the password for SMTP authentication.

--

Enable SSL

Enables/disables Secure Sockets Layer.

Deselected

(Disabled)

Send test E-mail

Makes the Management Server send a test Email to the sender to make sure the function works.

Ø Click the [image] icon to send the test Email.

--


Address Book

Configuration | Table of Content

It relies on the Address Book tabbed page to set up the emails to receive the Management Server‘s notifications for the configured camera events, input events and system events.

To access the Address Book tabbed page for the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the Address Book tab.

The Address Book tabbed page then opens in the Configuration Pane showing an overview of all the emails set up as well as some settings.

Each column of the overview table delivers the following info:

Item | Description
Name | Delivers the name of the contact.
Mail Address | Delivers the email address of the contact
Phone | Delivers the phone number of the contact

The featured settings are:

Icon

Description

Adds a new contact.

Deletes the selected contact.

Ø Click any of the contact info to select the contact.

Edits the selected contact.

Ø Click any of the contact info to edit the info.


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the Management Server, including the server abnormality such as exhausted disk space and the failure to write to the disk drive.

To access the Event Action tabbed page for the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the Event Action tab.

The Event Action tabbed page then opens in the Configuration Pane.

The featured settings are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø Available events include Fail to write to drive, Power Failed, System Overheated, and Power Recovered.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another networked device.

Event Name

Delivers the event type.

Ø Fail to write to drive, Power Failed, System Overheated, and Power Recovered.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Deliver the stop related action, including Stop action after __Sec and Manually close.

Only Play alarm sound, Video popout, and Video edge display could be manually closed.

Sec.

Sets when to stop the related action launched by the Management Server after the event occurs.

Ø 1 to 60 seconds are configurable.

Action List

Delivers all the actions set up for the Management Server to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name
1. Delivers the name of the schedule.
2. Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the Management Server to take when the event occurs.

Adds an action for the Management Server to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action Properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Report

Configuration | Table of Content

It relies on the Report tabbed page to set up report sending automatically from the system.

To access the Report tabbed page for the Management Server:

1. From the Tree Console, click the topic Management Server.

The Properties tabbed page then opens in the Configuration Pane by default.

2. Click the Report tab.

The Report tabbed page then opens in the Configuration Pane.

System Daily Report

3. Then you can add a report.

4. For Metadata Daily Report and Metadata Hourly Report, you can select IVS Servers, modify Report Time Duration and add Receivers. For System Daily Report, the Management Server will automatically collect the system data from all the Recording Servers and send the e-mail at 23:59 everyday in order to not affect the operation of all servers. Users will just need to add Receivers for receiving the System Daily Report.

System Daily Report2

The featured settings are:

Item

Description

Adds an event.

Ø Available events are Metadata Daily counting report, Metadata Hourly counting report and System daily report.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Event Name

Delivers the report type.

Ø Daily counting report, Hourly counting report

Report time from

Delivers the start time of counting log for the report.

Report time to

Delivers the end time of counting log for the report.

Server name

Delivers which servers included in the report.

Receiver

Delivers the receivers of the report.


LDAP

LDAP (Ultimate License)

 Top Previous Next

Configuration | Table of Content

It relies on the LDAP tabbed page to set up the “Lightweight Directory Access Protocol” or "Microsoft Active Directory" for the Management Server login via existed accounts in the Active Directory Server.

To access the LDAP or MSAD tabbed page for the Management Server:

1. From the Tree Console, click the topic Management Server.

This function will only be supported by the ultimate license (CT-CAM-ULT/ CV-CAM-ULT).

2. Click the LDAP tab.

The LDAP tabbed page then opens at the Configuration Pane.

The featured settings on the LDAP tabbed page are:

Setting

Description

Default

Enable LDAP Server

Ticks to allow to access the Management Server via existed accounts in Active Directory server.

Enable

Server Address

Assigns the LDAP or MSAD server IP address.

--

Port

Assigns the port number.

Ø Click the [image] icon to recover the default.

0

Base DN

A base dn is the point from where a server will search for users. It specifies the root for searches in the Active Directory. Ideally, this should match the root of your domain.

--


Configure Recording Server

Configuration | Table of Content

A Recording Server is a server right under the control of the Management Server to control one or more “video device(s)” that further controls one or more camera(s) or camera DI/DO.

There are two service types of Recording Server: recording and failover. When choosing failover type on Recording Server Properties, the server will become Recording Failover Server.

To access the setting of a Recording Server:

1. Access the Physical Config as described in Physical Config (Management Server)

The physical configuration opens onscreen, and the Tree Console shows the topics: Management Server, Recording Server, Recording Failover Server, Metadata Server, and Matrix.

The Properties tabbed page then opens at the Configuration Pane to configure the selected Recording Server while the other five tabbed pages are hidden.

2. Access one of these tabbed pages to configure the Recording Server.

A function overview of these tabbed pages:

Tab

Description

Properties
1. Enables/disables the Recording Server.
2. Choose the service type of the Recording Server, including Recording and Failover.

Once choose Failover mode, the server will be moved to Recording Failover Server category on Tree list.

3. Enters a brief description of the Recording Server for the better identification of it.
4. Launches an application to detect and install the available cameras within the network.
Ø See Properties for the settings.

Hardware Setting

Complete and change hardware settings about RAID & File System, Network Setup, Management,and System.

Ø See Hardware Setting for the settings.

Device Overview

Delivers a general view of the cameras connected to the Recording Server.

Volume Group

Allocates the RAID disk volume for a camera to save the recorded videos to.(One or more disk drives are working for the Recording Server as a logical drive.)

Ø Video recording requires a volume.
Ø For RAID setting please go to RAID and File System.

Recording Schedule

Delivers a general view of the video recording schedules of all the video devices (i.e. cameras) connected to a Recording Server.

Ø See Schedule to set the video recording schedule.

Auto Backup

Manages the backup for the videos recorded on the selected period.

Ø The Auto Backup requires two major settings, one is the backup schedule and the other is FTP server setting.

Event Action

Sets the events and actions for the Recording Server.

Local Display

Directly stream out live view video from the Recording Server to the monitor which is connected to Crystal VGA port.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to enter the information about the Recording Server including the name and description, or to launch the Installation Wizard.

To access the Properties tabbed page of the Recording Server to configure:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Enable

Enables/disables the Recording Server.

Selected (Enabled)

Service Type

Choose the service type of the Recording Server, including Recording and Failover.

Once choose Failover mode, the server will be moved to Recording Failover Server category on Tree list.

Recording

Name

Names the Recording Server.

“Recording Server #”

Description

Provides a brief description for this Recording Server for the easier identification of it.

“Recording Server # description”

Address

Delivers the following addresses:

Setting

Description

LAN1

Delivers the server’s LAN port 1’s currently networked IP address.

Ø If the LAN port isn’t in use, the networking status isn’t available.

LAN 2

Delivers the server’s LAN port 2’s currently networked IP address.

Ø If the LAN port isn’t in use, the networking status isn’t available.

WAN

Delivers the server’s WAN address.

Ø If the WAN isn’t in use, the networking status isn’t available.

Version

The version of Recording Server

--

Device pack version

The version of device pack

Time zone

The time zone of Recording Server

Launch Installation Wizard

Launches an application to detect and configure Crystal within the network.

--


Hardware Setting

Configuration | Table of Content

Hardware Setting


Video Device Overview

Configuration | Table of Content

It relies on the Video Device Overview tabbed page to get a general view of all the video devices connected to the Recording Server.

To access the Device Overview tab that configures the Recording Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Video Device Overview tab.

The Device Overview tabbed page then opens.

The featured settings on the Video Device Overview tabbed page are:

Group | Setting | Description | Default
Search Video Devices |  | Opens a Search Video Devices dialog to search for the available Video Devices to add them to the Recording Server. | --
Video Device List |  | Select the drop-downs All, None or Invert to select all Video Devices, deselect all Video Devices or reverse the selection. | All (All Video Devices are selected.)
 | Enable | Enables/disables the Video Device. | Selected (Enabled)
 | Name | Delivers the name of the Video Device; editable | --
 | IP | Delivers the IP address of the Video Device; editable | --
 | Port | Delivers the port of the Video Device; editable | --
 | Account | Delivers the user account of device; editable | --
 | Password | Provides capability to modify password input | --
 | Auto Detect | Provides capability to auto-detect the brand/model of video device | --
 | Brand | Delivers the brand of the Video Device; editable | --
 | Model | Delivers the model name of the Video Device; editable | --
 | Protocol | Delivers the connection protocol between camera and server | --
I/O Device List |  | Select the drop-downs All, None or Invert to select all devices, deselect all devices or reverse the selection. | All (All devices are selected.)
 | Enable | Enables/disables the I/O device. | Selected (Enabled)
 | Name | Delivers the name of the I/O device. | --
 | IP | Delivers the IP address of the I/O device. | --
 | Port | Delivers the port of the I/O device. | --
 | Model | Delivers the model name of the I/O device. | --
 | Address ID | I/O device address ID display | --

In the Video Device Overview, users could highlight specific video device to change streaming setting:

During the configuration, user could check the video quality on the right corner.

Apply button must be clicked in order to submit this change.

If the apply button is not clicked, then the change of configuration won't go to the server side. So there is no change at all if user did not click on "Apply".


Import Export Camera Template

Configuration | Table of Content

Under Video Device Overview tab, user could import camera list to server or export existing camera list as a camera template.

The template should be .csv format.

The content of csv should include below values:

Name, IP, Port, Account, PSW, Protocol, Brand, Model

Example of video device template

Name | IP | Port | Account | PSW | Protocol | Brand | Model
Front Door | 10.0.11.80 | 80 | root | ***AwKzGu0v+29JLGjlKA==*** | TCP | Vivotek | IP8162
Gate | 10.0.128.118 | 80 | admin | ***AwKrMYVZmQArVBqXR4g=*** | HTTP | Sony | SNC-RX530
アップルแอปเปิล | 10.0.6.86 | 11088 | admin |  | HTTP | Arecont | AV5105
救我 | 10.0.11.99 | 80 | admin | ***AwLkK4xhpD4dfw==*** | TCP | Sony | SNC-WR630

In order to get the format of template, it is possible to export template even there is no video device on the recording server.


I/O Overview

Configuration | Table of Content

It relies on the Video Device Overview tabbed page to get a general view of all the video devices connected to the Recording Server.

Group

Setting

Description

Default

I/O Device List |  | Select the drop-downs All, None or Invert to select all devices, deselect all devices or reverse the selection. | All (All devices are selected.)
 | Enable | Enables/disables the I/O device. | Selected (Enabled)
 | Name | Delivers the name of the I/O device. | --
 | IP | Delivers the IP address of the I/O device. | --
 | Port | Delivers the port of the I/O device. | --
 | Model | Delivers the model name of the I/O device. | --
 | Address ID | I/O device address ID display | --


Volume Group

Configuration | Table of Content

It relies on the Volume Group tabbed page to allocate the RAID disk volume for a camera to save the recorded videos to. The volume is required for video recording.

To access the Volume Group tabbed page that configures the Recording Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Volume Group tab.

The Volume Group tabbed page then opens.

Take a closer look at the user interface. The Volume Group tabbed page actually shows all the existing volume group(s), with the info about the allocated volume(s).

The featured settings and icons are:

Setting / Item

Name

Description

Adds a new Volume Group

-

Deletes a Volume Group

-

Edits the name of selected Volume Group.

-

Distributed camera

Automatically distribute the camera to each Volume Group by the number of volumes.

Available Volume Group

Available volume pool for new volumes added to the system.

Ø All new added volumes in the Recording Server will be assigned to Available Volume Group.
Ø Volumes on Available Volume Group will not record and it’s available to be assigned as Metadata database or Recording Server video recording.

Default Volume Group

The pre-created Volume Group in the Recording Server.

Ø By default, all new added cameras in the Recording Server will be assigned to Default Volume Group

Volume for Video Recording

Volumes assigned to Volume Group can be used to store video data.

Volume for Metadata database

Volume on Available Volume Group can be assigned to store Metadata database.

Volumes assigned to store Metadata can not be assigned to camera recording.

Remember to assign volumes from Available Volume Group to Volume Groups to start record.


Recording Schedule

Configuration | Table of Content

It relies on the Recording Schedule tabbed page to get a general view of the video recording schedules of all the video devices (i.e. cameras) connected to a Recording Server.

To access the Recording Schedule tabbed page that configures the Recording Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Recording Schedule tab.

The Recording Schedule tabbed page then opens.

The featured settings on the Recording Schedule tabbed page are:

Setting / Item

Description

Switches the schedule table to any other calendar day.

schedule table

Click and drag on the schedule table to view other time slots.

Search the keyword of schedule

Focuses on the previous searched result.

Focuses on the next searched result.

Always

Delivers the times slots in which the video recording is on unconditionally.

ƒ See Add A Scheduleto know how to change the setting.

On Event

Delivers the times slots in which the video recording is on when an event occurs.

ƒ See Add A Schedule to know how to change the setting.

Boosting

Delivers the times slots in which the video are recorded with higher frame rate.

ƒ See Add A Schedule to know how to change the setting.

Scrolls the schedule table to the left.

Scrolls the schedule table to the right.

Zooms out the daily time schedule table to bring more time slots into view.

Zooms in the schedule table to view the time slots in a more specific way.

Recycle condition

Delivers how long to keep the recorded videos for.


Edge Retrieve

Edge Retrieve (Ultimate License)

 Top Previous Next

Configuration | Table of Content

It relies on the Edge Retrieve tabbed page to store video and audio recordings in on-board storage media inside all the video devices (i.e. cameras) connected to a Recording Server.

When the video surveillance system detects that recordings are missing for a time period due to a failure, the recording server retrieves the recordings from the camera’s on-board storage once the failure is resolved.

The settings will be automatically applied to the integrated video devices only and please refer to the Camera Supported List for further information.

To access the Recording Schedule tabbed page that configures the Recording Server:

1. From the Tree Console, click the topic Recording Server.

This function will only be supported by the ultimate license (CT-CAM-ULT/ CV-CAM-ULT).

2. Click the Recording Schedule tab.

The Recording Schedule tabbed page then opens.

3. Setup the Start Time and Duration

Start time means when the Recording Server to retrieve the recordings from cameras.

Duration means how long of the recordings the Recording Server should retrieve from the cameras.

As the below setting, it means the Recording Server will start to retrieve the recordings from at 00:00 and

3. Click the Recording Schedule tab.

The Recording Schedule tabbed page then opens.

The featured settings on the Recording Schedule tabbed page are:

Setting / Item | Description
Start Time | Set up a time for recording server to start retrieving the recordings from video devices.
Duration | Set up duration for recording server to retrieve the missing recordings in this time period (1~7 days)

On-board storage may not have the needed capacity to store video recordings in

the desired quality for the desired period of time.

Only 3 cameras will be arranged to retrieve missing recordings at a time in order to not consume too much bandwidth.


Auto Backup

Configuration | Table of Content

It relies on the Auto Backup tabbed page to auto back up the videos recorded on the previous day to a FTP server. For such auto backup, it requires the backup schedule setting and the FTP server setting.

To access the Auto Backup tabbed page that configures the Recording Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Auto Backup tab.

The Auto Backup tabbed page then opens.

The featured settings on the Auto Backup tabbed page are:

Group

Setting

Description

Default

Auto backup: Enable

Enables/disables the auto backup feature for the Recording Server.

Disabled

FTP server setting

FTP host

Sets the IP address or server name of the backup FTP server.

--

FTP port

Sets the port number of the backup server.

--

Username

Enters the username to log in the backup FTP server.

--

Password

Enters the password to log in the backup FTP server.

--

Backup folder

Specifies the folder to save the backup data to.

Ø The folder name should be the format of “Folder Name”, “Folder Name/Sub Folder Name” and so on.

Runs a connection test to the configured FTP server.

--

Backup schedule setting

Daily backup time

Sets the daily time for the system to do the auto backup.

0:00:00

Backup period from

Sets the start time of recorded video of the previous day.

0:00:00

Backup period to

Sets the end time of recorded video of the previous day.

23:59:59

Cameras

Sets the channel(s) to back up the videos for.

Deselected.


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the Recording Server, including the server abnormality such as server disconnection or the failure to write to the disk drive.

To access the Event Action tabbed page for the Recording Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Event Action tab.

The Event Action tabbed page then opens.

The featured settings on the Event Action tabbed page are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø Available events are Server disconnect, Fail to write to drive and Auto backup failed.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another device.

Event Name
Ø Fail to write to drive

I/O error on physical drive.

Error log could be found in system hardware log.

Immediately replace HDD is recommended. The volume needs to be modified in the raid setting page.
Ø Server disconnect

Disconnection between servers.

Check each server's status
Ø Volume operation error

I/O error on logical volume.

Volume icon shows error and recording module will not put data on this volume.

The disconnection of external storage would cause this error.

Reconnection between server and storage could solve this issue.

If internal critical issues of logical volume such as too many disks failed, damage of files and etc causes this error, the volume needs to be re-created.
Ø Volume group no functional volume

User should check volume group setting and move functional volume to volume group.
Ø Volume unreachable from volume group

Volume icon becomes transparent (unreachable);

check volume status and try to reconnect volume.
Ø Recording module error

Recording module is not functional.

Below scenarios may cause this event:

No volume to record, DB sequence conflict and etc.

if recording module error sustains, format volume could solve the issue.
Ø No available Failover Server for disconnected Recording Server

Ø Auto backup fail

Ø System overheated

When CPU reaches 65℃; system overheated event triggered.

System log in web:

CPU reaches 65℃

CPU reaches 70 ℃

CPU reaches 80℃ (and then shutdown without reboot)

System reaches 58℃ (and then shutdown without reboot)

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Stop action after __Sec., and Manually close.

Sec.

Sets when to stop the action launched by the Recording Server after the event occurs.

Ø 1 to 60 seconds are configurable.

Action list

Delivers all the actions set up for the Recording Server to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name

Delivers the name of the schedule.

Ø Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the Recording Server to take when the event occurs.

Adds an action for the Recording Server to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Video Popup

Configuration | Table of Content

Video Popup is a type of action that assigned associated video(s) will automatically popup to grid(s) on assigned client monitor when an event happens. This action is supported on both NuClient and NuMatrix(Enterprise level).

The general setting of Video Popup is in The Function Menu (Default:10 Max:30)

To configure a Video Popup:

1. On Event Action tab, choose an event that supports Video Popup

2. Add Video Popup action

3. Edit Video Popup action on Action properties

4. Assign NuClient, NuMatrix, or both, to popup video.

5. Choose one monitor to popup video.

6. Choose the camera as the source of video popup.

7. After assigning application, monitors, and cameras on Config tab, please go to Live View tab for Video Popup Viewing setting.

The featured settings on the Action Properties of Video Popup are:

Group | Icon / Setting | Description
Action Properties | Select monitor to popup | Overview the relationship of all events, video sources and monitors for video popup action by Video Popup Management. Quick edit is available on Video Popup management.
 | Popup Camera | Insert the camera name to search.
 |  | Search previous.
 |  | Search next.
 |  | Only show the camera selected.

Remember to assign Video Popup grid on General Setting page.


Video Popup Management

Configuration | Table of Content

Video Popup Management provides an overview the relationship of all events, video sources and monitors for Video Popup action.

To configure a Video Popup Management:

1. On Event Action tab, choose an event that supports Video Popup

2. Add Video Popup action

3. Edit Video Popup action on Action properties

4. Click on [image], the setting windows then popup:

The featured settings on the Video Popup Management are:

Icon | Description
 | For the chosen event, remove the monitor to popup video.
 | For the chosen event, edit the monitor to popup video.


Local Display

Configuration | Table of Content

It relies on the Local Display tabbed page to directly stream out live view video from the Recording Server to the monitor which is connected to Crystal VGA port.

To access the Local Display tabbed page for the Recording Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Local Display tab.

The Local Display tabbed page then opens.

The featured settings on the Local Display tabbed page are:

Group | Setting | Description | Default
Local Display: Enable |  | Enables/disables the Local Display feature for the Recording Server. | Disabled
Display Setting | Default Layout | The default layout of the monitor connected to Crystal. | 2x2
 | Screen Resolution | Choose the resolution of screen display; the selections of resolutions will be shown when connecting with a screen. | Auto
 | Fix Aspect Ratio | Check the box to make all videos fix the aspect ratio. | Disable
 | Default Start Auto Scan | Check the box to enable auto scan when live viewing. | Disable
 | Auto Scan Interval | The time interval of auto scan | 5 secs
 | Camera Name | Check the box to enable OSD of camera name. | Enabled
 | Toolbar Display | Choose to hide the toolbar or always show it on the screen. If you choose “Hide”, toolbar can still be shown when moving the cursor. | Always show
 | Display Date Time on Toolbar | Check the boxes to display date/time on toolbar. | Enabled
Display Channel | Select Display Channel | Choose the channels to local display on monitor. | All disabled.


Add Video Device / IO Device

Configuration | Table of Content

To add a Video Device or IO device to a Recording Server:

1. From the Tree Console, click the topic Recording Server.

2. If a plus sign (+) shows besides the sub topic Recording Server, click the plus sign (+) to collapse the existing Recording Server(s). Then click the Recording Server to configure.

OR

If a minus sign (-) shows besides the sub topic Recording Server, the existing Recording Server(s) collapse already. Simply click the Recording Server to configure. Click the Recording Server to add the Video Device or IO device to.

The Recording Server becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A tiny dialog then opens showing the options of Add Video Device and Add IO Device.

4. Click Add Video Device to add a Video Device.

OR

Click Add IO Device to add an I/O device.

A new Video Device, named “video device” by default, or a new I/O device, named “io device” by default”, will be appended under the selected Recording Server, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly added Video Device or I/O device.

To configure a Video Device, see Configure A Video Device.

To configure an IO device, see Configure An IO Device.


Delete Video Device / IO Device

Configuration | Table of Content

To delete a Video Device or IO device from a Recording Server:

1. From the Tree Console, click the topic Recording Server.

2. Click the Recording Server to delete the Video Device or I/O device from.

The Recording Server becomes highlighted

3. If a plus sign (+) shows besides the Recording Server, click the plus sign (+) to collapse the existing Video Device(s) and IO device(s). Then click the device to delete.

OR

If a minus sign (-) shows besides the Recording Server, the existing Video Device(s) and IO device(s) collapse already. Simply click the device to delete.

The device to delete becomes highlighted.

4. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

5. Click Yes to confirm the deletion.

6. Click the apply button [image] on the Top Toolbar to apply the change.


Configure Video Device

Configuration | Table of Content

To configure a Video Device:

1. From the Tree Console, click the topic Recording Server.

2. If a plus sign (+) shows besides the sub topic Recording Server, click the plus sign (+) to collapse the existing Recording Server(s). Then click the Recording Server to configure.

OR

If a minus sign (-) shows besides the sub topic Recording Server, the existing Recording Server(s) collapse already. Simply click the Recording Server to configure.

3. Click the Recording Server to which the Video Device to configure belongs.

The Video Device to configure becomes highlighted and the Properties tabbed page opens in the Configuration Pane while the Camera tabbed page is hidden by default.

Ø See Properties for the settings featured on the Video Device Properties tabbed page.
Ø See Camera for the settings featured on the Camera tabbed page.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure the properties of a Video Device:

1. From the Tree Console, click the topic Recording Server.

2. Click the Recording Server to which the video device to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the Video Device to configure.

The featured settings on the Properties tabbed page are:

Group

Description

Default

Video Device

Enable

Enables/disables the Video Device.

Selected

(Enabled)

Name

Sets the name of the Video Device.

“video device”

Description

Provides a brief description of the Video Device for the better identification of it.

--

URL/IP address

Sets the URL or IP address of the Video Device.

127.0.0.1

Port

Sets the port of the Video Device.

80

Account

Sets the Username to access the Video Device.

admin

Password

Sets the password to access the Video Device.

--

Brand

Fill in the brand of the Video Device.

--

Model

Fill in the model name of the Video Device.

--

Protocol

Sets the protocol of the Video Device.

Ø Options available are: TCP, UDP and HTTP.

TCP

If your camera support secondary IP address, the secondary IP of the camera can be input on the column of URL/IP address, with a blank after the primary IP. If the web port pf the secondary IP is different from the primary one, please input the port directly after the secondary IP with a colon.

If the camera has two IP addresses, it would be showed in camera overview and video device overview.

The server would try to connect to the primary IP address until it is connected.


Camera

Configuration | Table of Content

It relies on the Camera tabbed page to view the status of all the video channels controlled by a Video Device.

To access the Camera tabbed page of a Video Device:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the Video Device to configure by default.

4. Click the Camera tab.

The Camera tabbed page then opens.

Take a closer look at the tabbed page, which actually shows the statuses of all the camera(s) controlled by the Video Device.

Group | Description
Enable | Enables/disables the camera.
Multi stream | Enable/disable the multi stream
Camera Name | Delivers the name of the camera.
Stream | Delivers the stream quantity for camera.
Video Format | Delivers the video format of the camera.
Frame Rate | Delivers the frame rate of the video.
Resolution | Delivers the resolution of the video.
Quality | Delivers the quality of the video.
Audio | Delivers whether audio is enabled for the camera.
Lens | Delivers the lens for the camera use.
Lens Type | Special lens feature, such as fisheye camera.
Camera Position | Delivers where the camera locates for the special lens feature.


Configure Camera

Configuration | Table of Content

To configure a camera for the general properties, data streaming, recording schedule and event & action features:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

4. If a plus sign (+) shows besides the Video Device, click the plus sign (+) to collapse all the existing camera(s). Then click the camera to configure.

OR

If a minus sign (-) shows besides the Video Device, the existing camera(s) collapse already. Simply click the camera to configure.

The Properties tabbed page opens in the Configuration Pane for the camera to configure while the other tabbed pages are hidden by default.

An overview of the tabbed pages featured:

Tabbed Page

Description

Properties
1. Enables/disables the camera.
2. Sets the name and brief description for the camera.

Stream
1. Enables/disables the stream profile.
2. Configures the camera’s multi-streams profile setting.

Recording Schedule
1. Delivers a general view of the camera’s video recording schedule.
2. Configures the camera’s video recording schedule and other recording features.

Event Action

Sets the event(s) that will launch action(s) from the camera.

Fisheye Dewarp Calibration

Manually calibrate fisheye camera for precise dewarp result.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure a camera for the general properties such as the title and a brief description.

To access the Properties tabbed page of a camera:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

4. If a plus sign (+) shows besides the Video Device, click the plus sign (+) to collapse all the existing camera(s). Then click the camera to configure.

OR

If a minus sign (-) shows besides the Video Device, the existing camera(s) collapse already. Simply click the camera to configure.

The Properties tabbed page opens in the Configuration Pane for the camera to configure while the other tabbed pages are hidden by default.

The featured settings on the Properties tabbed page are:

Setting | Description | Default
Camera Enable | Enables/disables the camera. | Enable
Name | Names the camera. | Default name
Description | Provides a brief description of the camera for the better identification of it. | --
Go to Web | See camera settings, liveview, and playback in camera web | --
IVS | Choose whether this camera use IVS licenses and apply IVS | --
Audio Source | Choose which source to be audio source of this camera | Self


Stream

Configuration | Table of Content

It relies on the Stream tabbed page to configure a camera for the general properties such as the title and a brief description.

To access the Stream tabbed page of a camera:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

4. If a plus sign (+) shows besides the Video Device, click the plus sign (+) to collapse all the existing camera(s). Then click the camera to configure.

OR

If a minus sign (-) shows besides the Video Device, the existing camera(s) collapse already. Simply click the camera to configure.

5. Click the Stream tab.

The Stream tabbed page opens in the Configuration Pane for the camera to configure by default.

Take a closer look at the user interface.

The default setting for Multi-streaming is Enable (Auto), and only settings for Stream 1 can be adjusted.

Attributes which are adjustable are defined by each specific camera

6. If settings for Stream 2 and Stream 3 are required to be adjust, click Enable (Customized).

Enable (Customized) is disabled when this specific camera does not support this behavior.

7. If multi-stream settings is disabled for this camera, click Disable

8. Click button [image] to refresh multi-stream settings.


Recording Schedule

Configuration | Table of Content

It relies on the Recording Schedule tabbed page to get a general overview of a camera’s recording schedule, or to configure the camera’s recording schedule:

To access the Recording Schedule tabbed page of a camera:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

4. If a plus sign (+) shows besides the Video Device, click the plus sign (+) to collapse all the existing camera(s). Then click the camera to configure.

OR

If a minus sign (-) shows besides the Video Device, the existing camera(s) collapse already. Simply click the camera to configure.

The Properties tabbed page opens in the Configuration Pane for the camera to configure by default.

5. Click the Recording Schedule tab.

The Recording Schedule tabbed page opens in the Configuration Pane.

The featured settings on the Recording Schedule tabbed page are:

Group

Setting

Description

Recording schedule overview

Daily view

Shows the schedule table in a daily view.

Weekly view

Shows the schedule table in a weekly view.

Switches the schedule table to any other calendar day.

schedule table

Click or drag on the schedule table to view other time slots.

Moves the selected Video Device up.

Moves the selected Video Device down.

Always

Delivers the times slots in which the video recording is on unconditionally.

Ø See Add A Schedule to know how to change the setting.

On Event

Delivers the times slots in which the video recording is on when an event occurs.

Ø See Add A Schedule to know how to change the setting.

Boosting

Delivers the times slots in which the video are recorded with original frame rate when an event occurs, and lower frame rate when no event occurs.

Ø See Add A Schedule to know how to change the setting.

Scrolls the schedule table to the left.

Scrolls the schedule table to the right.

Zooms out the daily time schedule table to bring more time slots into view.

Zooms in the schedule table to view the time slots in a more specific way.

Recording schedule list

Name

Delivers the name of the schedule.

Property

Delivers how videos are recorded, Always, On Event or Boosting.

Ø See Add A Schedule to know how to change the setting.

Description

Delivers a brief description for this schedule for the easier identification of it.

Opens a dedicated page to add a recording schedule to a camera.

Ø See Add A Schedule for the details.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule priority up.

Ø Click a schedule to select it.

Moves the selected schedule priority down.

Ø Click a schedule to select it.

Others

Retention Days

Sets the retention days of the recorded video.

Ø 1 to 999 is configurable.

Enable Audio

Enables/disables audio recording.


Add Recording Schedule to Camera

Configuration | Table of Content

On the Recording Schedule tabbed page, the recording schedule list is featured to deliver the recording schedule(s) of a camera. It is also a group of settings to configure the recording schedule(s) of a camera. The group of settings features a add sign icon [image] to add a recording schedule to a camera. Click such [image] icon to open a dedicated page to add a recording schedule to a camera.

To open the dedicated page to add a recording schedule to a camera:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

4. Open the Recording Schedule tabbed page of a camera.

The Recording Schedule tabbed page opens in the Configuration Pane.

5. Find the recording schedule list group of settings in the middle of the Recording Schedule tabbed page. And find the [image] icon at the bottom of the recording schedule list.

6. Click the [image] icon.

The dedicated page to add a recording schedule to a camera then opens.

The featured settings are:

Setting

Description

Default

Select Schedule

Selects an existing schedule to add, or adds a new schedule to add.

Ø The existing schedules are the schedules created as described in Create A Schedule.
Ø Click the [image] icon on the right to create a new schedule.
Ø To create a new schedule, see Create A Schedule for more details.

The

”Always” schedule

Schedule table

Shows the selected schedule or the schedule about to be added in an overview table.

--

Recording type

Sets how videos are recorded for the selected schedule or the schedule about to be added.

Ø Options available are:

Option

Description

Always

Records videos 24 hours a day.

Ø When set to Always, the Video encode setting becomes available. Select Modify video frame rate to be able to adjust the MJPEG video frame rate from 1 to 30.

Recording on Event

Records videos when an event occurs.

Ø When set to Recording on Event, the Video encode setting becomes available. Select Modify video frame rate to be able to adjust the MJPEG video frame rate from 1 to 30. Also available are the Pre-record and Post-record settings, which is configurable from 5 to 180 sec.
Ø When set to Recording on Event, the Event type setting also becomes available so users can set which event to trigger video recording.

Boosting recording

Records videos with original frame rate when an event occurs and lower frame rate when no event occurs.

Ø When set to Boost Recording, the Normal Video encode group of settings and Event Video encode group of settings both become available so users can set which frame rate to record videos when an event occurs or when nothing happens (“normally”). Select Modify video frame rate to be able to adjust the MJPEG video frame rate from 1 to 30.
Ø When set to Boost Recording, the Event typesetting also becomes available so users can set which event to trigger video boost recording.

Disabled

Disables video recording.

Always

Video Encode

Selects the video format for the recording schedule.

Ø Available video encode are original profile and modify video frame rate.

Take a closer look at the Recording schedule list:

The information delivered is:

Name | Delivers the name of the schedule currently applied to the camera.
Property | Delivers when and how to record videos.
Description | Delivers the brief description of the schedule (profile).
Pre-record | Sets the time to start recording right before the scheduled time.
Post-record | Sets the time to keep recording after the scheduled time elapses.

The featured settings are:

Click this add sign icon to open another page to add a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule priority up.

Ø Click a schedule to select it.

Moves the selected schedule priority down.

Ø Click a schedule to select it.


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the Camera.

To access the Event Action tabbed page for the Camera:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

By default, the Properties tabbed page then opens at the Configuration Pane.

4. Click the Event Action tab.

The Event Action tabbed page then opens.

The featured settings on the Event Action tabbed page are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø Available events are connection lost, No enough days for retention days and Motion started.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to other camera(s).

Event Name

Delivers the event type.

Ø Four types are available:No enough days for retention days, Motion started, and Connection lost.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Stop action after __ Sec., and Manually close

Sec.

Sets when to stop the action launched by the Camera after the event occurs.

Ø 1 to 60 seconds are configurable.

Action list

Delivers all the actions set up for the Camera to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule priority up.

Ø Click a schedule to select it.

Moves the selected schedule priority down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to other event(s) from this camera.

Schedule Name

Delivers the name of the schedule.

Ø Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the Camera to take when the event occurs.

Adds an action for the Recording Server to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Fisheye Dewarp Calibration

Configuration | Table of Content

It relies on the Fisheye Settings tabbed page to configure different Lens Type of a fisheye Camera. NuClient provides Generic Dewarp to manually calibrate all kinds of fisheye cameras for precise dewarp results.

To access the Fisheye Settings tabbed page for the Camera:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the camera to configure belongs.

By default, the Properties tabbed page then opens at the Configuration Pane.

4. Click the Fisheye Settings tab.

The Fisheye Settings tabbed page then opens.

5. Choose Generic Dewarp from Lens Type, and a Fisheye Calibration user interface appears.

The Original video is displayed in the left window, and its Dewarped video is displayed in the right window.

A red Boundary Ellipse marks the visible boundary of a fisheye camera.

If the visible boundary is not calibrated well, its dewarped video will not be precise.

The purpose of manually calibration is to make Boundary Ellipse exactly stays on the visible boundary.

6. Methods to adjust the Boundary Ellipse:

Operation | Effect
Roll mouse wheel | zoom in / zoom out
Left click and hold | move Boundary Ellipse around
Hold white dot (control point 1) | adjust size of Boundary Ellipse
Hold white square (control point 2) | adjust width / height of Boundary Ellipse
Hold blue dot (control point 3) | rotate Boundary Ellipse
Click button Reset to default | reset default position of Boundary Ellipse

Change Fix center or Keep aspect ratio settings will change behaviors of control points 1-3. Try it!

7. A well-calibrated result should be:

8. User can drag inside the right window to move Dewarped video around.


Configure DI / DO of Camera

Configuration | Table of Content

To configure the digital input/output pins and the event & action for a Video Device:

1. To configure the digital input/output pins and the event & action for a Video Device:

2. Click the topic Video Device.

3. Click the Video Device to which the DI/DO to configure belongs.

4. If a plus sign (+) shows besides the Video Device, click the plus sign (+) to collapse all the existing digital input/output. Then click the digital input/output to configure.

OR

If a minus sign (-) shows besides the Video Device, the existing camera(s) collapse already. Simply click the camera to configure.

The DI/DO Overview tabbed page opens in the Configuration Pane for the digital input/output to configure while the Event Action tabbed page is hidden by default.

An overview of the featured tabbed pages:

Tabbed Page | Description
DI/DO Overview | Enables/disables the digital input/output pin. Configures the name, type and state for the digital input/output pins..
Event Action | Enable/disable the event(s) that will launch action(s) from the digital input/output, which is when the input signal is on.


DI / DO Overview

Configuration | Table of Content

It relies on the DI/DO Overview tabbed page to configure the digital input/output for a Video Device:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the DI/DO to configure belongs.

The DI/DO Overview tabbed page opens in the Configuration Pane for the digital input/output to configure by default.

The featured settings are:

Setting

Description

Default

Enables/disables the digital input/output pins.

Ø Select All to enable all device(s)
Ø Select None to disable all devices
Ø Select Invert to reverse the selection.

All

(All digital input/output pins are enabled.)

Enable

Enables/disables the digital input/output pin.

Enabled

IO Type

Delivers what the pin does, digital input or digital output.

Ø Click the IO Type cell of an digital input/output pin to view the pin‘s Associated Camera(s), or to associate a camera with the digital input/output pin.

--

Pin Name

Delivers the name of the input/output pin.

Ø Click the Pin Name cell to edit the name of the digital input/output pin.

--

Normal State

Delivers whether the digital input/output pin is normally open or normally close.

--

State

Delivers the current state of the IO device.

Ø for digital input
Ø for digital output and can be turned off


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the digital input/output pin, which is when the input signal is on.

To access the Event Action tabbed page for a digital input/output pin:

1. From the Tree Console, click the topic Recording Server.

2. Click the topic Video Device.

3. Click the Video Device to which the DI/DO to configure belongs.

The DI/DO Overview tabbed page opens in the Configuration Pane for the digital input/output to configure by default.

4. Click the Event Action tab.

The Event Action tabbed page then opens.

Take a closer look at the user interface. The Event Action tabbed page shows an overview of the available digital input pin(s) at the top. And the event settings are in the following. Click a listed digital input pin to show the Event group of settings.

The Event settings are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø The available event is Digital input triggered.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another Digital input.

Event Name

Delivers the event type.

Ø Only one type is available: Digital input triggered.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Sets whether to stop the action launched by the digital input pin sometime after the event occurs, leaves it on automatic, or manually close.

Sec.

Sets when to stop the action launched by the digital input pin after the event occurs.

Ø 1 to 60 seconds are configurable.

Action list

Delivers all the actions set up for the digital input pin to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name

Delivers the name of the schedule.

Ø Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the IO device to take when the event occurs.

Adds an action for the IO device to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Configure IO Device

Configuration | Table of Content

To configure an IO Device:

1. From the Tree Console, click the topic Recording Server.

2. Click the Recording Server to which the IO device to configure belongs.

The IO device to configure becomes highlighted and the Properties tabbed page opens in the Configuration Pane while the DI/DO Overview and Event Action tabbed pages are hidden by default.

Ø See Properties for the settings featured on the Properties tabbed page.
Ø See DI/DO Overview for the settings featured on the DI/DO Overview page.
Ø See Event Action for the settings featured on the Event Action tabbed page.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure the properties of an IO device:

1. From the Tree Console, click the topic Recording Server.

2. Click the Recording Server to which the IO device to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the IO device to configure by default

The featured settings on the Properties tabbed page are:

Group

Description

Default

IO Device [image] Enable

Enables/disables the IO device.

Selected

(Enabled)

Name

Sets the name of the IO device.

“IO Device #”

Description

Provides a brief description of the IO device for the better identification of it.

--

Model

Sets the model of the IO device.

--

IP address

Sets the IP address of the IO device.

--

Port

Sets the port of the IO device.

Ø 0~65535 are configurable.

--

Address ID

Sets the address ID of the IO device.

Ø 0~255 are configurable.

0


DI / DO Overview

Configuration | Table of Content

It relies on the DI/DO Overview tabbed page to configure the digital input/output for an IO device:

1. From the Tree Console, click the topic Recording Server.

2. Click the Recording Server to which the IO device to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the IO device to configure by default.

3. Click the DI/DO Overview tab.

The DI/DO Overview tabbed page then opens.

The featured settings on the DI/DO Overview tabbed page are:

Group

Description

Default

Enables/disables the IO device.

Ø Select All to enable all device(s)
Ø Select None to disable all devices
Ø Select Invert to reverse the selection.

All

(All IO devices are enabled.)

Enable

Enables/disables the IO device.

Enabled

IO Type

Delivers what the IO device does, digital input or digital output.

Ø Click the IO Type cell of an IO device to view the IO device‘s Associated Camera(s), or to associate a camera with the IO device.

--

Pin Name

Delivers the name of the input/output pin of the IO device.

Ø Click the Pin Name cell of an IO device to edit the pin name for the IO device.

--

Normal State

Delivers whether the IO device is normal open or normal close.

--

State

Delivers the current state of the IO device.

for DI

for DO and can set turn off


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the IO device, which is when the input signal is on.

To access the Event Action tabbed page for the IO device:

1. From the Tree Console, click the topic Recording Server.

2. Click the Recording Server to which the IO device to configure belongs.

Click the Recording Server to which the IO device to configure belongs.

3. Click the Event Action tab.

The Event Action tabbed page then opens.

Take a closer look at the user interface. The Event Action tabbed page shows an overview of the available digital input pin(s) at the top and the event settings in the following.

The event settings are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø The available event is Input signal on.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another digital input pin.

Event Name

Delivers the event type.

Ø Only one type is available: Input signal on.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Sets whether to stop the action launched by the IO device some time after the event occurs , leaves it on automatic, or manually close.

Sec.

Sets when to stop the action launched by the IO device after the event occurs.

Ø 1 to 60 seconds are configurable.

Action list

Delivers all the actions set up for the IO device to take when the event occurs.

Group

Icon / Setting

Description

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in an daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name

Delivers the name of the schedule.

Ø Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the IO device to take when the event occurs.

Adds an action for the IO device to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Configure Recording Failover Server

Configuration | Table of Content

A Recording Failover Server is a server right under the control of the Management Server to fail over Recording Server in the same Recording Failover Server Group when the Recording Servers is disconnected with Management Server.

A Recording Failover Server is a server right under the control of the Management Server to fail over Recording Server in the same Recording Failover Server Group when the Recording Servers is disconnected with Management Server.

Once choose Failover mode, the server will be moved to Recording Failover Server category on Tree list.

To access the setting of a Recording Failover Server:

1. Access the Physical Config as described in Physical Config (Management Server).

The physical configuration opens onscreen, and the Tree Console shows the topics: Management Server, Recording Server, Recording Failover Server, Metadata Server, and Matrix.

The Properties tabbed page then opens at the Configuration Pane to configure the selected Recording Failover Server.

2. Access one of these tabbed pages to configure the Recording Failover Server.

3. Once the Recording Server fails, the Recording Failover Server will take over its original duty and the recordings will be displayed as a red orange line segment in Time Span.

A function overview of these tabbed pages:

Tab

Description

Properties
1. Enables/disables the Recording Server.
2. Choose the service type of the Recording Server, including Recording and Failover.

Once choose Failover mode, the server will be moved to Recording Failover Server category on Tree list.

3. Enters a brief description of the Recording Server for the better identification of it.
4. Launches an application to detect and install the available cameras within the network.
Ø See Properties for the settings.

Hardware Setting

Complete and change hardware settings about RAID & File System, Network Setup, Management,and System.

Ø See Hardware Setting for the settings.

Volume Group

Allocates the RAID disk volume for a camera to save the recorded videos to.

* It is suggest to assign more or the same number of Volume Groups as the Recording Server in the same Volume Group to ensure the system has the same throughput when recording failover starts.

Ø Video recording requires a volume.
Ø For RAID setting please go to RAID and File System

Auto Backup

Manages the backup for the videos recorded of the Recording Failover Server on the selected period.

Ø The Auto Backup requires two major settings, one is the backup schedule and the other is FTP server setting.

Event Action

Sets the events to alarm for the Recording Failover Server.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to enter the information about the Recording Failover Server including the name and description, or to launch the Installation Wizard.

To access the Properties tabbed page of the Recording Failover Server to configure:

1. From the Tree Console, click the topic Recording Failover Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Enable

Enables/disables the Recording Failover Server.

Selected (Enabled)

Service Type

Choose the service type of the Recording Failover Server, including Recording and Failover.

Once choose Failover mode, the server will be moved to Recording Failover Server category on Tree list.

Recording

Name

Names the Recording Failover Server.

Description

Provides a brief description for this Recording Failover Server for the easier identification of it.

Address

Delivers the following addresses:

Setting

Description

LAN1

Delivers the server’s LAN port 1’s currently networked IP address.

Ø If the LAN port isn’t in use, the networking status isn’t available.

LAN 2

Delivers the server’s LAN port 2’s currently networked IP address.

Ø If the LAN port isn’t in use, the networking status isn’t available.

WAN

Delivers the server’s WAN address.

Ø If the WAN isn’t in use, the networking status isn’t available.

Version

The version of Recording Failover Server

--

Device pack version

The version of Device Pack

Time zone

The time zone of Recording Failover Server

Launch Installation Wizard

Launches an application to detect and configure Crystal within the network.

--


Volume Group

Configuration | Table of Content

It relies on the Volume Group tabbed page to allocate the RAID disk volume for a camera to save the recorded videos to. The volume is required for video recording.

To access the Volume Group tabbed page that configures the Recording Failover Server:

1. From the Tree Console, click the topic Recording Failover Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Volume Group tab.

The Volume Group tabbed page then opens.

Take a closer look at the user interface. The Volume Group tabbed page actually shows all the existing volume group(s), with the info about the allocated volume(s).

On Recording Failover Server, video devices won’t display on Volume Group. When failover happens, the target Recording Server video devices will shows in the Volume Group according to the Volume Group settings from the Recording Server. If there are fewer Volume Groups in the Recording Failover Server, the video devices will be distributed to different Volume Group when failover happens.

The featured settings and icons are:

Setting / Item

Name

Description

Adds a new Volume Group

-

Deletes a Volume Group

-

Edits the name of selected Volume Group.

-

Available Volume Group

Available volume pool for new volumes added to the system.

Ø All new added volumes in the Recording Failover Server will be assigned to Available Volume Group.
Ø Volumes on Available Volume Group will not record when failover happens.

Default Volume Group

The pre-created Volume Group in the Recording Failover Server.

Volume for Video Recording

Volumes assigned to Volume Group can be used to store video data.

Please set up more or the same number of Volume Group in Recording Failover Server than the target Recording Server to ensure the recording performance when failover start.

Remember to assign volumes from Available Volume Group to Volume Groups for all Recording Server and Recording Failover Server to start record.

After all recording failover configuration, please operate Simulation on Recording Failover Group to ensure all settings are correct.


Auto Backup

Configuration | Table of Content

It relies on the Auto Backup tabbed page to auto back up the videos recorded by Recording Failover Server on the previous day to a FTP server. For such auto backup, it requires the backup schedule setting and the FTP server setting.

To access the Auto Backup tabbed page that configures the Recording Failover Server:

1. To access the Auto Backup tabbed page that configures the Recording Failover Server:

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Auto Backup tab.

The Auto Backup tabbed page then opens.

The featured settings on the Auto Backup tabbed page are:

Group

Setting

Description

Default

Auto backup: Enable

Enables/disables the auto backup feature for the Recording Failover Server.

Disabled

FTP server setting

FTP host

Sets the IP address or server name of the backup FTP server.

--

FTP port

Sets the port number of the backup server.

--

Username

Enters the username to log in the backup FTP server.

--

Password

Enters the password to log in the backup FTP server.

--

Backup folder

Specifies the folder to save the backup data to.

Ø The folder name should be the format of “Folder Name”, “Folder Name/Sub Folder Name” and so on.

Runs a connection test to the configured FTP server.

--

Backup schedule setting

Daily backup time

Sets the daily time for the system to do the auto backup.

0:00:00

Backup period from

Sets the start time of recorded video of the previous day.

0:00:00

Backup period to

Sets the end time of recorded video of the previous day.

23:59:59

Cameras

Sets the channel(s) to back up the videos for.

Deselected.


Event Action

Configuration | Table of Content

Recording Failover Server will inherit the event action settings from target Recording Server, but there are some specific event action belonging to the Recording Failover Server itself.

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the Recording Failover Server.

To access the Event Action tabbed page for the Recording Failover Server:

1. From the Tree Console, click the topic Recording Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Event Action tab.

The Event Action tabbed page then opens.

The featured settings on the Event Action tabbed page are:

Group

Icon / Setting

Description

Event

Adds an event.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another device.

Event Name

Delivers the event type.

Ø Available event type:
Ø Fail to write to drive
Ø Server disconnect
Ø Volume group no functional volume
Ø Volume operation error
Ø Recording module error
Ø Auto backup fail
Ø Recording Failover started
Ø Recording Failover stopped

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Stop action after __ Sec., and manually close

Sec.

Sets when to stop the action launched by the Recording Failover Server after the event occurs.

Ø 1 to 60 seconds are configurable.

Action list

Delivers all the actions set up for the Recording Failover Server to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name

Delivers the name of the schedule.

Ø Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the Recording Failover Server to take when the event occurs.

Adds an action for the assigned event to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Play alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Configure Metadata Server

Configuration | Table of Content

A Metadata Server is the server to host third-party device servers and archive their data. The “plugin” is a module for each of the custom integrations working with the Metadata Server to make the Metadata Server capable of exchanging data with the third-party Metadata source through a “Metadata channel”.

This allows faster development cycles from field requests to a finished tested product. When integrated with 3rd party products like POS and access control products, which are used as Metadata sources by the NUUO Metadata structure, the NUUO platform becomes a seamless interface allowing intelligent search and data filtering for monitoring and handling events. Data is supplied to the Metadata source via Metadata channels. For example: the Door channels supply the Access Control Server and the Register channels supply the POS Server. Through the Metadata Plugin, users can manage metadata by recording real time information in databases which describe events that link to video. The Metadata Server integrates third party data and video in a unified management platform. NUUO provides different plugin modules for 3rd party products to meet your needs.

To access the setting of a Metadata Server:

1. Access the Physical Config (“physical configuration”) as described in Physical Config (Management Server).

The physical configuration opens onscreen, and the Tree Console shows the topics: Management Server, Recording Server, Recording Failover Server, Metadata Server, and Matrix.

2. If a plus sign (+) shows besides the sub topic Metadata Server, click the plus sign (+) to collapse the existing Metadata Server(s). Then click the Metadata Server to configure.

OR

If a minus sign (-) shows besides the sub topic Metadata Server, the existing Metadata Server(s) collapse already. Simply click the Metadata Server to configure.

The Properties tabbed page then opens at the Configuration Pane to configure the selected Metadata Server while the other five tabbed pages are hidden.

3. Access one of these tabbed pages to configure the Metadata Server.

A function overview of these tabbed pages:

Setting

Description

Properties
1. Enables/disables the Metadata Server.
2. Enters a brief description of the Metadata Server for the better identification of it.
3. Launches an application to detect and install the available 3rd-party device servers within the network.
Ø See Properties for the settings.

Hardware Setting

Complete and change hardware settings about RAID & File System, Network Setup, Management,and System.

Ø See Hardware Setting for the settings.

Plugin Overview

Delivers an overview of all the “plugins”, a piece of software, which enables the data exchange between the Metadata Server and the third-party device server through a “metadata channel”

Ø A third-party device server is connected to the Metadata Server as a “metadata source”.

Source Overview

Delivers an overview of all the third-party device servers, i.e. “metadata sources”, that are connected to the Metadata Server.

Event Action

Sets the event(s) that will launch action(s) from the Metadata Server.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure the properties of a Metadata Server:

1. From the Tree Console, click the topic Metadata Server.

The Properties tabbed page opens in the Configuration Pane for the Metadata Server to configure while the other tabbed page is hidden by default.

The featured settings on the Properties tabbed page are:

Group

Description

Default

Metadata Server [image] Enable

Enables/disables the Metadata Server.

Selected

(Enabled)

Name

Sets the name of the Metadata Server.

“Metadata Server #”

Description

Provides a brief description of the Metadata Server for the better identification of it.

--

Address

Delivers the following addresses:

Setting

Description

LAN1

Delivers the server’s LAN port 1’s currently networked IP address.

Ø If the LAN port isn’t in use, the networking status isn’t available.

LAN 2

Delivers the server’s LAN port 2’s currently networked IP address.

Ø If the LAN port isn’t in use, the networking status isn’t available.

WAN

Delivers the server’s WAN address.

Ø If the WAN isn’t in use, the networking status isn’t available.

--

Launch Installation Wizard

Launches an application to detect and install the available Metadata Server(s), i.e. the “Metadata Server”, within the network.

--

Server type

Delivers the type of the Metadata Server.

Storage volume

Assigns a disk volume for the Metadata Server for storage.

Ø Click the [image] icon to open the Recording Server’s Volume Group tabbed page to release a disk volume to free volume group.

Volume 1

Free capacity

Delivers the free disk space of the disk volume selected in Storage volume setting.

--

Total capacity

Delivers the total disk space of the disk volume selected in Storage volume setting.

--

Metadata Server and Recording Server cannot share the same volume group due to performance issue.


Plugin Overview

Configuration | Table of Content

The “plugin” is a module for each of the custom integrations working with the Metadata Server to make the Metadata Server capable of exchanging data with the third-party Metadata source through a “Metadata channel”.

The Plugin Overview tabbed page is featured to deliver an overview of all the “plugins” that enable the data exchange between the Metadata Server and the Metadata source through “Metadata channel”.

To access the Plugin Overview tabbed page for the Metadata Server:

1. From the Tree Console, click the topic Metadata Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Plugin Overview tab.

The Plugin Overview tabbed page then opens.

The featured settings on the Plugin Overview tabbed page are:

Setting

Description

Default

Select the drop-downs All, None or Invert to select all plugins, deselect all plugins or reverse the selection.

Enable

Select

Selects/deselects the plugin.

Enable

Name

Delivers the name of the plugin.

Ø See Properties to know how to set the name for the plugin.

--

Version

Delivers the software version of the plugin.

--

The metadata plugin Falco default port is 5000.


Source Overview

Configuration | Table of Content

The Source Overview tabbed page delivers an overview of all the “Metadata sources”, i.e. the third-party device servers, connected to the Metadata Server.

To access the Source Overview tabbed page for the Metadata Server:

1. From the Tree Console, click the topic Metadata Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Source Overview tab.

The Source Overview tabbed page then opens.

The featured settings on the Source Overview tabbed page are:

Setting

Description

Default

Select the drop-downs All, None or Invert to select all metadata sources, deselect all metadata source or reverse the selection.

All

Select

Selects/deselects the metadata source.

Selected

(Enabled)

Type

Delivers the type of the metadata source, i.e. the 3rd-party device server.

Ø See also the Properties tabbed page of a metadata source.

--

Plugin Name

Delivers the name of the Metadata source.

Name

Delivers the name of the Metadata channel.

Ø See also the Properties tabbed page of a metadata channel.

--

Description

Delivers the software version of the metadata source.

Ø See also the Properties tabbed page of a metadata source.

--


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to set the events that launch action(s) from the Metadata Server.

To access the Event Action tabbed page for the Metadata Server:

1. From the Tree Console, click the topic Metadata Server.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Event Action tab.

The Event Action tabbed page then opens.

The featured settings are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø Available events are Server disconnect and Fail to write to drive.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another Metadata Server.

Event Name

Delivers the event type.

Ø Two types are available: Server disconnect and Fail to write to drive.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Stop action after __ sec., and manually close.

Sec.

Sets when to stop the action launched by the Metadata Server after the event occurs.

Ø 1 to 60 seconds are configurable.

Action List

Delivers all the actions set up for the Metadata Server to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name
1. Delivers the name of the schedule.
2. Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the Metadata Server to take when the event occurs.

Ø Available actions are Email to multiple and Play alert sound

Adds an action for the Metadata Server to take when the event occurs.

Ø One action is available: Email to multiple.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Add Metadata Source

Configuration | Table of Content

To add a metadata source, i.e. a POS server or an access control server, to a Metadata Server:

1. From the Tree Console, click the topic Metadata Server.

All the existing Metadata Server(s) collapse under the sub topic Metadata Server.

2. Click the Metadata Server to add a metadata source to.

The Metadata Server to add a metadata source to becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A tiny dialog then opens showing the options to add a metadata source.

A new metadata source, named “metadata source” by default will be appended under the selected Metadata Server, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly added metadata source.

To configure a metadata source, see Configure a metadata source.


Delete Metadata Source

Configuration | Table of Content

To delete a metadata source, i.e. a POS server or an access control server, from a Metadata Server:

1. From the Tree Console, click the topic Metadata Server.

All the existing Metadata Server(s) collapse under the sub topic Metadata Server.

2. Find the Metadata Server to delete the metadata source from.

3. If a plus sign (+) shows besides the Metadata Server, click the plus sign (+) to collapse the existing metadata source(s). Then click the source to delete.

OR

If a minus sign (-) shows besides the Metadata Server, the existing metadata source(s) collapse already. Simply click the source to delete.

The metadata source to delete becomes highlighted.

4. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

5. Click Yes to confirm the deletion.

6. Click the apply button [image] on the Top Toolbar to apply the change.


Configure Metadata Source

Configuration | Table of Content

To configure a metadata source:

1. From the Tree Console, click the topic Metadata Server.

All the existing Metadata Server(s) collapses under the sub topic Metadata Server.

2. If a plus sign (+) shows besides the Metadata Server to configure, click the plus sign (+) to collapse the existing metadata source(s). Then click the POS device to configure.

OR

If a minus sign (-) shows besides the Metadata Server to configure, the existing metadata source(s) collapse already. Simply click the metadata source to configure.

The metadata source to configure becomes highlighted and the Properties tabbed page opens in the Configuration Pane by default.

Ø See Properties for the settings featured on the Properties tabbed page.
Ø See Channel Overview for the settings featured on the Channel Overview tabbed page.
Ø See Event Action for the settings featured on the Event Action tabbed page.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure the properties of a metadata source:

1. From the Tree Console, click the topic Metadata Server.

2. Click the Metadata Server to which the metadata source to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the metadata source to configure by default.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Metadata source [image] Enable

Enables/disables the metadata source.

Selected

(Enabled)

Plugin type

Delivers the type of the plugin.

Ø The plugin is a module to enable the data exchange between the Metadata Server and the metadata source

--

Source type

Delivers the type of the metadata source.

--

Name

Sets the name of the metadata source.

“metadata source #”

Description

Provides a brief description of the metadata source for the better identification of it.

--


Channel Overview

Configuration | Table of Content

The “channel” means a “metadata channel” through which the metadata source streams the data to the Metadata Server. The Channel Overview tabbed page is featured for users to get a general view of such metadata channels.

To access the Channel Overview tabbed page for the metadata source:

1. From the Tree Console, click the topic Metadata Server.

2. Click the Metadata Server to which the metadata source to configure belongs.

Click the Metadata Server to which the metadata source to configure belongs.

3. Click the Channel Overview tab.

The Channel Overview tabbed page then opens.

The featured settings on the Channel Overview tabbed page are:

Setting

Description

Default

Select the drop-downs All, None or Invert to select all metadata channels, deselect all metadata channels or reverse the selection.

--

Enable
1. Delivers whether the metadata channel is enabled or disabled at the moment.
2. Enables/disables the metadata channel.

Enable

Channel Type

Delivers the type of the metadata channel.

Channel Name

Delivers the name of the channel.

Ø See also the Properties tabbed page of a metadata channel.

--

Filter Name

Delivers the name of the filter.

Ø See also the Filter tabbed page of a metadata channel.

--

Description

Deliver the description of the channel.

Ø See also the Properties tabbed page of a metadata channel.

--


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to enable/disable the event(s) that will launch action(s) from the metadata source, which is when the connection to the Metadata Server is lost.

To access the Event Action tabbed page for the metadata source:

1. From the Tree Console, click the topic Metadata Server.

2. Click the Metadata Server to which the metadata source to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the metadata source to configure by default.

3. Click the Event action tab.

The Event action tabbed page then opens.

The featured settings on the Event Action tabbed page are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø The available event is Connection lost, which means the metadata source loses the connection to the Metadata Server.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another device.

Event Name

Delivers the event type.

Ø Only one type is available: Connection lost, which means the metadata source loses the connection to the Metadata Server.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Sets whether to stop the action launched by the metadata source sometime after the event occurs or manually close.

Sec.

Sets when to stop the action launched by the metadata source after the event occurs.

Ø 1 to 60 seconds are configurable.

Action list

Delivers all the actions set up for the metadata source to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name

Delivers the name of the schedule.

Ø Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the metadata source to take when the event occurs.

Adds an action for the metadata source to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties
1. Sets whom to send the alert email(s) to.
2. Sets which digital output pin to turn on.
3. Sets which associated camera to go to the “preset point”.
Ø This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


Add Metadata Channel

Configuration | Table of Content

To add a metadata channel:

1. From the Tree Console, click the topic Metadata Server.

2. Click the Metadata Server to which the metadata source to configure belongs.

To add a metadata channel to becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A tiny dialog then opens showing the options to add a metadata channel.

A new metadata channel, named “metadata channel” by default will be appended under the selected metadata source, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly added metadata channel.

Ø To configure a metadata channel, see Configure A Metadata Channel.
Ø To delete a metadata channel, see Delete A Metadata Channel.


Delete Metadata Channel

Configuration | Table of Content

To delete a metadata channel from a metadata source:

1. From the Tree Console, click the topic Metadata Server.

2. Click the topic metadata source.

All the existing metadata source(s) collapse under the Metadata Server.

3. Find the metadata source to delete the metadata channel from.

4. If a plus sign (+) shows besides the metadata source, click the plus sign (+) to collapse the existing metadata channel(s). Then click the channel to delete.

OR

If a minus sign (-) shows besides the metadata source, the existing metadata channel(s) collapse already. Simply click the channel to delete.

The metadata channel to delete becomes highlighted.

5. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

6. Click Yes to confirm the deletion.

7. Click the apply button [image] on the Top Toolbar to apply the change.


Configure Metadata Channel

Configuration | Table of Content

To configure a Metadata Channel:

1. From the Tree Console, click the topic Metadata Server.

2. Click the topic metadata source.

All the existing metadata source(s) collapse under the Metadata Server.

3. If a plus sign (+) shows besides the metadata source (the POS device) to configure, click the plus sign (+) to collapse the existing metadata channel(s).

Then click the metadata channel to configure.

OR

If a minus sign (-) shows besides the metadata source (the POS device) to configure, the existing metadata channel(s) collapse already. Simply click the metadata channel to configure.

The metadata channel to configure becomes highlighted and the Properties tabbed page opens in the Configuration Pane while the other tabbed pages are hidden by default.

Ø See Properties for the settings featured on the Properties tabbed page.
Ø See Filter for the settings featured on the Filter tabbed page.
Ø See Metadata Display for the settings featured on the Metadata Display tabbed page.
Ø See Event Action for the settings featured on the Event Action tabbed page.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure the properties of a metadata channel:

1. From the Tree Console, click the topic Metadata Server.

2. Click the topic metadata source.

3. Click the metadata source to which the metadata channel to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the metadata channel to configure while the other tabbed pages are hidden by default.

The featured settings on the Properties tabbed page are:

Group

Setting

Description

Default

Metadata channel

Enable

Enables/disables the metadata channel.

Selected

(Enabled)

Name

Names the metadata channel.

“metadata channel”

Description

Provides a brief description of the metadata channel for the better identification of it.

--

Streaming schedule

Schedule Name
1. Assigns a schedule (profile) to the metadata channel to define the time period(s) for the metadata channel to connect to the network or disconnect from the network.
2. Delivers the name of the schedule currently applied to the register channel.

the Always schedule

Properties

Sets when to connect the metadata channel to the network or when to disconnect the metadata channel from the network.

Connect

Description

Delivers a brief description of the schedule (profile).

the “test description”

Applies another schedule to the metadata channel.

--

Withdraws a schedule from a metadata channel.

--

Edits the currently applied schedule(s):

1. Replaces a currently applied schedule with another schedule.
2. Changes the schedule Property to Connect or Disconnect.
Ø Click the item to edit and then click the [image] icon to make the item editable, or simply double-click the item to make it editable.)

--

Moves the selected schedule up.

--

Moves the selected schedule down.

--

Retention day

Sets how long to keep the metadata for.

7 days


Filter

Configuration | Table of Content

The “Filter” means the data filtered from a “metadata channel” through which the metadata source streams to the Metadata Server.

To access the Filter tabbed page for the metadata channel:

1. From the Tree Console, click the topic Metadata Server.

2. Click the topic metadata source.

3. Click the metadata source to which the metadata channel to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the metadata channel to configure by default.

4. Click the Filter tab.

The Filter tabbed page then opens.

The featured settings on the Filter tabbed page are:

Group

Setting

Description

Default

Choose filter

Assigns a filter for the metadata channel.

Info | Description
 | Add new filter
 | Delete selected filter.
 | Import filter.
 | Export filter.

--

Filter Name

Names the filter.

“filter (1)”

Encoding option

Assigns an encoding option for the filter.

ASCII

Transaction timeout

Sets when to timeout the transaction.

10 sec.

Data filter definition

Catch data from the server

--

Clear data

--

Import data

--

Export data

--

Original data

The original data from metadata channel.

--

Filtered data

The filtered data.

--

set start

--

end

--

omit

--

substitute

--

change to new line

--

Filter Configuration

Action type

Assigns an action to the filter.

--

Priority

Sets the priority for an action.

--

Match option

Assigns a match option to the filter.

Ø Three types are available: Plain test, wildcard and regular expression.

--

Data

Delivers the data be matched for the filter.

--

Result

Delivers the result be matched for the filter.

--

Applies another action to the filter.

--

Withdraws an action from the filter.

--

Edits the currently applied filter(s):

1. Replaces a currently applied filter with another filter.
2. Changes the filter Action Type, Match option, Data and Result.
Ø Click the item to edit and then click the [image] icon to make the item editable, or simply double-click the item to make it editable.)

--

Moves the selected action up.

--

Moves the selected action down.

--


Metadata Display

Configuration | Table of Content

It relies on the Metadata Display tabbed page to set how to show the metadata onscreen.

To access the Metadata Display tabbed page for the metadata channel:

1. From the Tree Console, click the topic Metadata Server.

2. Click the topic metadata source.

3. Click the metadata source to which the metadata channel to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the metadata channel to configure by default.

4. Click the Metadata Display tab.

The Metadata Display tabbed page then opens.

Take a closer look at the user interface. The Metadata Display tabbed page shows a screen simulation at the top to set where to show the metadata onscreen.

Click and drag the rectangle where the metadata sample text is to set the location for the metadata onscreen. And click and drag the eight nodes of the rectangle to resize the rectangle.

Other featured settings are:

Setting

Description

Default

Font

Sets the font for the onscreen metadata

Tahoma

Font size

Sets the font size for the onscreen metadata.

10

Bold

Enables/disables bold font or the onscreen metadata.

Deselected

(Disabled)

Font color

Sets the font color for the onscreen metadata.

black

Font edge color

Sets the outline color for the font of the onscreen metadata.

white

Background color

Sets the border color for the onscreen metadata.

Ø Use the slide bar to adjust the transparency of the border color.

blue

Associated Camera

Associates the metadata setting with a Video Device.

None

Associated Camera display

Enables/disables showing the metadata with associated camera on Live view.

Selected

(Enabled)

Display timeout

Enables/disables clear transaction display after __ sec. timeout, or remain transaction display until next transaction comes.

Ø Enable the timeout to be able to set the timeout in the sec field.

Clear transaction display after 10 sec. timeout.


Event Action

Configuration | Table of Content

It relies on the Event Action tabbed page to set the events that launch action(s) from the metadata channel.

To access the Event Action tabbed page for the metadata channel:

1. From the Tree Console, click the topic Metadata Server.

2. Click the topic metadata source.

3. Click the metadata source to which the metadata channel to configure belongs.

The Properties tabbed page opens in the Configuration Pane for the register channel to configure by default.

4. Click the Event Action tab.

The Event Action tabbed page then opens.

The featured settings are:

Group

Icon / Setting

Description

Event

Adds an event.

Ø Available events are Transaction started, Transaction stopped and other user definable events.
Ø Select User define # to create an user-defined event.
Ø See User defined configuration settings to know the how to create a user-defined event.

Deletes the selected event.

Ø Click any of the event info cells to select the event.

Edits the selected event.

Ø Click any of the event info cells to edit the info.

Copies the event setting to another metadata channel.

Event Name

Delivers the event type.

Ø The available types are: Transaction started, Transaction stopped and up to seven other user definable events..
Ø Select User define # to create an user-defined event.
Ø See User defined configuration settings to know the how to create an user-defined event.

Schedule

Delivers the applied “schedule”, which means one or more time period(s) in which the occurrence of the event is taken effective.

Ø Use the Add schedule settings to apply a schedule to the event.
Ø To create/delete/edit a schedule, see Schedule.

Stop Related Action

Sets whether to stop the action launched by the metadata channel sometime after the event occurs, leaves it on automatic, or manually close.

Sec.

Sets when to stop the action launched by the metadata channel after the event occurs.

Ø 1 to 60 seconds are configurable.

Action List

Delivers all the actions set up for the metadata channel to take when the event occurs.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name
1. Delivers the name of the schedule.
2. Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the metadata channel to take when the event occurs.

Adds an action for the metadata channel to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


User Defined Configuration Settings

Configuration | Table of Content

It relies on the user defined configuration settings to tailor-create an event that meets your needs to launch action(s) from the metadata channel.

To access the user defined configuration settings:

1. Open the Event Action tabbed for the register channel to configure as described in Event Action.

2. Click the add icon [image].

3. From the drop-downs that show, select any of the User define #.

The user defined configuration settings then become available.

The featured settings are:

Group

Icon / Setting

Description

Event name

Names the event to create.

Event condition

Text

Edits the keyword for the event to match.

Ø Three types are available: Match whole word, match case and advanced setting.
Info | Description
Match whole word | Searches the terms as a whole word.
Match case | Searches names where the case matches the letters.
Advanced setting | Include wildcard and regular expression.

Number

Edits the number for the event to match.

Info | Description
Prefix text | Edits special text before the value’s condition.
Condition | Edits a number as the condition of event and select one of the symbols ( <=, <, =, >, >= ) to define the numeric value.
Postfix text | Edits special text after the value’s condition.

Frequency

Count>=

Edits the event trigger times over specific numbers.

Count period

Edits count period for the event.

Ø Two count periods are available: Keyword happens within __ transaction(s) or keyword happens within __ day __ hour __min.
Ø 1 to 999 transaction(s) are configurable.
Ø 0 to 5 day(s), 0 to 23 hour(s), 0 to 59 min(s) are configurable.

Add schedule

Adds a schedule.

Ø Available options are the schedules created as described in Create A Schedule.

Deletes the selected schedule.

Ø Click a schedule to select it.

Edits the selected schedule.

Ø Click a schedule to select it.

Moves the selected schedule up.

Ø Click a schedule to select it.

Moves the selected schedule down.

Ø Click a schedule to select it.

Opens a schedule overview dialog that shows the applied schedule(s) in a daily view or a weekly view.

Copies the schedule setting to another event.

Schedule Name
1. Delivers the name of the schedule.
2. Click the Schedule name cell to change the schedule to some other schedule.

Property

Sets whether to allow or block the applied schedule’s time period(s).

Description

Delivers a brief description for this schedule for the easier identification of it.

Add action

Action List

Delivers all the actions set up for the metadata channel to take when the event occurs.

Adds an action for the metadata channel to take when the event occurs.

Deletes the selected action.

Ø Click an action to select it.

Action properties

Sets the detail of an action.

Ø Sets which digital output pin to turn on (for DO turn on).
Ø Sets whom to send the alert email(s) to (for E-Mail to multiple)
Ø Sets which associated camera to go to the “preset point” (for Go to Preset).
Ø Play Alert Sound on NuClient. Please enable Audio Notification on Global| Client Configuration| Function| Alarm (for Audio Notification)
Ø No detail setting for Video Edge Display(for Video Edge Display)
Ø Sets which camera to popup on which monitor(for Video Popup)

This group of settings is available only when any of the available actions is added.

The value is also case sensitive, you must key in “,” symbol to search for 10,000US.


Configure Matrix

Configuration | Table of Content

A Matrix is a client application to enable an unlimited number of video walls and video displays, with up to 100 channels displayed per monitor. Configure the Matrix to customize your video wall application.

1. Install NuMatrix. For Numatrix installation, please refer to NuMatrix.

To access the Matrix settings:

2. Access the Physical Config (“physical configuration”) as described in Physical Config (Management Server).

The physical configuration opens onscreen, and the Tree Console shows the topics: Management Server, Recording Server, Recording Failover Server, Metadata Server, and Matrix.

3. If a plus sign (+) shows besides the sub topic Matrix, click the plus sign (+) to collapse the existing Matrix(s). Then click the Matrix to configure.

OR

If a minus sign (-) shows besides the sub topic Matrix, the existing Matrix collapse already. Simply click the Matrix to configure.

The Properties tabbed page then opens at the Configuration Pane to configure the selected Matrix Server while the other tabbed page is hidden.

4. Access one of these tabbed pages to configure the Matrix.

A function overview of these tabbed pages:

Tab

Description

Properties
1. Names the Matrix.
2. Enters a brief description of the Matrix for the better identification of it.
3. Sets the IP and port for the Matrix.
4. Run a test on the connection to the Matrix Server.
5. Sets the monitor number for Matrix.
Ø See Properties for the settings.

Information Display

Configures which information to show on the screens of the video wall, including the grid number, server name, device name, camera name, camera bit rate, camera frame rate, date and time.

Ø See Information Display for the settings.

Please note that only when have an "Ultimate level" license will you be able to see the Matrix interface.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to enter the information about the Matrix including the name and description, or to run a test on the connection to the Matrix.

To access the Properties tabbed page of the Matrix Server to configure:

1. From the Tree Console, click the topic Matrix.

By default, the Properties tabbed page then opens at the Configuration Pane.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Name

Names the Matrix.

“matrix”

Description

Provides a brief description for this Matrix for the easier identification of it.

--

IP

Sets the IP address of the Matrix.

127.0.0.1

Port

Sets the port for the Matrix.

Ø Click the [image] icon to run a test on the connection to the Matrix.

5350

Monitor number

Sets the number of the monitor(s).

1

Please note that only when have an "Ultimate level" license will you be able to see the

Matrix interface.


Information Display

Configuration | Table of Content

It relies on the Information Display tabbed page to configure which information to show on the screens of the video wall.

To access the Information Display tabbed page of the Matrix Server to configure:

1. From the Tree Console, click the topic Matrix.

By default, the Properties tabbed page then opens at the Configuration Pane.

2. Click the Information Display tab.

The Information Display tabbed page opens.

The featured settings on the Information Display tabbed page are:

Setting | Description | Default
Show content title | Selects/deselects all the information to show on the screens of the video wall, including the grid number, server name, camera name, camera bit rate, camera frame rate, date and time. | “Selected” (All information is enabled.)
Grid number | Enables/disables grid number info on the screens of the video wall. | “Selected” (Enabled)
Server name | Enables/disables server name info on the screens of the video wall. | “Selected” (Enabled)
Camera name | Enables/disables camera name info on the screens of the video wall. | “Selected” (Enabled)
Camera bit rate | Enables/disables showing the camera bit rate on the screens of the video wall. | “Selected” (Enabled)
Camera frame rate | Enables/disables showing the camera frame rate on the screens of the video wall. | “Selected” (Enabled)
Date | Enables/disables date info from Matrix Server on the screens of the video wall. | “Selected” (Enabled)
Time | Enables/disables time info from Matrix Server on the screens of the video wall. | “Selected” (Enabled)


Add Matrix

Configuration | Table of Content

To add a Matrix to the Management Server:

1. Access the Physical Config (“physical configuration”) as described in Physical Config (Management Server).

The physical configuration opens onscreen, and the Tree Console shows the topics: Management Server, Recording Server, Recording Failover Server, Metadata Server, and Matrix.

2. Click the sub topic Matrix.

The sub topic Matrix becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A new Matrix Server, named “matrix (#)” by default will be appended under the sub topic Matrix, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly added Matrix.


Delete Matrix

Configuration | Table of Content

To delete a Matrix from the Management Server:

1. Access the Physical Config (“physical configuration”) as described in Physical Config (Management Server).

The physical configuration opens onscreen, and the Tree Console shows the topics: Management Server, Recording Server, Recording Failover Server, Metadata Server, and Matrix.

2. If a plus sign (+) shows besides the sub topic Matrix, click the plus sign (+) to collapse the existing Matrix(s). Then click the Matrix to delete.

OR

If a minus sign (-) shows besides the sub topic Matrix, the existing Matrix(s) collapse already. Simply click the Matrix to delete.

3. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

4. Click Yes to confirm the deletion.

5. Click the apply button [image] on the Top Toolbar to apply the change.

Please note that only when have an "Ultimate level" license will you be able to see the

Matrix interface.


System Configuration

Configuration | Table of Content

System Config is the short form for “system configuration”, which means configure Management Server basic profile setting such as user group, role, schedule and layout.

To access the System Config (“system configuration”):

1. Open the NuClient settings as described in Settings.

The NuClient settings open.

2. Click the System Config icon [image] from the Config Catalog.

The system configuration then opens onscreen and shows the User Group settings by default (when the NuClient is used for the first time)

The system configuration features four topic settings –User Group, Role, Schedule & Layout, which are summarized as following:

Setting

Description

User Group
1. Manages and configures the “user groups”
2. Assigns a Role to a user group.
3. Defines the user classification, privilege and the Login Schedule for a user group and apply to the users belong to the user group.
Ø See User Group for the settings.

Role

Defines the user authentication which include privilege (permitted action(s) to take) and Permission (the permitted device(s) to access) and for a user group and user.

Ø See Role for the settings.

Schedule

Defines one or more periods of time to launch some actions from the Management Server.

Ø See Schedule for the settings.

Layout

Arranges the video grid that tiles multiple video channels together for view and Matrix.

Ø See Layout for the settings.


User Group

Configuration | Table of Content

The User Group is a group of settings to manage and configure the “user group(s)” and assigns a Role to a user group and user. These settings also define the user classification, privilege and the Login Schedule for a user group and apply to the users belong to the user group. The Login Schedule defines the allowed time for a user of a user group to log in the system. See also Role and Schedule.


The User Interface

Configuration | Table of Content

To understand the user interface of the User Group settings:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows four setting groups: User Group, Role, Schedule, and Layout.

And the User Group setting group will expand four pre-configured user groups:

User Group – Admin

User Group – Power User

User Group – User

User Group – Guest.

Among the pre-configured user groups, User Group – Admin cannot be deleted while the other three are subject to change and deletion. See Configure A User Group to edit a user group and see Delete A User Group to delete a user group.

Save for the pre-configured ones, you can freely add your own user groups to the software. To add a user group, see Create A User Group.

2. From the Tree Console, click the topic User Group.

The Overview tabbed page then opens at the Configuration Pane to deliver a general view of all the existing user groups.

Take a closer look at the user interface. The Overview tabbed page actually shows all the existing user group(s), with the info about the member(s) of the user group.

Drag and drop a user to assigned user group to change user group of one user.


Access User Group Settings

Configuration | Table of Content

To access the User Group settings:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the topic User Group.

The Overview tabbed page then opens at the Configuration Pane.


Create User Group

Configuration | Table of Content

To create a user group:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows the four groups of settings – User Group, Role, Schedule and Layout.

2. Click the topic User Group.

The topic User Group becomes highlighted

3. From the bottom of the Tree Console, click the add icon [image].

A new user group, named “user group” by default, is then appended to the topic User Group, and a Properties tabbed page opens in the Configuration Pane for users to configure the newly created user group.

To know the settings featured on the Properties tabbed page, see Configure A User Group.


Delete User Group

Configuration | Table of Content

To delete a user group:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic User Group if there shows a (+) plus sign.

All existing user group(s) then collapse under the topic User Group, including the software’s pre-configured ones and the created ones.

3. Click the user group to delete.

4. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

5. Click Yes to confirm the deletion.

6. Click the apply button [image] on the Top Toolbar to apply the change.


Configure User Group

Configuration | Table of Content

To configure an existing user group:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic User Group if there shows a (+) plus sign.

All existing user group(s) then collapse under the topic User Group, including the software’s pre-configured user groups and the created ones.

3. Click the user group to configure.

The Properties tabbed page then opens at the Configuration Pane for the user group to configure.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Enable checkbox

Enables/disables a user group.

Selected

(Enabled)

Name

Names the user group.

“user group”

Description

Provides a brief description for this user group for the easier identification of the user group.

--

Role

Assigns a role for the user group.

Ø See also Role.

Role - User

Login Schedule

The Login schedule table features the following settings:

Setting

Description

Default

Schedule Name
1. Assigns a schedule (profile) to the user group to define the allowed time period(s) for the user group to log into the network.
2. Delivers the name of the schedule currently applied to the user group.

The Always schedule

Properties

Allows/blocks the schedule’s defined period(s) of time for the user group to log in the network

Allow

Description

Delivers the brief description of the schedule (profile).

the “test description”

Applies another schedule to the user group.

--

Withdraws a schedule from a user group.

--

Edits the selected cell in the Login schedule table:

Ø To double-click a cell in the Login schedule table can also edit the cell.
Ø The “Description” cells aren’t editable.

--

Moves the selected schedule up as higher priority.

--

Moves the selected schedule down as lower priority.

--

Opens the Schedule Overview, a general view of the period(s) of time allowed for the user group to log in the network presented in a daily or weekly manner.

--


Add User to User Group

Configuration | Table of Content

To add a user:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the topic User Group.

The topic User Group then becomes highlighted.

3. From the bottom of the Tree Console, click the add sign icon [image].

A new user, named “user” by default, is then appended under the topic User Group, and a Properties tabbed page opens in the Configuration Pane for users to configure the newly created user.

The Properties tabbed page opens in the Configuration Pane for the new user.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Enable checkbox

Enables/disables a user.

Selected

(Enabled)

Name

Names the user.

“user”

Description

Provides a brief description for this user for the easier identification of the user.

--

Change password

Change the password for user.

--

New password

Provide new password.

--

Confirm new password

Confirm new password.

--

Property
1. Follow group property

Assigns a user group for the user.

2. Follow own property

Assigns a role for the user.

Ø See also Role.

The Login schedule table features the following settings:

Setting

Description

Default

Schedule Name
1. Assigns a schedule (profile) to the user to define the allowed time period(s) for the user to log into the network.
2. Delivers the name of the schedule currently applied to the user.

The Always schedule

Properties

Allows/blocks the schedule’s defined period(s) of time for the user to log in the network

Allow

Description

Delivers the brief description of the schedule (profile).

the “test description”

Applies another schedule to the user.

--

Withdraws a schedule from a user.

--

Edits the selected cell in the Login schedule table:

Ø To double-click a cell in the Login schedule table can also edit the cell.
Ø The “Description” cells aren’t editable.

--

Moves the selected schedule up as higher priority.

--

Moves the selected schedule down as lower priority.

--

Opens the Schedule Overview, a general view of the period(s) of time allowed for the user to log in the network presented in a daily or weekly manner.

--

If administration password is modified, the login password of Recording Servers and Metadata Servers assigned to the Management Server shall be updated on Web Hardware Settings page- Recording Service and Metadata Service.


Role

Configuration | Table of Content

The Role is a group of settings to define the permitted action(s) to take and the permitted device(s) to access for a user group.

The role makes it highly flexible for the user authentication which include privilege (permitted action(s) to take) and permission (the permitted device(s) to access) and for a user group and user. Users need not configure the devices one by one but only have to apply one or more created role(s) to the user group and user. This can substantially reduce the time to configure the user groups and users.


The User Interface

Configuration | Table of Content

To understand the user interface of the Role group of settings:

1. Access the System Config (“system configuration”) as described in System Config.

The system configuration opens onscreen, and the Tree Console shows four topic settings: User Group, Role, Schedule, and Layout.

And the topic setting Role will expand four pre-configured user groups:

Role– Admin

Role– Power User

Role– User

Role– Guest

Among the pre-configured roles, Role– Admin cannot be deleted while the other three are subject to change and deletion. See Configure A Role to edit a role and see Delete A Role to delete a role.

Save for the pre-configured ones, the NuClient users can freely add their own roles to the software. To add a role, see Create A Role.

2. From the Tree Console, click the topic Role.

The Overview tabbed page then opens at the Configuration Pane to deliver a general view of the “privileges” of all the existing roles.

Take a closer look at the user interface. The Overview tabbed page actually shows all the existing role(s), with the info about their “privileges”, which means the allowed/prohibited actions to take for a role.

The icons for the allowed/prohibited actions to take have the following meanings:

Icon | Permitted Actions
 | Access the device(s).
 | Views Live view, the instant playback of videos.
 | Views Playback, the playback of recorded videos.
 | Searches for metadata transactions.
 | Controls the optical PTZ and focus of cameras.
 | Controls the “preset point”, which means the preprogrammed point of view of a camera.
 | Starts/stops the camera’s “patrol”, which means a preset path that the camera goes through by schedule.
 | Switches between stream profiles. A “stream profile” is a series of stream settings for mobile clients to stream videos with lower fps. Without such profile, users can neither watch live video on mobile client nor select lower fps stream on the Live View screen. The stream setting can also fix the resolution and frame rate for a camera brand/series.
 | Manually starts video recording.
 | Exports video and metadata transactions.
 | Backs up video and metadata transaction.
 | Triggers digital output.
 | Browses events.
 | Log export.
 | Edits the configuration.
 | Changes the password.
 | Edits the layout of video grid.
 | Configures the public view.


Access Role Settings

Configuration | Table of Content

To access the Role settings:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows four setting groups: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the topic Role.

The Overview tabbed page then opens at the Configuration Pane.


Create Role

Configuration | Table of Content

To create a Role:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows the four groups of settings – User Group, Role, Schedule and Layout.

2. Click the topic Role.

The topic Role becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A new role, named “role” by default, will be appended to the topic Role, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly created role by default.

Ø To know the settings on the Properties tabbed page, see Properties.
Ø To know the settings on the Privilege tabbed page, see Privilege.
Ø To know the settings on the Permission tabbed page, see Permission.
Ø To know the settings on the Priority tabbed page, see Priority.
Ø To know the settings on the Matrix tabbed page, see Matrix.


Delete Role

Configuration | Table of Content

To delete a role:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

2. From the Tree Console, click the (+) plus sign besides the topic Role if there shows a (+) plus sign.

All existing role(s) then collapse under the topic Role.

3. Click the role to delete.

The role to delete becomes highlighted.

4. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

5. Click Yes to confirm the deletion.

6. Click the apply button [image] on the Top Toolbar to apply the change.


Configure Role

Configuration | Table of Content

To configure an existing role:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic Role if there shows a (+) plus sign.

All existing role(s) then collapse under the topic Role, including the software’s pre-configured roles and the created ones.

3. Click the role to configure.

The Properties tabbed page then opens at the Configuration Pane for the role to configure.

To know the settings featured on the Properties tabbed page, see Properties.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to set the name and the description of a role.

To access the Properties tabbed page of a role:

1. Open the Properties tabbed page of the role to configure as described in Configure A Role.

The Properties tabbed page opens in the Configuration Pane.

The settings featured on the Properties tabbed page are:

Setting | Description | Default
Name | Names the role. | “role”
Description | Provides a brief description for this role for the easier identification of the role. | --


Privilege

Configuration | Table of Content

It relies on the Privilege tabbed page to configure a role’s “privilege”, which means the allowed or prohibited actions to take for a role.

To access the Privilege tabbed page of a role:

1. Open the Properties tabbed page of the role to configure as described in Configure A Role.

The Properties tabbed page opens in the Configuration Pane.

2. From the Configuration Pane, click the tab Privilege.

The Privilege tabbed page then opens.

The settings featured on the Privilege tabbed page are:

Group

Setting

Description

Viewing

Access Device

Views the device(s).

Live view

Views Live view, the instant playback of videos.

Playback

Views Playback, the playback of recorded videos.

Control optical PTZ and Focus

Controls the optical PTZ and focus of cameras.

Control Preset point

Controls the “preset point”, a pre-programmed point of view of a camera.

Start/Stop Patrol

Starts/stops the camera’s “patrol”, which means a preset path that the camera goes through has scheduled.

Switch stream profile

Switches between stream profiles.

Ø A “stream profile” is a series of stream settings for NuClient or mobile clients to stream videos with lower bit rate. Without such profile, users can neither watch live video on mobile client nor select stream in lower bit rate on the Live View screen.

Start record manually

Manually starts video recording.

Export video and metadata transaction

Exports video and metadata transactions to AVI, ASF, original AVI, or MOV files.

Backup video

Backup video as .dat file.

Trigger Digital Output

Triggers digital output.

Browse event

Browses events.

Search metadata transaction

Searches for metadata transactions.

Config

Edit configuration

Edits the configuration on Config tab. Without this privilege, users can’t access Config tab.

Change password

Changes the login password of Management Server.

Edit layout

Edits the layout of video grid.

Configure public view

Configures the public view on NuClient.

Set Preset point / Patrol

Sets the preset point and patrol.

New added devices are default to enable all privileges and permission.


Permission

Configuration | Table of Content

It relies on the Permission tabbed page to configure a role’s “permission”, which means the allowed or prohibited device(s) to access for a role.

To access the Permission tabbed page of a role:

1. Open the Properties tabbed page of the role to configure as described in Configure A Role.

The Properties tabbed page opens in the Configuration Pane.

2. The Properties tabbed page opens in the Configuration Pane.

The Permission tabbed page then opens and shows some settings and all the networked devices.

The settings featured on the Privilege tabbed page are:

Group

Setting

Description

Default

Device Permission

Selects between All, None or Invert to select all devices, deselect all devices or reverse the selection.

All

(All devices are selected.)

This is a filter to show/hide some device(s) from the device list.

All

Accesses the device.

Selected

(Enabled)

Views Live view, the instant playback of videos.

Selected

(Enabled)

Views Playback, the playback of recorded videos.

Selected

(Enabled)

Controls the optical PTZ and focus of cameras.

Selected

(Enabled)

Controls the “preset point”, the pre-programmed point of view of a camera.

Selected

(Enabled)

Starts/stops the camera’s “patrol”, which means a preset path that the camera goes through has scheduled.

Selected

(Enabled)

Sets the camera preset point and patrol

Selected

(Enabled)

Switches between stream profiles.

Ø A “stream profile” is a series of stream settings for mobile clients and NuClients to stream videos with lower bit rate. Without such profile, users can neither watch live video on mobile client nor select stream in lower bit rate on the Liveview screen.

Selected

(Enabled)

Manually starts video recording.

Selected

(Enabled)

Exports video and metadata transactions.

Selected

(Enabled)

Backs up video transactions.

Selected

(Enabled)

Triggers digital output.

Selected

(Enabled)

device permission

1. Select a device (or a server) to enable the role to access it.
2. Deselect a device (or a server) to disable the role from accessing it.

Selected

(Enabled)


Priority

Configuration | Table of Content

It relies on the Priority tabbed page to set a role’s priority to control the PTZ (Pan-Tilt-Zoom), the preset point(s) and the patrol of a device. The role with higher priority has the right to precede others in controlling in the said features of a device. Such role can even lock/unlock the control right of lower-priority roles.

The higher-priority role also takes the precedence in login to the Matrix.

To access the Priority tabbed page of a role:

1. Open the Properties tabbed page of the role to configure as described in Configure A Role.

The Properties tabbed page opens in the Configuration Pane.

2. From the Configuration Pane, click the tab Priority.

The Priority tabbed page then opens.

The featured settings on the Priority tabbed page are:

Setting

Description

Default

PTZ/Preset/Patrol Priority

Sets the priority for a role to control the PTZ, preset points and patrol of a device.

7

Matrix Priority

Sets the priority for a role to log in to a matrix.

Ø The Matrix Priority shows on the Ultimate level only.

7

Only when the system is on "Ultimate level" will users be able to see the

Matrix setting.


Matrix

Configuration | Table of Content

It relies on the Matrix tabbed page to enable/disable a role to/from accessing a Matrix Server.

To access the Matrix tabbed page of a role:

1. Open the Properties tabbed page of the role to configure as described in Configure A Role.

The Properties tabbed page opens in the Configuration Pane.

2. From the Configuration Pane, click the tab Matrix.

The Matrix tabbed page then opens.

The featured settings on the Matrix tabbed page are:

Group

Setting

Description

Default

Matrix

Selects between All, None or Invert to select all Matrix, deselect all Matrix or reverse the selection.

Ø To select a Matrix is to enable users with the role to access it.
Ø To deselect a Matrix Server is to disable the role from accessing it.

All

(All Matrix are selected.)

Allow

Enables/disables users with the role to/from accessing the Matrix.

Ø To select a Matrix is to enable users with the role to access it.
Ø To deselect a Matrix is to disable the role from accessing it.

Selected

(Enabled)

View profile

Sets the view profile that applies when users with the roles logs in the matrix.

Ø See Matrix to know more about the view profile.

None

Video wall

Auto connect

Sets whether to allow users with the role to auto log in the matrix when the user logs in the NuClient.

Deselected

(Not allowed)

Please note that only when have an "Ultimate level" license will you be able to see the

Matrix setting.


Schedule

Configuration | Table of Content

The “schedule” is a schedule profile that defines one or more periods of time to launch some actions from the system, including the times to record videos, the times to stream data from the third-party device servers, filtering the times in which the occurrence of an event is taken effective, and the allowed login period for a user.

The schedule profiles make it highly flexible to manipulate the time for the system to take actions. Users don’t need to schedule the devices one by one but only have to apply the created schedule profile(s) to the devices. This can substantially reduce the time to schedule a large group of devices.

By default, all roles are assigned the default schedule profile, which is Always, which means around-the-clock.

The schedule profiles are applied to the following settings:

Ø System Config | User group | User group | Properties | Login schedule
Ø Physical Config | Management Server | Recording Server | Video device | Camera | Recording Schedule
Ø Physical Config | Management Server | Recording Server | Video device | Camera | Event Action
Ø Physical Config | Management Server | Metadata Server | POS device | Channel | Properties | Streaming schedule
Ø Physical Config | Management Server | Metadata Server | Access Control device | Channel | Properties | Streaming schedule
Ø Physical Config | Management Server | Metadata Server | POS device | Channel | Event Action | Add schedule
Ø Physical Config | Management Server | Metadata Server | Access Control device | Channel | Event Action | Add schedule


The User Interface

Configuration | Table of Content

To understand the user interface of the Schedule group of settings:

1. Access the System Config (“system configuration”) as described in System Config.

The system configuration opens onscreen, and the Tree Console shows four topic settings: User Group, Role, Schedule, and Layout.

And the topic setting Schedule will expand the pre-configured schedule profile: Always.

The pre-configured schedule profile is Always, which cannot be changed and deleted. However users are able to freely add their own schedule profiles. The user-created schedule profiles are subject to change and deletion.

To add a schedule profile, see Create A Schedule.

To edit a schedule profile, see Configure A Schedule.

To delete a schedule profile, see Delete A Schedule.


Access Schedule Settings

Configuration | Table of Content

To access the Schedule settings:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows four setting groups: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic Schedule if there shows a (+) plus sign.

All existing schedule profile(s) then collapse under the topic Schedule, including the software’s pre-configured ones and the created ones.


Create Schedule

Configuration | Table of Content

To create a Schedule:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows the four groups of settings – User Group, Role, Schedule and Layout.

2. Click the topic Schedule.

The topic Schedule becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A new schedule profile, named “schedule” by default, will be appended to the topic Schedule, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly created schedule (profile).

To know the settings on the Properties tabbed page, see Properties.


Delete Schedule

Configuration | Table of Content

To delete a schedule profile:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic Schedule if there shows a (+) plus sign.

All existing schedule profile(s) then collapse under the topic Schedule, including the software’s pre-configured ones and the created ones.

3. Click the schedule profile to delete.

The schedule profile to delete becomes highlighted.

4. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

5. Click Yes to confirm the deletion.

6. Click the apply button [image] on the Top Toolbar to apply the change.


Configure Schedule

Configuration | Table of Content

To configure an existing schedule profile:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic Schedule if there shows a (+) plus sign.

All existing schedule profile(s)then collapse under the topic Schedule, including the software’s pre-configured ones and the created ones.

3. Click the schedule profile to configure.

The schedule profile to delete becomes highlighted.

To know the settings featured on the Properties tabbed page, see Properties.


Properties

Configuration | Table of Content

It relies on the Properties tabbed page to configure a schedule profile.

To access the Properties tabbed page of a schedule profile:

1. Open the Properties tabbed page of the schedule profile to configure as described in Configure A Schedule.

The Properties tabbed page opens in the Configuration Pane for the schedule profile to configure.

The settings featured on the Properties tabbed page are:

Setting

Description

Default

Name

Names the schedule profile.

“schedule”

Description

Provides a brief description for this schedule profile for the easier identification of it.

--

Recursive mode

Sets the configuration mode between Daily, Weekly, Monthly, Yearly and Specific day.

Ø Select Daily to set how often for an event or an action to take place on a daily basis. See "Daily" settings for details.
Ø Select Weekly to set how often for an event or an action to take place on a weekly basis. See "Weekly" settings for details.
Ø Select Monthly to set how often for an event or an action to take place on a monthly basis. See "Monthly" settings for details.
Ø Select Yearly to set how often for an event or an action to take place on an annually basis. See "Yearly" settings for details.
Ø Select Specific day to set the day for an event or an action to take place. See "Specific day" settings for details.

Daily


Daily Settings

Configuration | Table of Content

Use the Daily settings of a schedule profile to set how often for an event or an action to take place on a daily basis.

To access the Daily settings of a schedule profile:

1. Open the Properties tabbed page of the schedule profile as described in Configure A Schedule.

2. At the Recursive mode setting, select Daily.

A daily time table shows onscreen, with a few graphic buttons.

The featured “daily” settings are:

Setting / Graphic Button

Description

daily time table

Click a time slot or drag through multiple time slots on the daily time table to select or deselect one or more time slot(s) in a day.

Ø Click [image] button to be able to select a time slot.
Ø Click [image] button to be able to deselect a time slot.

Click this button to be able to select a time slot.

Ø Click the down arrow icon [image] to select all time slots of a day.

Click this button to be able to deselect a time slot.

Ø Click the down arrow icon [image] to deselect all selected time slots.

Zooms out the daily time table to bring more time slots into view.

Zooms in the daily time table to make more specific selection of time slot(s).

Scrolls the daily time table to the left.

Scrolls the daily time table to the right.


Weekly Settings

Configuration | Table of Content

Use the Weekly settings of a schedule profile to set how often for an event or an action to take place on a weekly basis.

To access the Weekly settings of a schedule profile:

1. Open the Properties tabbed page of the schedule profile as described in Configure A Schedule.

2. At the Recursive mode setting, select Weekly.

A weekly time table shows onscreen, with a few graphic buttons.

The featured “weekly” settings are:

Setting / Graphic Button

Description

weekly time table

Click a time slot or drag through multiple time slots on the weekly time table to select or deselect one or more time slot(s) in a week.

Ø Click [image] button to be able to select a time slot.
Ø Click [image] button to be able to deselect a time slot.

Click this button to be able to select a time slot.

Ø Click the down arrow icon [image] to select all time slots of a week.

Click this button to be able to deselect a time slot.

Ø Click the down arrow icon [image] to deselect all selected time slots.

Zooms out the weekly time table to bring more time slots into view.

Zooms in the weekly time table to make more specific selection of time slot(s).

Scrolls the weekly time table to the left.

Scrolls the weekly time table to the right.


Monthly Settings

Configuration | Table of Content

Use the Monthly settings of a schedule profile to set how often for an event or an action to take place on a monthly basis.

To access the Monthly settings of a schedule profile:

1. Open the Properties tabbed page of the schedule profile as described in Configure A Schedule.

2. At the Recursive mode setting, select Monthly.

Some settings show onscreen, with a monthly time table and a few graphic buttons.

The featured “monthly” settings are:

Setting / Graphic Button

Description

Sets which day of every month to configure, or which day of a week of every month to configure.

monthly time table

Click a time slot or drag through multiple time slots on the monthly time table to select or deselect one or more time slot(s) in a month.

Ø Click [image] button to be able to select a time slot.
Ø Click [image] button to be able to deselect a time slot.

Click this button to be able to select a time slot.

Ø Click the down arrow icon [image] to select all time slots of a month.

Click this button to be able to deselect a time slot.

Ø Click the down arrow icon [image] to deselect all selected time slots.

Zooms out the monthly time table to bring more time slots into view.

Zooms in the monthly time table to make more specific selection of time slot(s).

Scrolls the monthly time table to the left.

Scrolls the monthly time table to the right.


Yearly Settings

Configuration | Table of Content

Use the Yearly settings of a schedule profile to set how often for an event or an action to take place on an annual basis.

To access the Yearly settings of a schedule profile:

1. Open the Properties tabbed page of the schedule profile as described in Configure A Schedule.

2. At the Recursive mode setting, select Yearly.

Some settings show onscreen, with a yearly time table and a few graphic buttons.

The featured “yearly” settings are:

Setting / Graphic Button

Description

Sets which day of a month to configure, or which day of a week of a month to configure.

yearly time table

Click a time slot or drag through multiple time slots on the yearly time table to select or deselect one or more time slot(s) in a year.

Ø Click [image] button to be able to select a time slot.
Ø Click [image] button to be able to deselect a time slot.

Click this button to be able to select a time slot.

Ø Click the down arrow icon [image] to select all time slots of a year.

Click this button to be able to deselect a time slot.

Ø Click the down arrow icon [image] to deselect all selected time slots.

Zooms out the yearly time table to bring more time slots into view.

Zooms in the yearly time table to make more specific selection of time slot(s).

Scrolls the yearly time table to the left.

Scrolls the yearly time table to the right.


Special Day Settings

Configuration | Table of Content

Use the Specific day settings of a schedule profile to set how often for an event or an action to take place on a specific day of all time.

To access the Specific day settings of a schedule profile:

1. Open the Properties tabbed page of the schedule profile as described in Configure A Schedule.

The Properties tabbed page opens in the Configuration Pane.

2. At the Recursive mode setting, select Specific day.

A perpetual calendar shows onscreen, with a specific day table and some graphic buttons.

The featured settings are:

Group

Setting / Graphic Button

Description

N/A

Selects a year.

perpetual calendar

the perpetual calendar

Click a date on this perpetual calendar to select or deselect a day.

Ø Click the [image] button to be able to select a date.
Ø Click the [image] button to be able to deselect a date.

Click this button to be able to select a date on the perpetual calendar.

Click this button to be able to deselect a date on the perpetual calendar.

specific day table

the specific day table

Click a time slot or drag through multiple time slots on this specific day table to select or deselect one or more time slot(s) of the date(s) selected on the perpetual calendar.

Ø Click the [image] button to be able to select a time slot.
Ø Click the [image] button to be able to deselect a time slot.

Click this button to be able to select a time slot on the specific day table.

Ø Click the down arrow icon [image] to select all time slots of the specific day.

Click this button to be able to deselect a time slot on the specific day table.

Ø Click the down arrow icon [image] to deselect all selected time slots on the specific day.

Zooms out the specific day table to bring more time slots into view.

Zooms in the specific day table to make more specific selection of time slot(s).

Scrolls the specific day table to the left.

Scrolls the specific day table to the right.


Layout

Configuration | Table of Content

The Layout means to arrange the video grid that tiles together multiple video channels on a display.


The User Interface

Configuration | Table of Content

To understand the user interface of the Layout group of settings:

1. Access the System Config (“system configuration”) as described in System Config.

The system configuration oens onscreen, and the Tree Console shows four topic settings: User Group, Role, Schedule, and Layout.

All the layouts are subject to change and deletion. See Configure A Layout to edit a layout. See Delete A Layout to delete a layout. See Create A Layout to add a layout.

2. From the Tree Console, click the topic Layout.

The Overview tabbed page then opens at the Configuration Pane to deliver a general view of all the existing layouts.


Access Layout Settings

Configuration | Table of Content

To access the Layout settings:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the topic Layout.

The Overview tabbed page then opens at the Configuration Pane.


Create Layout

Configuration | Table of Content

To create a layout:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console then shows the four groups of settings – User Group, Role, Schedule and Layout.

2. Click the topic Layout.

The topic Layout becomes highlighted.

3. From the bottom of the Tree Console, click the add icon [image].

A new layout, named “layout” by default, will be appended to the topic Layout, and a Properties tabbed page will open in the Configuration Pane for users to configure the newly created layout.

To know the settings featured on the Properties tabbed page, see Configure A Layout.


Delete Layout

Configuration | Table of Content

To delete a layout:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic Layout if there shows a (+) plus sign.

All existing layout(s) then collapse under the topic Layout, including the software’s pre-configured ones and the created ones.

3. Click the layout to delete.

The layout to delete becomes highlighted.

4. From the bottom of the Tree Console, click the delete icon [image].

A question dialog opens to ask for the confirmation of deletion.

5. Click Yes to confirm the deletion.

6. Click the apply button [image] on the Top Toolbar to apply the change.


Configure Layout

Configuration | Table of Content

To configure an existing layout:

1. Run the NuClient. Click the Config tab from the Top Toolbar. Then click the System Config icon [image] from the Config Catalog.

The Tree Console shows four groups of settings: User Group, Role, Schedule, and Layout.

2. From the Tree Console, click the (+) plus sign besides the topic Layout if there shows a (+) plus sign.

All existing layout(s) then collapse under the topic Layout, including the software’s pre-configured layouts and the created ones.

3. Click the layout to configure.

The Properties tabbed page of the layout to configure then opens at the Configuration Pane.

The featured settings on the Properties tabbed page are:

Setting

Description

Default

Name

Names the layout.

“layout”

Description

Provides a brief description for this layout for the easier identification of it.

--

Initial layout type

Sets the grid layout by assigning the amount of column(s) and the amount of row(s).

Ø 1 to 10 columns are configurable.
Ø 1 to 10 rows are configurable.

3 columns & 3 rows

Monitor aspect ratio

Sets the aspect ratio of the display.

Ø Options available are 4:3 and 16:9.

4:3

Merge

Merges the cells selected in the video grid.

Ø Click and drag a cell to select it.

--

Unmerge

Restores the merged cells selected in the video grid.

Ø Click and drag a cell to select it.

--


System Overview

Table of Content

To open the NuClient’s System Overview screen, click the System Overview tab from the Top Toolbar.

If multiple Management Servers are connected by configuring System Navigator, choose a specified Management Server to configure:

In System Overview tab, you may see real-time system information including all servers, cameras, 3rd party devices, and IO devices.

The first layer indicates System Overview, including the status of all Recording Servers, Recording Failover Servers, and Metadata Servers in the system.

The second layer indicates Recording Server and Metadata Server device status, including video devices, IO devices and 3rd party devices status.


System Overview

System Overview | Table of Content

On System Overview, the status of all Recording Servers, Recording Failover Servers, and Metadata Servers in the system will be displayed.


Server Overview

System Overview | Table of Content

On System Overview, click the Server Overview tabbed page to get a general view of the status of all the servers.

The following item will display on the column.

Item

Description

Connection Status

The connection status between the Recording Server, Recording Failover Server or the Metadata Sever to the Management Server.

Server Type

The type of the server.

Ø Include Management Server, Recording Server, Recording Failover Server and Metadata Sever.

Name

The name of the server.

Server Version

The firmware version of the server.

Device Pack Version

The device pack of the server. (Only Recording Server and Recording Failover Server will display the information.)

IP Address(LAN1)

The LAN 1 IP address of the server.

IP Address(LAN2)

The LAN 2 IP address of the server.

IP Address(WAN)

The WAN IP address of the server.

Database Status

The status of the Recording database. (Only Recording Server and Recording Failover Server will display the information.)

Volume Group Status

The status of the all Volume Groups from the server. (Only Recording Server and Recording Failover Server will display the information.)

Device Connection Status

The status of the all devices connected to the server.

Time Zone

The time zone setting of the server.

The following icon will display on System Server Overview status column.

Item

Graphic icon

Description

Title bar

To filter what information to display on the column.

Connection status

The Recording Server or Metadata server is connected with Management Server.

The Recording Server or Metadata server is disconnected with Management Server.

Simulation mode

Ø To test Failover Server setting, the system is simulating the situation that Recording Server disconnect with Management Sever.

Volume Group Status

All Volume Group from the Recording Server operates normally.

One or multiple Volume Group(s) from the Recording Server operates abnormally.

N/A

Ø The possible reason is, Server is not connected, or Volume Group is not supported(Management Server and Metadata Server)

Device connection status

All devices is connected

One or multiple device(s) are disconnected

N/A

Ø The possible reason is, server is not connected, or devices status is not supported (Management Server).


Client Overview

Configuration | Table of Content

On System Overview, click the Client Overview tabbed page to get a general view of all the clients connected to the Management Server.

Each column delivers the following info:

Icon / Item | Description
 | Refreshes the connected client(s).
Application | Delivers the client’s application type.
User | Shows the user(s) using the application at the moment.
IP | Delivers the IP address by which the client is connected to the Management Server.


Recording Server

System Overview | Table of Content

On Recording Server page, it shows the status of all devices belonging to the Recording Server, including video devices and IO devices.

If the NuClient is not connected to the Recording Server, the information will display N/A because NuClient can’t get information from Recording Server.


Camera Overview

System Overview | Table of Content

To view the status of video devices from the Recording Server:

1. From the Tree Console of System Overview, click the topic Recording Server.

By default, the Camera Overview tabbed page then opens at the Status Overview Pane.

The following item will display on the column.

Item | Description
Volume Group | The volume group that the video device belonging to.
Connection Status | The connection status between the Recording Server and Video Devices.
Video Device Name | The name of the video device.
Camera Name | The user-defined name of the camera.
Camera Brand | The brand name of the camera.
Camera Model | The model name of the camera.
Recording Type | The recording type of the camera, including “Manual”, “Always”, ”Boosting”, “Event” record.
Recording Status | The recording status of the camera, including “Recording”, “Not Record”, and “Unknown”(can’t get information).
Operating Status | The operation status of the camera, including "normal", 'abnormal', 'N/A', and "--"(disconnected). * If it shows "abnormal", it means that the real situation does not match the recording type.
Frame Rate(Main Stream) | The main stream frame rate of the camera.
Bit rate | The main stream bit rate of the camera.
Recording Stream | The recording stream of the camera, including "Stream 1", "Stream 2", and "Stream 3".
File Retained | The recording data retention status of the camera, including “Normal”, “Abnormal”, and “Unknown”.
IP Address | The IP address of the camera.

The following icon will display on Recording Server – Camera Overview status column.

Item

Graphic icon

Description

Title bar

To filter what information to display on the column.

Connection status

Connected

Simulating failover

Disconnected

N/A

Ø The possible reason is, the server is not connected or NuClient is not connected to the Recording Server.

Recording status

Recording

Not record

N/A

Ø The possible reason is, the device is not connected or NuClient is not connected to the Recording Server.

Recording Type

Always Record

Event Record

Boosting Record

Disable Record

Manual Record

N/A (ex. Not connected)

File Retained

Normal

Abnormal


IO Pin Overview

System Overview | Table of Content

To view the status of IO devices from the Recording Server:

1. From the Tree Console of System Overview, click the topic Recording Server.

By default, the Camera Overview tabbed page then opens at the Status Overview Pane.

2. Go to IO Pin Overview tabbed page, the status overview of IO devices displays:

The following item will display on the column.

Item

Description

Connection Status

The connection status between the Recording Server and IO pin.

Ø Only IO device supports connection status information.

Device Name

The name of the device, including the video device name with digital input/digital, and the name of IO devices.

IP

The IP setting of the IO devices.

Port

The Port setting of the IO devices.

Model

The model name of the IO devices, including “SCB-C31+SCB-C24”, “SCB-C31+SCB-C26”, “SCB-C31+SCB-C28”, “SCB-C31+SCB-C08”.

Address ID

The Address ID setting of the IO devices.

I/O Type

The type of the IO devices, including Digital Input and Digital Output.

Pin Name

The Pin setting of the IO devices.

Normal Status

The normal status of the IO devices, including “Normal On” and “Normal Off”.

Status

The trigger status of the IO devices, including “On”, and “Off”.

The following icon will display on Recording Server – IO Pin Overview status column

Item

Graphic icon

Description

Title bar

To filter what information to display on the column.

Connection status

The IO device is connected.

The IO device is disconnected.

N/A

Ø The possible reason is, get the device connection status is not supported.

Trigger status

On, the DI/DO is triggered

Off, the DI/DO is not triggered


Hardware Setting

System Overview | Table of Content

Hardware Setting


Metadata Server

System Overview | Table of Content

On Metadata Server page, it shows the status of all devices belonging to the Metadata Server, including video devices and IO devices.

If the NuClient is not connected to the Metadata Server, the information will display N/A because NuClient can’t get information from Recording Server.


Metadata Channel Overview

System Overview | Table of Content

To view the status of 3rd party devices from the Metadata Server:

1. From the Tree Console of System Overview, click the topic Metadata Server.

By default, the Metadata Channel Overview tabbed page then opens at the Status Overview Pane.

The following item will display on the column.

Item

Description

Connection Status

The connection status between the Metadata Server and Metadata Source.

Ø Only IO device supports connection status information.

Source Name

The name of the metadata source.

Channel Name

The name of the metadata channel.

Plugin Type

The type of the plugin that the device belonging to.

Plugin Version

The version of the plugin that the device belonging to.

Transaction Count (per minute)

The transaction count statistic per minute of the metadata channel.

The following icon will display on Metadata Server – Metadata Channel Overview status column.

Item

Graphic icon

Description

Title bar

To filter what information to display on the column.

Connection status

The metadata source is connected

The metadata source is disconnected.

N/A

Ø The possible reason is, the server is not connected or NuClient is not connected to the Recording Server.


Application Configuration

Table of Content


System Navigator

Application Configuration | Table of Content

The System Navigator allows NuClient to login multiple Management Server at the same time. User can watch video belonging to different Management Servers in the same View. User can also configure different Management Servers in the same NuClient.

To launch the System Navigator:

1. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

2. Click System Navigator Configuration

3. Click [image] to insert a connection to a Management Server, and click [image] to remove a connection to the Management Server.

4. Click [image] to insert a connection to a Titan Management Server or a Mainconsole Server, and click [image] to remove a connection.

5. When inserting a connection to a Management Server, users should input:

Items | Description
LAN Address | The LAN Address of Management Server to connect
WAN Address | The WAN Address of Management Server to connect
Username | The username to login this specified Management Server
Password | The password to login this specified Management Server

It is not necessary to set both LAN Address and WAN Address for one Management Server

6. When inserting a connection to non Crystal Server, users should input the corresponding information listed below:

Items

Description

NVRsolo Series

NVRmini Series

Input IP address with Live View port (Default: 5150)

Mainconsole
1. Input IP address with web service port (Default: 80) or and make sure RTSP Service and Report Service are enabled in Mainconsole

Or

2. Input IP address with Live View port (Default:5150) and make sure Live Streaming Service and Playback Service are enabled in Mainconsole

Titan

Input IP address only

Users can also follow the above rule to log in any non Crystal Sever via Log-in Dialog directly.

Configuring non Crystal Servers is not supported. Currently, only live viewing (PTZ, preset and patrol are not included) and playback (Export and backup are not included) are available.

7. Click button Test connection to test whether the setting is correct.

8. Click button OK to confirm and the system will have you re-login.

9. Then, you will see the Content List be like this:

Currently, NVRmini Series and NVRsolo Series will all be displayed by the name NVRmini_IP_Address.


Test Connection

Application Configuration | Table of Content

Use Test Connection to verify System Navigator Configuration.

1. Launch System Navigator Configuration, fill IP Address, username, and password for a specified Management Server, and click button Test connection.

2. A Test connection dialog appears.

Select Management Servers you want to test, and click button OK.

3. A Progress Bar appears and shows the testing progress.

A dialog appears after testing is finished without problem.

5. The testing results are updated in Connection Test Result.


Image Fusion

Application Configuration | Table of Content

The Image Fusion Technology allows a seamless panoramic view of multiple camera videos by changing their viewing angles and image sizes. Up to 10 independent cameras can be set up as single view.

To launch the Image Fusion Editor:

1. Access the Live View tab.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click the Image Fusion Editor.

The Image Fusion Editor launches.

In the Image Fusion Editor window, the Config Catalog shows a list of the existing image fusions. The right side shows the configuration utility and the list of available cameras.


Create Image Fusion

Application Configuration | Table of Content

To create an image fusion:

1. Launch the Image Fusion as described in Image Fusion Editor.

The Image Fusion Editor launches, with the existing image fusion(s) listed in the Image Fusion tree.

2. In the Image Fusion tree, click the node Image fusion.

The Image fusion node becomes highlighted.

3. Click the add sign icon [image] in the lower-right of the Image fusion box.

A new image fusion named “New Image Fusion” by default is appended to the image fusion tree.

4. Click on the name of the newly created image fusion.

On the Configuration Pane, change the name and enter a brief description about the panorama.

5. Click the add sign icon [image] at the lower-right.

An Add Camera window opens.

6. Select the cameras to add to the image fusion.

The selected cameras become highlighted.

The added camera images are stitched together in the view area at the upper part of the Image Fusion Editor window.

7. Adjust orientation of each image of the image fusion if you want to.

Use the horizontal and vertical sliders at the right side and bottom side of the view area to control the viewport of the image fusion. Use the XYZ sliders to adjust the angles of an image. Use the scale slider to enlarge or shrink an image.

8. Click the OK button and apply the change.


Delete Image Fusion

Application Configuration | Table of Content

1. Launch the Image Fusion as described in Image Fusion Editor.

2. In the Image Fusion group box, click the delete icon [image] to delete an Image Fusion.

3. Click the OK button and apply the change.


Device Group

Application Configuration | Table of Content

The Device Group allows user to create customized device list.

By clicking on Device Group Editor to create/modify device group list.

The customized device group list will be shown under user defined tab in content list grid.

The device group could be applied to Joystick control:


Device Group Editor

Application Configuration | Table of Content

The Device Group Editor allows user to:

- Add new device group

- Delete existing device group

- Modify Group Name

- Add device to the group

- Remove device from the group

Click on OK to commit the change to the server.


E-Map

Application Configuration | Table of Content

E-map is a graphic image to be overlaid with the icons including Recording Server, video devices, cameras and I/O devices, Metadata Server, Metadata source, and Metadata a Channel, so administrators are able to know where a device is located and also the layout of all the devices. Such graphic image can be a street map, a floor plan, or any other custom image file.

To launch the E-Map Editor:

1. Access the Live View tab.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click E-Map Editor.

4. An E-Map Editor window opens.

The featured settings are:

Group box / Setting

Description

E-Map

group box

Adds an E-map.

Deletes a selected E-map.

New Map

field

Assigns the name for the E-map.

Map Description

field

Provides a brief description of the E-map.

[Select a map image file]

field

Click the ellipsis (…) button to open an explorer window to browser for the graphic image.

1. The acceptable file formats are PNG, BMP, and JPEG.
2. The maximum file size allowed is 2MB.

NVR Management Server

group box

Expand the tree menu. Click and drag a desired camera or I/O device onto the graphic image and drop it where the device is installed on the image.


Create E-Map

Application Configuration | Table of Content

To create an E-map:

1. Launch the E-map Editor as described in E-Map Editor.

The E-Map Editor launches, with the existing E-maps listed in the E-Map group box at the upper-left, the Management Server tree menu in the lower-left, and the graphic image displays in the right.

2. In the E-Map group box, click the add sign icon [image] to add a new E-map to.

The root to be added with a new E-map then becomes highlighted.

The root to be added with a new E-map becomes highlighted.

3. Click the add sign icon [image] at the bottom-right corner of the E-Map group box.

A new E-map named “New Map” by default is appended to the root.

4. Enter the name and a brief description for the new E-map. And click the ellipsis (…) button to open an explorer window to browser for the graphic image.

The acceptable file formats are PNG, BMP, and JPEG.

The maximum file size allowed is 2MB.

An image file is added. Scroll the mouse wheel to zoom in and out the map image.

5. From the NVR Management Server tree menu, drag a server on to the map.

The icons should all be placed on the area of an image and cannot be placed on the black area surrounding an image when you zoom out.

6. Drag a camera onto the map.

7. Drag an I/O device onto the map.

8. Adjust the size by dragging the edge points of an icon.

Drag and rotate the blue point to rotate an icon.

Click on the x icon to delete an icon.

To delete multiple icons at one time, select multiple icons and drag them to the trash can in the corner.

9. Click the OK button and apply the change.


Delete E-Map

Application Configuration | Table of Content

To delete an E-map:

1. Launch the E-map Editor as described in E-Map Editor.

2. In the E-Map group box, click the delete icon [image] to delete an E-map.

3. Click the OK button and apply the change.


Web Bookmark

Application Configuration | Table of Content

The feature of Web Bookmark means you can open a web page on the live view window in the NuClient. Drag the web bookmark you edited in the content list to the live view grid, you can operate it just like operating in a browser.

To launch the Web Bookmark Editor:

1. Access the Live View tab.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click Web Bookmark Editor.

4. A Web Bookmark Editor window opens.

The featured settings are:

Group box / Setting

Description

Web Bookmark

group box

Adds a web bookmark.

Deletes a selected web bookmark.

New Web Bookmark

field

Assigns the name for the web bookmark.

URL

field

Provides the URL for the web bookmark.

Reload button

field

Reload the change of the web bookmark.

View of the web

field

Provides the preview of the web bookmark.

In the browser, those button are:

previous page

next page

refresh the loaded page

stop loading

zoom in

zoom out

Full Screen button

title bar

Maximize window to full screen.


Web Bookmark Editor

Application Configuration | Table of Content

To create a Web Bookmark:

1. Launch the Web Bookmark Editor as described in Web Bookmark.

The Web Bookmark Editor launches, the operation of the editor would show in the browser window.

2. In the Web Bookmark group box, click the add sign icon [image] to add a new Web Bookmark to the list.

The root to be added with a new Web Bookmark then becomes highlighted.

3. To edit the Bookmark name and URL and click the reload button.

4. Click the OK button and apply the change.


APP Launcher

Application Configuration | Table of Content

The feature of APP Launcher means you can open the EXE file on the live view window in the NuClient. You can add the EXE file in the APP Launch Editor. When you double click the app launch you edited in the content list, the EXE file will open.

To launch the APP Launcher Editor:

1. Access the Live View tab.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click APP Launcher Editor.

4. An APP Launcher Editor window opens.


APP Launcher Editor

Application Configuration | Table of Content

To create an APP Launcher:

1. Launch the APP Launcher Editor as described in APP Launch.

2. In the APP Launcher group box, click the add sign icon [image] to add a new APP Launcher to the list.

The root to be added with a new APP Launch then becomes highlighted.

3. To edit the APP Launcher name and import the EXE file.

4. Click the OK button and apply the change.


View

Application Configuration | Table of Content

A view is the configuration of how you arrange video content in the view area, video stream settings, and the grid layout. Views can be categorized into Public View and Private View. Public Views are configured by the users who have the editing permission on the server and can be viewed by any users. Private views are visible only to who add them.

The comparison between Public View and Private View:

Setting | Description
Public View | The users with edit privilege of the server. Everyone can view.
Private View | Only available to the user who created the view.

To launch the View:

1. Access the Live View tab.

2. Click the View list

The featured settings are:

Setting | Description
 | Add view/group/view tour
 | Delete view/group/view tour
 | Configure view/group/view tour
 | Search
 | Switch stream profile
 | Send view/group/view tour to a secondary monitor when available

Live View can be displayed both in the primary monitor and in secondary monitors, but Playback can open only in the primary monitor.


Add View

Application Configuration | Table of Content

A view is the configuration of how you arrange video content in the view area, video stream settings, and the grid layout.

To launch the View:

1. To launch the View:

2. Click the View list

3. Select the type of view, either Public or Private, to be created.

4. Click on the add sign icon [image].

5. Click on Add View.

6. A new view named “New View” by default is appended to the root.

When you modify the content in View List, a modification icon [image] will come with modified items. Any modification is not saved to remote servers until you upload it.


Add Camera to View

Application Configuration | Table of Content

To launch the View:

1. Access the Live View tab.

2. Click the View list you want to edit.

3. Click Content list.

Drag and drop a single camera or a sensor to a grid cell.

OR

Drag and drop a server to a grid cell.

Then the camera’s video will show in the cell.

4. Drag a server to the grid, cameras will fill up in the view area until no grid cells are available to display more video streams.


Delete Camera from View

Application Configuration | Table of Content

To launch the View:

1. Access the Live View tab.

2. Click the View list you want to edit.

3. Click on the title bar of a channel and drag it to the trash can in the corner.


Add View Group

Application Configuration | Table of Content

A view group is a group of views which can be organized into a tree structure. You can manage views via view group.

To launch the View Group:

1. Access the Live View tab.

2. Click the View list

3. Select the type of view, either Public or Private, to be created.

4. Click on the add sign icon [image] to add View Group.

5. Click on add new view and new view will be added under selected group type.

OR

Drag the exist view to View Group.


Add View Tour

Application Configuration | Table of Content

A view tour is a set of different views which are automatically rotated to show in the view area.

To launch the View Tour:

1. Access the Live View tab.

2. Click the View list

3. Select the type of view, either Public or Private, to be added.

4. Click on the add sign icon [image] to add View Tour.

5. View Tour Setting opens.

The featured settings are:

Setting

Description

View Tour Name

Edits View Tour Name.

Dwell Time

Edits the time interval when a view switches to the next one in a view tour.

Ø 1 to 60 seconds are available.

Add view to View Tour.

Delete view to View Tour.

Moves the selected view up.

Moves the selected view down.

6. Click the OK button and apply the change.

7. In View Tour will switch between previous and next views, and toggle full screen.

The featured settings are:

Setting | Description
 | Toggle full-screen
 | Go to previous view
 | Pause
 | Go to next view


Duplicate View

Application Configuration | Table of Content

To duplicate a View:

1. Access the Live View tab.

2. Click the View list

3. Select the type of view, either Public or Private, to be duplicated.

4. Click on the add sign icon [image] and continue to click on Save As …

5. Edits the name of the duplicated view and specify the destination view group.

You can duplicate for a view and a view tour.


Search View

Application Configuration | Table of Content

To search the View:

1. Access the Live View tab.

2. Click the View list

3. Select the type of view, either Public or Private, to be searched.

4. Click on the magnifier icon will show a text field.

5. Type the view would like to search. Clicking on the arrows [image] to focus on the matched results.


Delete View

Application Configuration | Table of Content

To delete the View:

1. Access the Live View tab.

2. Click the View list

3. Select the type of view, either Public or Private, to be deleted.

4. Click the delete icon [image] to delete a View.

An error message will pop up if you do not have permissions to modify a view.

You can delete for a view, a view tour, or public/private view


Assign Stream Profile

Application Configuration | Table of Content

To assign profile for the View:

1. Access the Live View tab.

2. Click the View list

3. Select the type of view.

You can assign the stream profile for a view, a view tour, or public/private view

4. Click on [image] to choose a universal stream profile for it

5. Choose automatically adjust stream profile by the grid, or switch to specific stream profile once.

The featured settings are:

Setting | Description
Auto | Display in original profile for all cameras in the view when select 1x1 grid display. Display in low profile for all cameras in the view when select 4-15 channels of grid display. Display in minimum profile for all cameras in the view when select 16 or more channels grid display.
Original | Display in the original profile for all cameras in the view.
Low | Display in the low profile for all cameras in the view.
Minimum | Display in the minimum profile for all cameras in the view.

If the stream profile chosen is not supported by specific cameras, the cameras will remain the original stream profile settings.

6. Also can adjust specific camera stream profile on grid.


Client Configuration

Application Configuration | Table of Content

To “configure the client” is to configure the NuClient‘s “preference” to control how the software acts each time the software is used. It also controls how the user interface is presented.

To launch the Client Configuration:

1. Access the NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click the Client Configuration.

The Client Configuration launches and shows three menus in its Config Catalog: General, User Interface, and Function.

Ø To know the General menu, see The General Menu.
Ø To know the User Interface menu, see The User Interface Menu.
Ø To know the Function menu, see The Function Menu.


The General Menu

Application Configuration | Table of Content

It relies on the General menu of to configure how the NuClient acts each time it is used.

To open the General menu:

1. Access the NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

The Client Configuration launches and shows the General menu by default. client configuration default

The General menu features three group boxes: Client Startup Setting, Monitor Display, and Time Zone.

They present the following settings:

Group Box

Setting

Description

Client Startup Setting

Start client when operating system starts

Tick the check box to enable the NuClient to auto-launch when the operating system starts up.

Enable Auto Login

Tick the check box to enable the NuClient to auto-connect to the specified server when the NuClient is launched.

1. When enabled, the following settings are available:
Setting | Description | Default
Server IP address | Sets the IP address of the server to connect to. | --
Server port | Sets the port number of the Management Server IP address to connect to. | 5250
Username | Sets the username to login to the Management Server. | --
Password | Sets the password to login to the Management Server. | --
Confirm Password | Re-enters the password to login to the Management Server. | --

Enable Full Screen

Tick the check box to enable the NuClient to be opened in full screen.

Monitor Display

Select favorite layouts

Opens a Select Favorite Layout window for users to select up to 4 different grid layouts as their favorites. These favorite layouts will be accessible from the toolbar of the software’s Live View and Playback.

Default Stream Profile

Sets the default stream profile when dragging a camera to View.

Ø Four options are available: Auto, Original, Low and Minimum.
Setting | Description
Auto | Display in original profile for the camera in the view when selecting 1x1 grid display. Display in low profile for the camera in the view when selecting 4-15 channels of grid display. Display in minimum profile for the camera in the view when selecting 16 or more channels grid display.
Original | Display in the original profile for all cameras in the view.
Low | Display in the low profile for all cameras in the view.
Minimum | Display in the minimum profile for all cameras in the view.

Tick the check box to minimize the secondary monitor(s) when the main monitor is minimized.

1. The NuClient can connect up to 4 monitors.
2. Live View can only be opened in any of the 4 monitors, and Playback can only run on the first monitor only.

Time Zone

Use client’s time zone

Applies the NuClient PC’s time zone for system time zone.

Select a different time zone

Manually sets some other time zone.

Manually adjust clock for Daylight Saving Time by ______ hour(s)

Enables/disables daylight saving time and defines how many hours should the system time be adjusted forward/backward for.

If the stream profile chosen is not supported by specific cameras, the cameras will choose “Original” profile when added to View.


The Hardware Menu

Application Configuration | Table of Content

The 2nd menu under General is Hardware menu.

it contains two setting:

- GPU Setting

- Joystick Setting

The GPU acceleration is default enabled to enhance fisheye dewarp performance.

The Joystick setting could be modified here.

The joystick which can be recognized by windows could be used for NuClient.


The User Interface Menu

Application Configuration | Table of Content

It relies on the User Interface menu to control which information to show on the software’s status bar / content title and which dockable components to show in the software’s user interface.

To open the User Interface menu:

1. Access the NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. From the Config Catalog, click the User Interface.

The User Interface menu opens and shows the General tabbed page.

Ø To know the General tabbed page, see The General tabbed page.
Ø To know the Workspace tabbed page, see The Workspace tabbed page.


The General Page

Application Configuration | Table of Content

It relies on the General page to enable/disable a piece of information on the Status Bar of NuClient, which locates at the bottom of the software.

It also relies on the General page to enable/disable a piece of information on the title bar of a video channel in the View Area

Follow the guide below to enable/disable a piece of information on the software’s Status Bar or a piece of information on the title bar of a video channel in the View Area.

1. Access the NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. From the Config Catalog, click the User Interface.

The User Interface menu opens and shows the General page.

4. In the Content Title group box, select/deselect an item to enable/disable that piece of information on the title bar of a video channel in the View Area.

5. In the Status Bar group box, select/deselect an item to enable/disable that piece of information on the software’s Status Bar.

(The Customized text setting enables a piece of custom information to show in the Status Bar. Maximum 64 Unicode characters are allowed.)


The Workspace Page

Application Configuration | Table of Content

Follow the guide below to enable/disable a widget at the Config Catalog of each Live View and Playback:

1. Access the NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. The Client Configuration launches and shows the General menu by default.

4. From the Config Catalog, click the User Interface.

The User Interface menu opens and shows the General page.

Choose the Workspace page

5. In the Live View Workspace group box, select/deselect an item to enable/disable that widget at the Config Catalog of the Live View screen.

6. In the Playback Workspace group box, select/deselect an item to enable/disable that widget at the Config Catalog of the Playback screen.

7. For example, select only Content List, Event List, and View List in the Live View Workspace group box.

The Live View screen then shows only the widgets of the Content List, Event List, and View List.

Right-click on the title bar of a dockable widget to open a context menu to enable/disable a widget at the Config Catalog of the Live View or Playback screen.

Double-click or pull out the title bar of a dockable widget to float the widget.


The Function Menu

Application Configuration | Table of Content

It relies on the Function menu to configure the features of each the Live View and Playback screen.

To open the Function menu:

1. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

2. The Client Configuration launches and shows the General menu by default.

3. From the Config Catalog, click the Function.

The Function menu opens and shows the General Setting page by default.

To know Fisheye Dewarp Setting ,see Fisheye Dewarp page.

To know Video pop-up Setting, see Video pop-up page.

To know the Live View tabbed page, see Live View page.

To know the Playback tabbed page, see Playback page.


Live View Page

Application Configuration | Table of Content

It relies on the Live View page to enable/disable a feature of the Live View screen.

From the Config Catalog, click the Function.

Group Box

Setting

Description

Snapshot

Manual print or save Snapshot image

Tick the check box to assign the folder to save a snapshot to each time a snapshot is captured.

Automatically save Snapshot image

Tick the check box to save the snapshot to a specific folder by a specific format.

When enabled, the following settings are available:

Setting

Description

Default

Save image location

Sets where to save the captured snapshot.

Ø Click the ellipsis (…) button to open an explorer window to browser where to save the snapshot.

The desktop folder

Save as type:

Sets the file format to save the snapshot to.

Ø Two types are available: .bmp and .jpg

.bmp

Save with Content Title

Saves the captured snapshot with the “content title” of the video channel (, which is delivered by the title bar of the video channel.)

Selected

(enabled)

Save with Digital Zoom

Saves the captured snapshot with the “Digital Zoom” of the video channel

Selected

(enabled)

Open the file after save

Auto-opens the snapshot after it is saved.

Deselected

(disabled)

Alarm

Enable Audio Notification

Enables/disables the NuClient to sound an audio for notification when an event comes up.

1. Enabled is the default.

2. When enabled, the following group of settings becomes available:

Group

Setting

Description

Default

Audio file

Default

Uses the system-featured sound file for the alarm audio.

Selected

(Enabled)

User-defined audio file:

Uses a unique sound file of user’s own for the alarm audio.

1. Click the ellipsis (…) button to open an explorer window to browser for the audio file.

--

Audio

Enable audio on selected channel

Sets whether to hear the sound of the instant video when the camera channel is clicked.

1. This setting requires the camera to have a microphone.
2. Enables the mouse over any video channel in the View Area to launch a tool bar to enable/disable the camera audio.

Instant Playback

Start playing from previous N seconds (15~300):

Defines how fast to forward or rewind an instant video footage

1. 15 to 300 seconds configurable.
2. 60 seconds is the default.

Event List

Event List display options

Configures how to display an event in the Event List, by defining how many events to show or how long to display an event for. The featured settings are:

Setting

Description

Default

Max. events under Event List:

Defines how many events to show in the Event List.

1. 1 to 1000 events configurable.
2. 100 events is the default.

Selected

(Enabled)

Show events under __ minutes

Defines the maximum time to show an event in the Event List.

1. 10 to 60 minutes configurable.
2. 10 minutes is the default.

Deselected

(Disabled)

Video display mode

Sets video display mode.

Ø Two modes are available: Popup window or First empty grid or Grid 1 if no empty grid.

Enable joystick option when use joystick plugged to computer.


Playback Page

Application Configuration | Table of Content

It relies on the Playback tabbed page to enable/disable a feature to/from the Playback screen.

From the Config Catalog, click the Function.

The Function menu opens and shows the General Setting page by default.

Click the Playback page.

The Playback page opens.

The featured settings are:

Group Box

Setting

Description

Snapshot

Manual print or save Snapshot image

Tick the check box to assign the folder to save a snapshot to each time a snapshot is captured.

Automatically save Snapshot image

Tick the check box to save the snapshot to a specific folder by a specific format.

1. When enabled, the following settings are available:
Setting | Description | Default
Save image location | Sets where to save the captured snapshot. 1. Click the ellipsis (…) button to open an explorer window to browser where to save the snapshot. | The desktop folder
Save as type | Sets the file format to save the snapshot to. | .bmp
Save with Content Title | Saves the captured snapshot with the “content title” of the video channel (, which is delivered by the title bar of the video channel.) | Selected (enabled)
Save with Digital Zoom | Saves the captured snapshot with the “Digital Zoom” of the video channel | Selected (enabled)
Open the file after save | Auto-opens the snapshot after it is saved. | Deselected (disabled)

Audio

Enable audio on selected channel

Sets whether to hear the sound of the recorded video when the camera channel is clicked.

1. This setting requires the camera to have a microphone and the audio input must be enabled during recording.

Thumbnail

Enable thumbnail of timeline

Enable/disable thumbnail in playback timeline

Playback Skip Interval

Skip Forward Interval

Defines how fast to forward a recorded video

1. 1 to 3600 seconds configurable.
2. 60 seconds is the default.

Skip Backward Interval

Defines how fast to rewind a recorded video

1. 1 to 3600 seconds configurable.
2. 60 seconds is the default.


Live View

Table of Content

Live view page displays video streams or metadata streams in a grid. Grid types can be configured using the toolbar below the live view area.

The featured settings of tool bar are:

Graphic Button

Description

Close all Video Popup at once on this monitor.

Must setup Video Popup Action beforehand on Config tab.

Click to show Video Popup Setting.

Toggle on the grid to assign the grid for video popup. Toggle again to un-choose the Video Popup grid.

Must setup Video Popup Action beforehand on Config tab.

The assigned grid will show the notification [image] on this setting page and show a red exclamation mark [image] on tool bar of grid.

Toggle to extend the video grid sector to full screen.

Click Esc on the keyboard to back to original status.

Click to extend the chosen grid to single grid sector.

Click again to back to original grid layout.

The assigned favorite layout for quick switch layout.

This is configurable in Client Configuration.

Click to choose all supported layout type, including customize layout.

Snapshot the whole grid sector.

Remove the selected content by drag and drop content to the trash can or choose the content and then throw it to the trash can.

Full-screen display is supported by NuClient application, but not by the web NuClient.

If you have multiple monitors, the Live View interface on secondary monitors is very similar. The main difference is in the toolbar.

The interface of Live View on a secondary monitor.

The featured settings are:

Graphic Button | Description
 | Switch between views
 | Close Live View on a secondary monitor


Content List

Live View | Table of Content

There are two tab in Content List : Default or User defined.

Default in Content list

Default shows all the devices a user have permission to access. A device can be a camera, an I/O device, an image fusion, or an E-map.

Each device node as shown in the screenshot below can be expanded to see the details of each device. Expanding each device will show subordinate items, such as sensors on cameras.

User defined in Content list

User could create its own device list in Content list and this list will be shown in User defined.

The way to create device group could be found here:


Watch Live Video

Live View | Table of Content

In view area, add devices from Content List to the view area. You may add not only cameras, but also image fusion, E-Map, and I/O devices to the view area. Refer to the View section to add view, camera, view tour, etc.


Toolbar Content

Live View | Table of Content

For each camera channel has toolbar for quick operation. You can use the toolbar easily.

The featured settings are:

Setting

Graphic Button

Description

Close Event Video

Click to close video popup.

Once closed video popup, the grid will display original video on the grid.

Lock/Unlock popup video

Click to lock the popup video.

The locked video won’t be closed even the event status has finished.

Click again to Unlock the popup video.

Instant Playback

Sync to playback.

Current instant playback will be opened in playback tab. However, if instant playback runs in a secondary monitor, then the playback will be opened on the primary monitor.

Ø See also the Instant Playback of toolbar content

Snapshot

Takes snapshot.

Ø See also the Snapshot of toolbar content.

PTZ

Controls camera remote directional and zoom.

Ø See also the PTZ of toolbar content.

Manual Record Video

Records video manually.

Ø See also the Manual Record Video of toolbar content.

Audio

Enables/disables audio.

Ø See also the Audio of toolbar content.

Connection

Connects/disconnects camera.

Ø See also the Connection of toolbar content.

Content Setting

Choosing stream profile and fix aspect ratio.

Ø See also the Content Setting of toolbar content.


Instant Playback

Live View | Table of Content

Click on the Instant Playback [image] icon. You may playback video or reverse-playback video with this function. Hold the scroll handle in the middle can change the playback speed.


Snapshot One Channel

Live View | Table of Content

Click on the snapshot [image] icon in toolbar content and saves the snapshot of the current video channel at the current moment.

You may choose to export title names, enable digital zoom in exported data, save exported images to files or to printers.

The featured settings are:

Setting

Description

Snapshot Parameters

There are two options available: save with Content title and save with

Digital Zoom.

Print / Save Options
1. There are two options available: print and save Snapshot as image file.

Setting

Description

Default

Save image location

Selects the image save location.

--

Image file name

Edits the image file name.

--

Save as type

Selects the image save type.

Ø There are two options available: .bmp and. jpeg.

.jpeg
2. Enables/disable open file after save.

Snapshot is available only with cameras, not with E-map and I/O.

If “Open File after save” is checked, the snapshot will open after the snapshot is saved on disk.

If a channel contains an E-map, then the status of the E-map will be snapshotted. If it contains I/O, then the I/O status will be snapshotted.


Snapshot Whole View Area

Live View | Table of Content

If you want to snapshot all channels on the screen, you need to press the snapshot icon in view toolbar.

If the content of a channel is E-map or I/O panel, they will also be put in a snapshot.

The featured settings are:

Setting

Description

Snapshot Parameters

There are two options available: save with Content title and save with

Digital Zoom.

Print / Save Options
1. There are two options available: print and save Snapshot as image file.

Setting

Description

Default

Save image location

Selects the image save location.

--

Image file name

Edits the image file name.

--

Save as type

Selects the image save type.

Ø There are two options available: .bmp and. jpeg.

.jpeg
2. Enables/disable open file after save.

Snapshot is available only with cameras, not with E-map and I/O.

If “Open File after save” is checked, the snapshot will open after the snapshot is saved on disk.

If a channel contains an E-map, then the status of the E-map will be snapshotted. If it contains I/O, then the I/O status will be snapshotted.


PTZ

Live View | Table of Content

Please see the section of PTZ for details.


Manually Record Video

Live View | Table of Content

1. Click on the Start/Stop Recording [image] icon on the tool bar.

2. When video is being recorded, the icon will become a square [image]. Click it again to stop recording.


Audio

Live View | Table of Content

Presses the speaker icons [image] [image] to enable / disable audio from a camera. Please note that a camera must support audio for this function to work.

If your camera supports audio but you cannot hear that in NuClient, please make sure:

1. Audio is enabled in the admin interface of the camera.
2. Cables are properly connected.
3. Audio is not muted in Windows.

1. If multiple channels of video streams are running without enough bandwidth, it is possible to hear audio of poor quality. To solve this issue, you may try disconnecting a few cameras.

1. After switching to different layouts, if a camera is not present in the current grid, you will not able to hear the audio of it.


Connection

Live View | Table of Content

Press the chain icon to connect to a camera and disconnect from a camera.


Content Settings

Live View | Table of Content

Content settings are a set of settings to configure stream profiles and aspect ratio. If a camera has dual streaming, then one of the video streams can be chosen to be displayed in Live View.

Streaming video in different formats and resolutions will require the CPU on cameras to do extra video processing and it may overload a camera.


View List

Live View | Table of Content

A view is a collection of configurations including those of grid layouts, camera settings, aspect ratios, stream profiles, etc.

To know the featured on the View, see View.


PTZ Panel

Live View | Table of Content

In the panel, you may control both optical and digital pan/tilt/zoom of your cameras. Optical PTZ is enabled only when a camera has PTZ capability. Digital PTZ is achieved purely by digital image processing, and it is enabled for all cameras.


PTZ

Live View | Table of Content

PTZ is a mechanism for remote directional and zoom control. PTZ is an abbreviation of Pan, Tilt, and Zoom. Pan refers to horizontal movement of a camera; Tilt refers to vertical movement of a camera; Zoom refers to the change in focal lengths.


Optical PTZ

Live View | Table of Content

The featured settings are:

Setting

Graphic Button

Description

PTZ

Controls the camera view by using the PTZ camera control panel to adjust the camera’s view.

Zoom in

Zooms in of the area of interest.

Zoom out

Zooms out of the area of interest.

Focus near

Focuses near of the area of interest.

Focus far

Focus far of the area of interest.

Auto focus

Adjusts the focus point of the area of interest.

PTZ Preset(s)

Sets camera PTZ configurations.

The camera will be configured to the preset configurations when select a preset point.

Ø 16 preset points are available.
Setting | Description
 | Selects the preset point.
 | Add the preset point.
 | Delete preset point.
 | Sets preset point.

Patrol

Preset point group which enable user go to preset point automatically and stay at the preset point for the assigned time period.

Ø Four patrol groups are available.
Ø 32 preset points for a patrol group are available.

Setting

Description

Selects Patrol.

Starts Patrol.

Stops Patrol.

Sets Patrol.

Setting

Description

Name

Edits Patrol Name.

Start patrol after PTZ idle

Restores patrol automatically when utilize PTZ and temporarily take over patrol process.

Ø 1 to 60 seconds are available.

Add preset point to Patrol.

Delete preset point to Patrol.

Duration

Sets the duration between two preset points.

Ø 1 to 99 seconds are available.

Moves the selected preset point up.

Moves the selected preset point down.

Optical PTZ is the default PTZ mode as long as a camera supports it.

The names of preset may be scrambled if input Chinese/Japanese/Korean characters due to cameras do not support those character sets.

Please assign preset point setting first before Patrol.

For patrol, the preset point can be chose for multiple times.

If user operate camera PTZ or go to preset point during patrol process, patrol will stop without manually stop patrol. If user enabled “Start patrol after PTZ idle” for this patrol, the patrol process will restore after assigned PTZ idle duration.


Digital PTZ

Live View | Table of Content

In contrast to optical PTZ, Digital PTZ is an image-processing algorithm used to magnify each pixel see in a video image. Since it is merely a software algorithm, digital PTZ is supported with any camera which NuClient connects to. Digital PTZ is supported both in Live View and Playback.

Optical PTZ is supported only in Live View, while digital PTZ is supported both in Live View and Playback.

There are three ways of using digital PTZ in NuClient: draw a rectangle, use mouse wheel and use the on-screen buttons.


Draw Rectangle

Live View | Table of Content

Draw a rectangle area in view area. The covered area which is surrounded dashed lines will be magnified and stretched to the whole view area. As soon as the rectangle is drawn, the view is smoothly zoomed into the area of interest.

In the corner, find a sub-window showing the full content of the current camera.


Use Mouse Wheel

Live View | Table of Content

Besides drawing a rectangle, it is even more intuitive to use mouse wheel to zoom in and zoom out. Drag-and-drop the view area to change viewport of the camera.

In the corner, find a sub-window showing the full content of the current camera.


Use On-Screen Buttons

Live View | Table of Content

A set of control buttons are also available in PTZ controller.

The [image] button controls zoom-in and zoom-out.

The arrow wheel controls pan and tilt of the current camera.

The Home [image] button will show the entire video image in one view area.

Move the red rectangle on the sub window to adjust the place to view.


Fisheye Dewarp

Live View | Table of Content

NUUO Fisheye Dewarp is a generic mechanism for dewarping all kinds of fisheye camera or camera with ImmerVision lens.

NUUO Fisheye Dewarp general setting is in The function Menu

NuClient supports the Original mode, PTZ mode, Quad mode, and Perimeter mode.

To access NUUO fisheye dewarp setting:

1. On Config Tab, access the Video Device as described in Configure A Video Device.

2. Select the fisheye camera and go to stream tab.

3. Select Lens type as Generic Dewarp.

4. Select camera position

5. After Generic Dewarp is enabled, you will see the video on NuClient become fisheye warped image.


Fisheye Dewarp Mode

Live View | Table of Content

After NUUO Generic Dewarp is enabled, you may see the selection menu on the PTZ controller is enabled and it has four different options: Original mode, PTZ mode, Quad mode, and Perimeter mode.


Original Mode

Live View | Table of Content

As soon as the rectangle is drawn, the view is smoothly zoomed into the area of interest


PTZ Mode

Live View | Table of Content


Quad Mode

Live View | Table of Content


Perimeter Mode

Live View | Table of Content

On NuClient grid, there is fast setting. In the content toolbar in the corner, there is an icon [image]. Click on it will lead you to the function icons of PTZ mode.

Graphic Button | Description
 | Return to the toolbar of live view
 | Original mode. The original image from the fisheye camera without being processed by any image processing algorithm.
 | PTZ mode. Pan, Tilt & Zoom are computed by NuClient
 | Quad mode. Video is split into 4 separate views simultaneously.
 | Perimeter mode. In this mode, video is split into a horizontal view of 180°


GPU Acceleration

Live View | Table of Content

Dewarp video from fisheye camera is resource consuming for client. NUUO Crystal™ support GPU acceleration for the dewarp of video from fisheye camera to best achieve the quality demand of viewing.

To enable GPU acceleration for fisheye dewarp:

1. Go to Global [image].

2. Choose Client Configuration|General|Hardware to enable GPU acceleration.

The GPU accelerate will be default enabled if the computer which is installed Nuclient/NuMatrix has GPU.


Adjust Quality

Live View | Table of Content

Adjust the video quality of fisheye video dewarp to balance client performance and dewarp quality.

To adjust the quality of fisheye dewarp:

1. Go to Global [image].

2. Choose Client Configuration | Function | Fisheye to set up the quality.

The 2 modes of settings are:

Mode

Description

Auto
Ø Display Low quality when the dewarped video is dragging and doing pan and tilt.
Ø Display Good quality when the dewarped video is not dragging to pan and tilt.

Manual

Five quality levels are available to be choose: Lowest, Low, Normal, Good, Best


I/O Control Panel

Live View | Table of Content

The status of I/O devices is displayed in panel. You can enable trigger outputs using this panel.

If the current content is an image fusion, in this panel, all of the I/O devices will be displayed in one list. You may name the I/O devices on Crystal server.

I/O configurations of a camera can be immediately shown by clicking on it in Content List.


Content Properties Panel

Live View | Table of Content

Properties panel shows the information of the current content in a focus channel. The display information varies according to the type of content in a grid cell and according to the type of the current tab.

Setting | Displayed information in Live View
Server | Server Type IP address Time zone CPU loading CPU temperature CPU fan speed System fan speed System temperature
Camera | Camera name Video stream profile Video format Resolution FPS (Frames per second) Bit-rate Display type
E-map | Map name Map description
Image fusion | Camera name Video stream profile Video format Resolution

Content Properties Panel is a read-only. The properties cannot be modified through this widget.

Clicking on a camera icon in an E-map will show only the camera name and the video format in the properties panel currently.


Event List

Live View | Table of Content

Event list shows latest events from a camera or from the monitor of system resources, with date/time information and the source. New events are constantly appended to the top of the list and old events will be removed from the list.

If returned results exceed 1000 records, NuClient will pop up a dialog to refine the query.

The list of possible events:

Setting | Displayed information in Live View
Camera | Motion started Motion stopped Recording on manual started Recording on manual stopped Unit connection lost
Digital Input | Input signal on Input signal off Unit connection lost
Server | Disk abnormal Auto backup started Auto backup stopped Auto backup failed Recording setting is changed to always recording Recording setting is changed to schedule recording Recording setting is changed to no recording

When an event is triggered and with associated camera, instant playback of the camera will pop up manually. At most 3 instant playback windows can be opened.


Playback

Table of Content

The common panels are the same as those seen in Live View page, but there are some extra panels in Playback page including Motion Search, Time Navigation, and Timline.

Live View can be displayed both in the primary monitor and in secondary monitors, but Playback can open only in the primary monitor.


Content List

Playback | Table of Content

Content List shows all the devices a user have permission to access. A device can be a camera, a I/O device, an image fusion, or an E-map.

Each device node as shown in the screenshot below can be expanded to see the details of each device. Expanding each device will show subordinate items, such as sensors on cameras.


Watch Recorded Video

Playback | Table of Content

When switching from Live View to Playback, View List, Content List, and event list on the Live View page are identical with the ones on Playback page. Therefore, if you have managed cameras and views, you can select it to check recorded video directly. If you haven’t, please refer to the View section to add view and camera.


Toolbar Content

Playback | Table of Content

When mouse is hovering over a video channel, the video toolbar provides several quick buttons of functions below:

Graphic Button | Description
 | Snapshot
 | Enable/disable audio
 | Change the aspect ratio of a video


View List

Playback | Table of Content

A view is a collection of configurations including those of grid layouts, camera settings, aspect ratios, stream profiles, etc.


PTZ Panel

Playback | Table of Content

In the panel, you may control both optical and digital pan/tilt/zoom of your cameras. Optical PTZ is enabled only when a camera has PTZ capability. Digital PTZ is achieved purely by digital image processing, and it is enabled for all cameras.


PTZ

Playback | Table of Content

PTZ is a mechanism for remote directional and zoom control. PTZ is an abbreviation of Pan, Tilt, and Zoom. Pan refers to horizontal movement of a camera; Tilt refers to vertical movement of a camera; Zoom refers to the change in focal lengths.

On Playback PTZ panel, Digial PTZ is available for recorded video.


Digital PTZ

Playback | Table of Content

In contrast to optical PTZ, Digital PTZ is an image-processing algorithm used to magnify each pixel see in a video image. Since it is merely a software algorithm, digital PTZ is supported with any camera which NuClient connects to. Digital PTZ is supported both in Live View and Playback.

There are three ways of using digital PTZ in NuClient: draw a rectangle, use mouse wheel and use the on-screen buttons.


Draw Rectangle

Playback | Table of Content

Draw a rectangle area in view area. The covered area which is surrounded dashed lines will be magnified and stretched to the whole view area. As soon as the rectangle is drawn, the view is smoothly zoomed into the area of interest.

In the corner, find a sub-window showing the full content of the current camera.


Use Mouse Wheel

Playback | Table of Content

Besides drawing a rectangle, it is even more intuitive to use mouse wheel to zoom in and zoom out. Drag-and-drop the view area to change viewport of the camera.

In the corner, find a sub-window showing the full content of the current camera.


Use On-Screen Buttons

Playback | Table of Content

A set of control buttons are also available in PTZ controller.

The [image] button controls zoom-in and zoom-out.

The arrow wheel controls pan and tilt of the current camera.

The Home [image] button will show the entire video image in one view area.

Move the red rectangle on the sub window to adjust the place to view.


Fisheye Dewarp

Playback | Table of Content

NUUO Fisheye Camera Dewarp is a generic mechanism for dewarping all kinds of fisheye camera or camera with ImmerVision lens.

NuClient supports the Original mode, PTZ mode, Quad mode, and Perimeter mode.

Please refer to Fisheye Dewarp for details.


Content Properties Panel

Playback | Table of Content

Properties panel shows the information of the current content in a focus channel. The display information varies according to the type of content in a grid cell and according to the type of the current tab.

Setting | Displayed information in Live View
Server | Server Type IP address Time zone CPU loading CPU temperature CPU fan speed System fan speed System temperature
Camera | Camera name Video stream profile Video format Resolution FPS (Frames per second) Bit-rate Display type
E-map | Map name Map description
Image fusion | Camera name Video stream profile Video format Resolution

Clicking on a camera icon in an E-map will show the camera name and the video format in the properties panel.


Event List

Playback | Table of Content

The event list in Playback is slightly different and it offers a search interface with several parameters to locate events in recording files.

Users can search events by three modes:

1. Event: Users can search the events by various source types, for example: camera, metadata, IVS or server etc.

2. Metadata: Users can search the events of metadata from metadata server and filter the events by defined keywords.

3. Counting: Users can search the events of IVS counters by selecting multiple IVS servers and filter the data by counter names.

Notice: Before using this function, users must set up the related settings in SMTP and Report tabs.


Toolbar

Playback | Table of Content

The toolbar icons are a quick interface for you to operate functions, for example: change grid, export, snapshot and remove schedule.

The featured settings are:

Graphic Button | Description
 | Toggle full-screen
 | Toggle single grid
 | The favorite grid layouts. This is configurable in Client Configuration.
 | Switch different grid layouts
 | Set cue-in point
 | Set cue-out point
 | Export video
 | Take a snapshot
 | Remove selected channels


Motion Search

Playback | Table of Content

Motion search is the utility that enables you to search for the video frames with motion in the video quickly and accurately.

The featured settings are:

Setting/Graphic Button

Description

Content name

Shows the content name.

Motion Search Parameters

Sets motion search parameters below:

Setting

Description

Default

Sensitivity

It refers to the sensitivity of pixel change. Higher value generates more results.

Ø The value ranges from 1 to 5.

3

Interval

It refers to the frame interval to judge a motion. Lower value generates more results.

Ø The value ranges from 1 to 5.

3

Time from /

Time to

The time interval to conduct motion search

Enables/disables motion search

Selects detection region

Deselects detection region

Selects/deselects an region

Draws a rectangle

Selects/deselects all

Inverts selection / de-selection

1. Select an active channel and go to the motion search tab.

2. Click on the [image] icon and motion search will be enabled.

When motion search is enabled, the content tool bar of a content cell will be disabled. To enable the toolbar, please disable motion search by clicking [image] again.

3. By default, the whole visible region is not selected, and the plus icon is default enabled.

4. You may start to select the areas of interest. You can combine [image] [image] and [image] [image] to select the region you need, or select [image] to select all region.

5. The selected regions will show in red.

6. Pressing [image] to invert the selection/de-selection.

7. After the region selection is done, you may click on the Search button.

8. When the motion search is running, the progress is shown in Search progress. Motions found are listed in Search result list.

9. Double-clicking one listed item moves the Timeline directly to the motion event.

Motion search does not support search under digital PTZ or ImmerVision mode.


Timeline

Playback | Table of Content

Timeline is a user-friendly representation of time and recorded data. You may not only quickly have an overview of the time span of video files, but also quickly locate the video at a specified time.

There are Thumbail above Timeline to help users quicker and easier to find the wanted video clips.


Search in Timeline

Playback | Table of Content

The timeline is a user-friendly interface to quickly find the video of a certain time period.

The featured settings are:

Graphic Button | Description
 | Date/Time selection
 | Event browsing settings
 | Zoom out
 | Zoom in

1. Drag the timeline to the time.

If video content is an image fusion, as long as one camera has recording data, a timeline will be displayed in the area for the video content.

It is possible that a camera has two video streams of different video profiles. If one camera is placed in two grid cells, two timelines will be drawn for each grid cell.

2. When mouse is hovering on both the ends of the timeline, an arrow icon will show up. Click on it will browse through time more quickly.

3. The two icons in the corner zoom in and out the timeline.

4. Specify the date / time directly using the widget in the corner.

5. The dates with recording data are shown in boldface.

If a channel does not have recorded at specified time points, a no-video icon will display in the channel.

If a camera is dragged into the playback grid, the same camera will appear in the grid when you switch to LiveView tab.

6. Change event browsing settings. In Timeline, event-triggered recording data can be shown in different colors. Locate video files more quickly by enabling event browsing in different colors. If you uncheck the event items in the list, the markers of event video will not be shown in Timeline.

Click on the color bars will open the color palette.

7. You may change the layout of the timeline if using the horizontal layout is not convenient.


Time Navigation

Playback | Table of Content

The time navigation panel can be divided into four different parts which are, from left to right, playback control, the date/time display, and event browsing control.


The Playback Control

Playback | Table of Content

The featured settings are:

Setting

Description

Playback / Reverse Playback

Click to plays videos.

When video is being reversely played, the focused channel will play according to the specified frame rate, and the unfocused channels will play at 20 frames per second.

Step forward/backward

Click to play one frame next/last to the current frame.

Next/Previous

Click to set the current frame to that one in next/last interval.

Ø See also the Playback of Client Configuration.

Speed

Click to change alter the speed from 1/16x to 64x.

Speed Shuttle

Click to quickly scan through video forwards or backwards. The speed can be adjusted by dragging the handle. For example, when you drag the handle towards the right-hand side, forward playback will start. The playback speed is determined how far away the handle is from the original position. If you drag the handle towards the left-hand side, reverse playback will start.

If video is being played at a faster speed, the audio will not be heard.


The Date / Time Display

Playback | Table of Content

It shows the playback status, the date/time of the current video frame, the speed of playback.


Event Browsing Control

Playback | Table of Content

The event browsing control is a quick interface for you to move between the time points when event occurs.

The featured settings are:

Graphic Button | Description
 | Moves to the previous event.
 | Move to the next event


Export and Backup Video

Playback | Table of Content

User could export or backup video in playback tab by click on below icon:

Video Export

Video exporting is a tool for converting the video of a specified time span into commonly-used video formats so that the video can be played with other video player applications, such as Windows Media Player and VLC.

1. Click on the cue-in icon.

2. You will see an icon on the timeline indicating the start of the video to be exported.

3. Click on the cue-out icon.

4. You will see the icon indicating the end of the video. And the edges of start time and end time are draggable. You may drag them to modify start time and end time.

5. Click on the export icon.

6. Below dialog will be opened and user could modify the export location or change the start/end time. The supported video formats are ASF, Original AVI, Microsoft AVI and Mov. Please be noted “Export audio” is not enabled by default.

Multi-channel export is acceptable.

The maximum filename length of export files is 64 characters.

If there is a video format change in your selections, NuClient will save video data of different formats in different files and number them properly.

The start time and the end time are modifiable in the export dialog. You may click on the numbers you feel like changing and press KEY UP and KEY DOWN.

If the export format is ASF, you can choose different video profiles.

If you run NuClient on Mac OS X, you may also export video in MJPEG.

7. After OK is pressed, the video will be exported to the target folder.

Backup

Backup is a utility to backup video in its original format without any format conversion. It is different from exporting video. The format of video is designed to be played only by NUUO backup tool.

It is recommended to include Backup Player so users are easier to find tool to play video.

Multi-channel back up is acceptable.


Backup Tool

Playback | Table of Content

Backup Tool is a utility to backup video in its original format without any format conversion. It is different from exporting video. The format of video is designed to be played only by NUUO backup tool.

1. Access NuClient

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Press the Add Period icon in the corner of the opened dialog.

4. After the icon is pressed, a timeline dialog will open.

5. The interface is quite similar to the timeline in the Playback interface.

6. Select a camera and specify the cue-in time.

7. Select a camera and specify the cue-out time. Click the OK button when the selection is done.

8. In the list, you may find the list of selected video data. Clicking OK will start backing up the video data.

9. If you have “Include Backup Player” enabled, then you will find Backup Player in the exported folder. You may playback video files using the playback application.

10. With the camera video to be exported and the cue-in/out time specified, the original video files will be exported to the target folder.

11. When it is completed, you will find video files in the backup directory. If you have Include Backup Player enabled, you will also find a playback application in the directory.


Video Wall

Table of Content

To enlarge the management efficiency of big projects, NUUO NuMatrix, provides an advanced centralized viewing solution that supports unlimited channels of live viewing, without any monitor counts limitation per computer.

The followings are components.

Component | Description
NuMatrix application | Install in the computer as Matrix Server.
Matrix settings | The Matrix Server settings on NuClient-Config tab
Matrix Console | Control all monitors on NuClient
Matrix profile | A group of monitors and Views setting for monitoring efficiency


Matrix Application

Video Wall | Table of Content

1. Install NuMatrix application on the computer as Matrix Server. For NuMatrix installation process refers to Application Installation.

2. On Windows, click “Start”, and then click NUUO Crystal NuMatrix to launch NuMatrix application.

3. Select instance name and click OK to launch NuMatrix.

4. Go to options for detail setting or add new NuMatrix application. For new NuMatrix application, assign a new port to differentiated different NuMatrix application.

Then click on “OK”.

Setting | Description | Default
MatrixName | Names the Matrix. | “default”
Port | Provides port of the Matrix. | 5350
Auto Startup | Start the Matrix automatically | Enable
Monitor 1 | Show Matrix on Monitor 1 | Enable

5. Then go to NuClient | Config tab| Physical Config| Matrix to add the NuMatrix Server to the system. For NuMatrix setting refer toConfig Matrix.

6. For Matrix control priority and access privilege refer to Priority and Matrix.

Once installed NUUO Crystal™ NuMatrix application and go to Matrix config on NuClient, please make sure NUUO Crystal™ NuMatrix is still operating when add the Matrix Server on NuClient| Config.


Matrix Console

Video Wall | Table of Content

The Matrix console is the primary location for controlling the matrix display. It displays all the monitors you have added to the Management Server on your section of NuMatrix. Multiple monitors for one Matrix server setting are an available option. NuMatrix has no inherent limitation when it comes to the number of monitors.

For NuMatrix setting refer to Config Matrix.

Please note that only when have an "Ultimate level" license will you be able to see the

Matrix interface on NuClient.

Please note that metadata related video will not show on the NuMatrix.

To launch Matrix console:

1. Connect to NuMatrix Server

Focus on the NuMatrix application. Then click “Connect” [image] on Matrix Console toolbar.

After connecting to the NuMatrix, the related icon will show on tool bar.

The featured settings are:

Graphic Button

Description

Select Matrix Profile

Ø There are two options: Public profile and private profile

Select View

Close all Video Popup at once on this monitor.

Must setup Video Popup Action beforehand on Config tab.

Click to show Video Popup Setting.

Toggle on the grid to assign the grid for video popup. Toggle again to un-choose the Video Popup grid.

Must setup Video Popup Action beforehand on Config tab.

The assigned grid will show the notification [image] on this setting page and show a red exclamation mark [image] on tool bar of grid.

The assigned favorite layout for quick switch layout.

To set up favorite layout, go to Client Configuration | General | Monitor Display | Select Favorite Layouts

Switch Grid Type

Remove selected content

Connect Matrix

After selecting one camera on the View, the related icon will show on tool bar.

the featured settings are:

Graphic Button

Description

Select Profile

Ø There are two options: Public profile and private profile once set on view list.

Close all Video Popup at once on this monitor.

Must setup Video Popup Action beforehand on Config tab.

Click to lock the popup video.

The locked video won’t be closed even the event status has finished.

Click again to Unlock the popup video.

Start/stop Manual Recording

Enables/disable audio

Connect/disconnect

Content Setting

Ø There are two options: stream profile or fixed profile.
Ø Select auto or original for stream profile.

Single Grid

Remove selected content

Connect Matrix


Add Camera to Matrix

Video Wall | Table of Content

1. Access the Live View tab.

2. Click Content list.

Drag and drop a single camera or a sensor to Matrix.

OR

Drag and drop a server to a grid cell.

Then the camera’s video will show in Matrix.


Add View to Matrix

Video Wall | Table of Content

1. Access the Live View tab.

2. Click View list.

Drag and drop a private view or a public view to Matrix.


Matrix Profile List

Video Wall | Table of Content

The Matrix profile makes setting up multiple monitors and views more convenient. It consists of a group of settings for the “Monitors” plus “Views” enabling rapid switching of the viewing target.

Please note that only when have an "Ultimate level" license will you be able to see the

Matrix interface on NuClient.

To launch the Matrix Profile List:

1. Access the Live View tab.

2. Click the Matrix Profile list

3. Select the type of profile, either Public or Private, to be created.

4. Click on the add sign icon [image].

5. Click on Add Profile.

6. A new view named “New Profile” by default is appended to the root.

7. Drag a view to the matrix profile, view will fill up in the NuMatrix monitor.

8. NuMatrix monitor will display the view.

When select the view, the featured settings are:

Graphic Button

Description

Select Profile

Ø There are two options: Public profile and private profile once set on view list.

Select View

View 1x1

View 2x2

View 1+5

View 3x3

Switch Grid Type

Remove selected content

Connect Matrix

When select the camera, the featured settings are:

Graphic Button

Description

Select Profile

Ø There are two options: Public profile and private profile once set on view list.

Select View

Start/stop Manual Recording

Enables/disable audio

Connect/disconnect

Content Setting

Ø There are two options: stream profile or fixed profile.
Ø Select auto or original for stream profile.

Single Grid

View 1x1

View 2x2

View 1+5

View 3x3

Switch Grid Type

Remove selected content

Connect Matrix


Maintenance

Table of Content


Export Log

Maintenance | Table of Content

Whether the Crystal is serving as a Management Server, Recording Server or Metadata Server, follow the guide below to export the log recorded during a period of time:

1. Access NuClient.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click Export Server Log.

A Log Viewer dialog opens.

The featured settings are:

Setting

Description

Start time

Sets the moment from which the log to export starts

Ø Click the calendar icon [image] to open a calendar for date selection.

End time

Sets the moment at which the log to export stops.

Ø Click the calendar icon [image] to open a calendar for date selection.

Server

Sets which server to collect the log.

Ø Options available are: NVR Management Server, NVR Recording Server and NVR Metadata Server.

Export button

Opens a Log file path window to browse where to export the log file.

Ø The log file are saved as *.csv file.


Export Config

Maintenance | Table of Content

The Export Config tool is featured to save the NuClient’s configuration to a file so such file can be loaded to recover the system configuration in a painless manner. This will save users from spending great time and efforts in reconstituting the system configuration.

To use the Export Config tool:

1. Access NuClient, Config tab.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click Export System Configuration

The Export Config tool launches.

4. Select the configuration to save.

It is suggested that configurations of Management server, Recording server, NuMatrix, Metadata server, and IVS server be export to ensure the configuration is intact.

Before export configuration, please commit all modifications to make sure the exported configuration is up to date.

Due to privilege control, user on Live View and Playback tab can only export NuClient configuration.

5. Click the ellipsis (…) button at the right side of the Export path field.

An explorer window opens.

6. Browse where to save the configuration file.

7. Enter a name for the configuration file in the File name field. Click the Save button.

The selected configuration is saved as one *.zip file at the assigned folder.


Import Config

Maintenance | Table of Content

The Import Config tool is featured to load a copy of the NuClient’s configuration saved as a file in the disk drive so it is painless to reconstitute the system configuration.

To use the Import Config tool:

1. Access NuClient, Config tab.

2. From the Top Toolbar of the NuClient, click the “global” icon [image].

The menu opens.

3. Click Import System Configuration

The Import Config tool launches.

4. Click the ellipsis (…) button at the right side of the Configuration field.

An explorer window opens.

5. Browse for the saved configuration file. Click the configuration file.

The configuration file becomes highlighted.

6. Click the Open button at the right side of the File name field.

The explorer window closes.

7. Click the Load button at the right side of the Configuration field.

The available configuration(s) then shows in the lower half of the Import Config tool.

Please export all types of configuration and import simultaneously to ensure the configuration is intact.

8. Select the configuration to load and deselect the configuration that you don’t want to load.

9. Click the OK button.

The selected configuration is imported to the system and replaced original configuration.

The hardware between source server and target server is strongly suggested to be the same.

It is suggested to import one server configuration into one target server. Please not import one server configuration into multiple target server.


IVS (Intelligent Video Surveillance)

Table of Content

Intelligent Video Surveillance is a program powered by cutting-edge image processing algorithms to deliver advanced and instant video analysis by tracking both moving objects and static targets while factoring the environmental nuances such as changing lighting, leaves, water waves, and so on.


License Type

Table of Content

There are four different kind of IVS license:

- Presence

- Counting

- Surveillance

- Advanced

Please refer below table for license type and different function description.

Note: IVS Trail license support all function and the duration is 45 days.

Function | Counting license | Presence license | Surveillance license | Advanced license
People counting | v |  |  | v
Tamper detection | v | v | v | v
Camera calibration |  |  | v | v
Object classification |  |  | v | v
Camera shake elimination |  | v | v | v
Presence (Tripwire) |  | v | v | v
Enter and exit |  |  | v | v
Appear and disappear |  |  | v | v
Dwell |  |  | v | v
Tailgating |  |  | v | v
Stop |  |  | v | v
Direction |  |  | v | v
Abandoned / Removed object |  |  | v | v


Enable/Disable IVS service

Table of Content

IVS service could be enable/disable in installation wizard.

Open installation wizard, the service status will show IVS status if the server supports IVS.

choose the one you would like to modify and click next

In the Management Service page; user could enable/disable IVS service.

IVS service is enabled by default.

Once IVS service is enabled, the Metadata Service will also be enabled by system because IVS metadata is handled by Metadata service.


Activate IVS License

Table of Content

User could go to Management server and click on license tab to activate IVS license.

IVS license could only be activated via online process. There is no offline activation for IVS license.

IVS license can not be transferred.

IVS license has to bind into a dedicated IVS server.

During the activation process, if IVS license is detected, a dialog will pop out and request a specific IVS server to be chosen.

Once license is activated with the dedicated server, this license could not be removed or transferred.

The drop down list only shows IVS-enabled servers under management service.


Add IVS in camera setting

Table of Content

In camera setting, user could add IVS function by choose associated IVS server.

While clicking "Add IVS"; a dialog will pop out and user has to choose associated IVS license for IVS function.


Add camera in IVS server

Table of Content

IVS server tree will be shown in physical configuration console.

Choose IVS server and click [image] to add camera to IVS server.

A dialog pop out and a specific license has to been chosen for this IVS camera.

After click on OK, a new IVS device will be added into IVS tree.


IVS Device Configuration

Table of Content

Click on IVS device in order to make the configuration.

Under Properties tab, user could enable/disable IVS channel, change name and make description.

It is important to choose associated camera by click on drop-down list.

The drop down list shows all available camera under management services

If multi-stream is supported by application; user could assign specific stream to IVS analysis.

The minimum resolutoin for IVS is CIF.

The minimum fps for IVS is 15.

Stream 2/3 is recommended to IVS analysis because of the performance concern.


IVS Setting

Table of Content

Click on "Setting" in order to make the IVS setting configuration.

The IVS tool bar allows users to add zone/line/node/counter and remove object.

The function of each icon listed below:

Users have to click on tool icon first and then click on video image in order to apply function. It can not be drag and drop.

While click on display icon; a dialog appears and user could choose display option.

Setting | Description
Display Blobs | Shows the algorithm coverage with blob. Blobs are displayed in turquoise.
Display Non-Alarmed Objects | Displays all objects, including alarmed and non-alarmed, to show how the detection zones and object trails intersect, so as to make optimal settings. Alarmed objects are marked in red. Non-alarmed objects are marked in yellow.
Display Object Height | Displays object height. This option is only available when the camera is calibrated. See also Calibrate Camera.
Display Object Speed | Displays object speed. This option is only available when the camera is calibrated. See also Calibrate Camera.
Display Object Area | Displays object area. This option is only available when the camera is calibrated. See also Calibrate Camera.
Display Object Classification | Displays object classification. This option is only available when the camera is calibrated. See also Calibrate Camera and Classification.


Zones and Rules

Table of Content

To create useful outputs, it is essential to define the zones and rules to monitor. IVS features Zones and Rules settings to tune the detection zones and detection rules.

Detection Properties

Click on specific zone and Detection Properties will show as below:

It is recommended to modify Name because this name will affect the event name.

It's much easier to recognize the event if you have a customized Name in Zone/rules.

Object Class Filter

Next to Properties is Object Class Filter tab.

This filter allows users to specify objects to be detected or non-detected in chosen zone/line.


Detection Property

Table of Content

To create useful outputs, it is essential to define the zones and rules to monitor. IVS features Zones and Rules settings to tune the detection zones and detection rules.

Zone and Line have different detection property.

IVS license type may enable/disable different IVS feature and shall have detection property

Detection Property of Zone

Below function is available for Zone detection property:

- Presence

- Enter/Exit

- Appear/Disappear

- Stopped

- Dwell

- Direction

- Speed

- Tailgating

- Abandoned/Removed object

Detection Property of Line

Below function is available for Line detection property:

- Presence

- Enter/Exit

- Direction

- Speed

- Tailgating

- Counting Line


Counter

Table of Content

IVS is able to count how many objects have triggered the alarms. The program features capable counting by assigning a group of detection zones or lines to a counter. IVS’s counter supports incremental, decremental and instantaneous counting. Configure the counter(s) by Counter Property (similar to detection property)

To Create a counter:

1st: in IVS tool bar, click "Add counter" icon

2nd: user mouse cursor to point on video, counter will be created automatically.

Counter Property:

For IVS counter, a count is provoked by an alarm triggered by an object. Hence, to count how many objects have been detected (triggering the alarm), a detection zone or line needs to be created and set to detect the corresponding rule. After assigning the zone to a counter, the counter is able to count the objects detected, in the way of increment, decrement or instantaneous count.

Setting | Description | Default
Increment | Sets the count to increment each time the detection zone triggers an alarm. | Deselected (Disabled)
Decrement | Sets the count to decrement each time the detection zone triggers an alarm. | Deselected (Disabled)
Instantaneous | Sets the counter to display the number of one or more objects that simultaneously triggers the alarm. | Deselected (Disabled)


Abandoned/Removed object

Table of Content

IVS can be configured to generate an alert highlighting an abandoned or removed object. Suspicious objects can be detected when carried into the scene and planted by a person as well as when dropped into the scene.

Ensure that abandoned/ removed object detection is enabled by checking the "Abandoned/ removed object detection" box on the event rule.

NOTE: The algorithm used for abandoned and removed object detection is the same in each case: it cannot differentiate between abandoned or removed objects. This is a fundamental limitation of the algorithm and arises because it just analyses how blocks of pixels change with respect to a background model that is constructed over time. When an object is inserted into the background (abandoned) it looks the same to the algorithm as when an object is removed from the background.

An object that is left inside a zone for longer than the configured time period will trigger the rule and raise an alarm.

The maximum time period for Abandoned/Removed object is 60 secs


Calibration

Table of Content

IVS features a Calibration tab to calibrate viewing scene: ()

The 3D graphics overlay is a green grid representing the ground plane featured on the video image. During calibration, the features on the video image need to match with such 3D graphics overlay.

On the ground plane are a few 3D mimics to simulate the dimensions of persons. Use these mimics to verify the size of a person in the scene.

License Type: Presence and Counting do not support Calibration

Mouse Control

Use your mouse to adjust the calibration parameters:

1. Click and drag the ground plane to change camera tilt angle.

2. Scroll mouse wheel to adjust the camera height.

3. Drag Camera Intrinsic Parameters slider to change camera’s vertical field of view.

Please do remember to click "Apply" to commit the setting.

Each grid square is 2x2 metric

Reset to Default:

The Calibration setting will be back to default.


Tamper Detection

Table of Content

IVS features Tamper Detection to detect camera the tampering events such as blockage, de-focusing, redirecting, spray-painting and so on. Tamper Detection relies on detecting large persistent changes in the video image.

Setting

Description

Default

Enable Tamper Detection

Enables Tamper Detection.

Deselected
(Disabled)

Tampered Duration until Alarm

Sets how long does the video image persistently change to trigger tamper alarm.

20 secs

Tampered Screen Area

Sets how much does the video image change to trigger tamper alarm.

40 %

Suppress alarm on lights on/off

Rules out the scenarios of great and rapid image lighting change such as on/off indoor lighting, which often cause false tamper alarms.

This function is performed sacrificing the sensitivity to trigger alarms and thus isn’t recommended if fast lighting changes isn’t much a problem in your installation.

Deselected
(Disabled)


Advanced Setting

Table of Content

Some advanced IVS setting could be found in Advanced tab:

Featured settings on Advanced tabbed page are:

Setting

Description

Default

Camera Shake Cancellation

Select Enable Camera Shake Cancellation to improve IVS performance if the cameras are installed in vibration-oriented locations and thus suffer from shake problems.

If camera shake is not a concern in your installation, disable this setting to have the best IVS performance.

Deselected

(Disabled)

Alarm Retrigger Time

Alarm Holdoff Time sets the delay between two successive alarms triggered by a rule defined for an object.

5 seconds

Tracker Configuration

Sets what to track and the time to track. Featured settings are:

Setting | Description | Default
Minimum tracked object size | Defines the least size of object to track. Normally there is no need to modify this parameter. Lower the value to track smaller objects sacrificing noise immunity. | 10 pixel
Object Holdon Time | Defines the time to track an object before it becomes stationary. IVS will forget the objects that become stationary after the defined Object Holdon Time. | 60 sec

Counting Runtime

Featured settings are:

Setting | Description | Default
Reset every | Sets the daily time to reset every counter | 01:00 AM
Counting log frequency | Sets the frequency of counting log | 1 hour
Go to management report setting | Go to management server to set and get the counting report |


Classification

Table of Content

Once the camera is calibrated, IVS is capable of object classification and shows it on the video image. Classification relies on an object’s properties such as object area and speed.

IVS configuration is pre-loaded with some most common object classes. In case the classification parameters need to change, IVS features classification settings on Classification tab to add new object classes and change the pre-loaded classification parameters.

1. There are default 4 objects that system will detect. They are identified by different area, speed.
2. User can add remove the objects.

Featured settings on Classification tabbed page are:

Setting | Description | Default
Add New Object Classifier | Adds a new object class. | --
Remove Object Classifier | Removes the selected object class. | --
Reset Default Values | Restore classification settings to default state. | --
Name | Dubs the class with a name. | Object ID. No
Enable | Puts the class to work. | Yes
Min Area (m*m) | Sets the lower bound of object area. | 0.0
Max Area (m*m) | Sets the upper bound of object area. | 200.0
Min Speed (km/h) | Sets the lower bound of object speed. | 0
Max Speed (km/h) | Sets the upper bound of object speed. | 200

Note that objects not fitting to any class are labeled as "Unknown" on video images.


IVS Event and Action

Table of Content

Event Action tab is where user could set up IVS event and action.

The Zones and Event list will be automatically generated based on configuration in IVS setting page.

By clicking event; user could modify or delete event.

IVS event could trigger below actions:

- DO

- Email

- PTZ preset

- Play Sound

- Start Patrol

- Video edge display

- Video popup

If you choose "manually close" in the column of stop related action, the action will stop until you close it in the close alarm window. Play alarm sound, Video popout, and Video edge display could be manually closed. However, other actions which are not supported to be manually closed would follow the setting of stop _ sec. to stop (Except the action "Go to Preset" and "Start Patrol", you can see more detail in Optical PTZ setting).


NuClient in NuStation

NuClient v3.2.2 for NuStation support:

· 16CH Full HD Hardware Decode

NuClient v3.2.2 for NuStation Does Not support:

· Titan Search Tool
· Backup Player to playback backup files
· APP Launcher
· Diagnostic Service
· Digital PTZ sub-window
· Audio
· Joystick Control
· Hardware Decode for Motion Search and Export Video


Application Upgrade

Upgrade Procedure

· Go to NUUO Official Website: Download the latest upgrade package.
· Put the upgrade package into the USB flash drive: Please Do Not change the name of the package.

· Insert the USB flash drive into NuStation
· Access the NuClient menu: Click “Upgrade.”

· Follow the instruction of the upgrade window: Click “OK” then the upgrade process will be automatically executed. Please notice that once you upgrade, you Can Not downgrade.

Error Handling

· Error Type 1: No upgrade package in the USB flash drive. Please check again.

Error Handling:

1. Make sure you’ve inserted the USB flash drive in the USB slot.
2. Make sure you’ve put the upgrade package in the USB flash drive.
3. Make sure the USB flash drive is working and is NTFS format.
· Error Type 2: Downgrade is not accepted. Please reload the latest upgrade package.

Error Handling:

1. Downgrade is not acceptable.
2. Make sure you’ve put the latest upgrade package in the USB flash drive.
· Error Type 3: Multiple upgrade packages detected. Please keep the expected one.

Error Handling:

1. Multiple upgrade packages in the USB flash drive is not allowed.
2. Make sure just only one upgrade package you expect to use in the USB flash drive.


Basic Settings for Ubuntu

Network Settings

· Where to get your IP Address: Find the network settings’ icon in the status menu on the right side of the menu bar and click “Connection Information.”

· Where to edit your IP Address: Find the network settings’ icon on the status menu which is on the right side of the menu bar and click “Edit Connections.”

Desktop Toolbar

How to hide the Launcher: Click “Dash” (The top icon which has the Ubuntu logo on it) in the Launcher and search “System Settings.”


Help

Table of Content

To use the Help:

1. Open the NuClient settings as described in Settings.

The NuClient settings open.

2. Click the Help icon [image] from the Config Catalog.

The Help then opens onscreen and shows the useful tools.

Setting | Description
Quick Start | The quick start document helps to start the system.
NUUO Wiki | The useful Q&A helps to install the system.
Demo Video | The demo video helps to install the system.
Design Tools | The design tools help to design the system.
Download | The download helps to download latest firmwave for the system.
eHelpdesk | The eHelpdesk helps to reply any issue to install or process the system.
Compatibility List | The compatibility list helps to provide latest compatibility list with other device(s).
Client Hardware Requirement | The Client Hardware Requirement helps to design the NuClient and NuMatrix system requirement.

Some Help information will be available when connect to Internet.


Diagnostic Service

Help | Table of Content

Diagnostic Service includes Info Collector and Remote Access.

Important server and client logs for quick troubleshooting can be gotten in Info Collector.

Users can be helped directly by NUUO through Remote Access.


Info Collector

Help | Table of Content

There are some description about Info Collector:

It will collect:

Ø Client log (from localhost IP: 127.0.0.1)
Ø Hardware log of all kinds of servers
Ø Recording log of Recording Servers and Recording Failover Servers
Ø System configuration of all kinds of servers
Ø Event log of all kinds of servers, which is optional

It will not collect:

Ø Video data recorded by Recording Servers and Recording Failover Servers
Ø Metadata stored by Metadata Server

There are two methods to open Info Collector:

A. Method 1: used when management server cannot login.

B. Method 2: used when management server can login.

A. Method 1:

1. If the server cannot login, a Info Collector icon appears.

2. Click this icon to open Info Collector.

B. Method 2:

1. Open Global menu, and click Diagnostic Service.

2. Click Info Collector.

3. A Info Collector dialog appears.

Enable check-box to select target(s) to collect information.

Features for Info Collector:

Function | Description
, [image] , | Add, delete, or edit a target to collect information (Method 1 only)
Start date / End date | The interval to collect information
Event log | Enable it to collect event log database
Export path | Where the collected information will be stored
Start collection | Click to begin collecting information
Stop collection | Click to cancel collection information

When collecting, a progress bar appears:

When Collection progress reaches 100%, locate the path storing collected information and send it back to NUUO.


Remote Access

 Top Previous

Help | Table of Content

1. Open Global menu, and click Diagnostic Service.

2. Click Remote Access.

3. A Remote Access dialog appears.